*                                                                       00050002
*        %GOTO ASCBL1;  /*                                              00060002
         MACRO                                                          00100002
         IHAASCB &DSECT=YES,&LIST=NO                               @D6C 00117300
**/                                                                     00134600
*%ASCBL1 : ;                                                            00152002
*                                                                       00154002
*/* START OF SPECIFICATIONS **************************************** */ 00156000
*/*                                                                  */ 00158002
*/*01* MACRO NAME = IHAASCB                                          */ 00158400
*/*                                                                  */ 00158802
*/*01* DESCRIPTIVE NAME = ADDRESS SPACE CONTROL BLOCK                */ 00159300
*/*                                                                  */ 00159800
*/*01* PROPRIETARY STATEMENT =                                   @L8C*/ 00160800
*/*                                                                  */ 00161800
*/*      LICENSED MATERIALS - PROPERTY OF IBM                        */ 00166200
*/*      THIS MACRO IS "RESTRICTED MATERIALS OF IBM"                 */ 00167500
*/*      5694-A01 (C) COPYRIGHT IBM CORP. 1977, 2002                 */ 00169500
*/*                                                                  */ 00171650
*/*01* STATUS = HBB7707                                              */ 00171700
*/*                                                                  */ 00171900
*/*01* EXTERNAL CLASSIFICATION:                                      */ 00172000
*/*02*         DMTI:BASE                                             */ 00172100
*/*02*         GUPI:FIELDS                                           */ 00172200
*/*                  ASCBASID                                        */ 00172300
*/*                  ASCBASSB                                        */ 00172400
*/*                  ASCBASXB                                        */ 00172500
*/*                  ASCBXTCB                                        */ 00172600
*/*02*         PSPI:FIELDS                                           */ 00172700
*/*                  ASCBDCTI                                        */ 00172800
*/*                  ASCBEJST                                        */ 00172900
*/*                  ASCBJBNI                                        */ 00173000
*/*                  ASCBJBNS                                        */ 00173100
*/*                  ASCBLSQT                                        */ 00173200
*/*                  ASCBOUCB                                        */ 00173300
*/*                  ASCBOUXB                                        */ 00173400
*/*                  ASCBRSME                                        */ 00173500
*/*                  ASCBSRBT                                        */ 00173600
*/*                  ASCBTCBS                                        */ 00173700
*/*                  ASCBTCBE                                        */ 00173800
*/*                  ASCBLSQE                                        */ 00173900
*/*01* END OF EXTERNAL CLASSIFICATION:                               */ 00174000
*/*01*                                                               */ 00174100
*/*01* ACRONYM: ASCB                                                 */ 00174200
*/*01* DSECT NAME:  ASCB                                             */ 00174300
*/*                                                                  */ 00174400
*/*01* COMPONENT:  SUPERVISOR CONTROL (SC1C5)                        */ 00174500
*/*                                                                  */ 00174600
*/*01* EYE-CATCHER:  ASCB                                            */ 00174700
*/*02*   OFFSET:   0                                                 */ 00174800
*/*02*   LENGTH:   4                                                 */ 00174900
*/*01* STORAGE ATTRIBUTES:                                           */ 00175000
*/*02*   MAIN STORAGE:                                               */ 00175100
*/*02*   VIRTUAL STORAGE:                                            */ 00175200
*/*02*   AUXILIARY STORAGE:                                          */ 00175300
*/*02*   DATA SPACE:                                                 */ 00175400
*/*02*   SUBPOOL:           245                                      */ 00175500
*/*02*   KEY:           0                                            */ 00175600
*/*02*   RESIDENCY:     Below 16M                                    */ 00175700
*/*01* SIZE: 384 bytes                                               */ 00175800
*/*01* CREATED BY:  IEAMSWCB, IEAVEMRQ                               */ 00175900
*/*01* POINTED TO BY:                                                */ 00176000
*/*     CVTASCBH and CVTASCBL fields of the CVT data area            */ 00176100
*/*     PSAANEW field of the PSA data area                           */ 00176200
*/*     PSAAOLD field of the PSA data area (Master's ASCB)           */ 00176300
*/*     ASVTENTY field of the ASVT data area                         */ 00176400
*/*     ASCBFWDP, ASCBBWDP and ASCBTRQP fields of the ASCB data area */ 00176500
*/*     ASMASCBP field of the ASMVT data area                        */ 00176600
*/*     JSELASCB field of the JSEL data area                         */ 00176700
*/*     LCTASCBA field of the LCT data area                          */ 00176800
*/*     LDAASCB field of the LDA data area                           */ 00176900
*/*     LWAPASCB field of the LWA data area                          */ 00177000
*/*     PCBASCB field of the PCB data area                           */ 00177100
*/*     RSMASCB field of the RSMHD data area                         */ 00177200
*/*     SMCAASCB field of the SMCA data area                         */ 00177300
*/*     SRBASCB field of the SRB data area                           */ 00177400
*/*     SSENASCB and SSETASCB fields of the SSOB data area           */ 00177500
*/*     TCASASCB field of the TCAST data area                        */ 00177600
*/*     TQEASCB field of the TQE data area                           */ 00177700
*/*     TSBASCBA field of the TSB data area                          */ 00177800
*/*     TVCSASCB field of the TVCS data area                         */ 00177900
*/*     TWAASCB field of the TWAR data area                          */ 00178000
*/*     UCMASCB field of the UCM data area                           */ 00178100
*/*     OUCBASCB field of the OUCB data area                         */ 00178200
*/*     WEBHASCB field of the WEB data area                          */ 00178300
*/*     WEBLSQP field of the WEB data area                           */ 00178400
*/*                                                                  */ 00178500
*/*01* SERIALIZATION: Serialization of the ASCB is dependent on      */ 00178600
*/*   the field being referenced. Some serialization techniques      */ 00178700
*/*   used here are local lock, compare and swap (CS), compare       */ 00178800
*/*   double and swap, and global intersect.                         */ 00178900
*/*01* FUNCTION:  Contain information and pointers needed for        */ 00179000
*/*   Address Space Control.  The ASCB is non-swappable.             */ 00179100
*/*                                                                  */ 00179200
*/*01* METHOD OF ACCESS =                                            */ 00179300
*/*      BAL  - DSECT IS PRODUCED UNLESS DSECT=NO IS SPECIFIED.      */ 00179400
*/*             USING ON ASCB GIVES ADDRESSABILITY FOR ALL SYMBOLS.  */ 00179500
*/*      BAL  LISTING - SPECIFY LIST=YES ON MACRO CALL               */ 00179600
*/*      PL/S - DCL ASCBPTR PTR                                      */ 00179700
*/*      PL/S LISTING - SPECIFY %IHALIST='YES' BEFORE %INCLUDE       */ 00179800
*/*                                                                  */ 00179900
*/*01* DISTRIBUTION LIBRARY = AMACLIB                                */ 00180500
*/*                                                                  */ 00184200
*/* END OF SPECIFICATIONS ****************************************** */ 00184900
*%GOTO ASCBL2;  /*                                                      00185602
.*                                                                      00185900
.*********************************************************************  00186200
.*   CHANGE ACTIVITY=                                                   00186500
.*                                                                      00186800
.*   OZ40479 - MOVE ASCBTOFF FROM ASCBFLG1 TO ASCBRCTF BYTE FOR         00187000
.*             COMPARE AND SWAP SERIALIZATION. THIS IS THE RCT BYTE     00187200
.*             BUT RCT DOESNT USE THIS BIT                   @ZA40479   00187400
.*   OZ58694 - ASCBSSOM IS SERIALIZED BY USING COMPARE AND SWAP         00187600
.*             RATHER THAN THE DISPATCHER LOCK               @ZA58694   00187800
.*   OZ68643 - SUPPORT A VERSION CODE FOR THE ASCB           @ZA68643   00188000
.*   OZ94366 - NEW BIT ASCBJSTE TO INDICATE ASCB ON SVTJSTEQ @ZA94366   00188100
.*                                                                      00188300
.*   G860PXX - HBB2102 SUPPORT                                          00188400
.*                                                                      00188600
.*  $L1=RAS      JBB1326  800918  PD16XK:  RAS ENHANCEMENTS             00188800
.*  $L2=EXTREAL  JBB1326  800918  PD16XK:  EXTENDED REAL ADDRESSING     00189000
.*  $P1=PMM0013  JBB1326  800918  PD16XZ:  CHANGE ASCBXCNT DECLARE      00189200
.*  $D1=DCR0114  JBB1326  810115  PD16XK:  FIELD FOR TCAM               00189400
.*  $D2=DCR0018  JBB2110  820517  PD16XZ:  MOVE BIT ASCBS3S             00190400
.*  $D3=DCR0018  JBB2110  820630  PD16FH:  CREATE LEVEL NUMBER FIELD    00190700
.*  $D4=DCR0044  JBB2110  820817  PD16F5:  CREATE GRS COUNTER           00191000
.*  $H1=ADVPROC2 JBB2133  821013  PD16F5:  AXP                          00191300
.*  $P2=PAE0007  JBB2133  821019  PD16XD:  UPDATE CHANGE-ACTIVITY       00191600
.*  $D5=DCR0019  JBB2133  820609  PD16FN:  CREATE PTR TO RAB EXTENSION  00192000
.*  $D6=DCR0009  JBB2214  841015  PD16G1:  ASSB SUPPORT                 00192500
.*  $D7=DCR0062  JBB2133  841115  PD16FN:  ASCBCHAP MOVELSW SUPPORT     00192600
.*  $D8=DCR0040  JBB2220  841112  PD16G1:  ASSB SUPPORT                 00192700
.*  $D9=DCR0007  JBB2220  840813  PD16XK:  MOVE AND EXPAND ASM FIELDS   00192800
.*  $L3=REASID   JBB2220  841112  PD16G1:  REUSABLE ASIDS               00192900
.*  $L4=TRQ      JBB2217  850325  PD16FN:  TRUE READY QUEUE             00193000
.*  $P3=PCI0032  JBB2217  850930  PD16FN:  TRUE READY QUEUE             00193100
.*  $01=OZ94676  JBB2216  860131  PD16Q4:  SUPPORT FOR CICS/XRF         00193200
.*  $02=OY03626  JBB2217  870101  PD16Q4:  CHANGE ASCBFMCT FROM         00193300
.*                                         FIXED(15) TO FIXED(16)       00193400
.*                                         FOR > 128 MEG REAL.          00193500
.*  $L5=RTMRAS   HBB3310  860206  PD16Q4:  RTM RAS SUPPORT              00193600
.*  $DA=DCR0220  HBB3310  870216  PD16FH:  REDUCED PREEMPTION           00193700
.*  $03=OY07913  JBB2217  870731  PD161M:  DEFINE ASCBGQIR.             00193800
.*  $L6=PR313    JBB3313  881216  PD16BN:  CHANGE ASCBFMCT COMMENT      00193900
.*  $04=OY26326  JBB3313  890930  PD16Q4:  DEFINE ASCBLLSQ.             00194000
.*  $L7=ASCB     HBB4410  880404  PD16BN:  ASCB VSCR SUPPORT            00194100
.*  $P4=PEO2836  HBB4410  900105  PD16CU:  DEFINE ASCBLSAS.             00194200
.*  $05=OY46976  HBB4420  911111  PD16EJ:  DEFINE ASCBNSTK.             00194300
.*  $06=OY58195  HBB4430  920915  PD16H5:  Define ASCBTRQC              00194400
.*  $L8=DISPR    HBB5510  930801  PD16CU:  DISPATCHER RESTRUCTURE       00194500
.*                                                                      00194600
.*                                         MULTISYSTEM SLIP             00194700
.*                                         ENHANCEMENTS                 00194800
.*  $L9=SHPCS    HBB5510  930304  PD16EI:  DEFINE BIT ASCBSAS FOR       00194900
.*  $P5=PIG4108  HBB5510  930320  PD16EI:  SPECIFICATION EXCEPTION      00195000
.*                                         ON SRB DISPATCH.  MOVED      00195100
.*                                         BIT ASCBSAS.                 00195200
.*  $LA=WLMI     HBB5510  911104  PY12AG:  WORKLOAD MANAGER I           00195300
.*  $LB=DISPR    HBB5510  930801  PD16IW:  ASCBMEMP DEFINITION          00195400
.*  $07=OW05760  HBB5510  940512  PC89GD:  Local lock performance       00195500
.*                                         (TRSQ PTM# PIG5378)          00195600
.*  $LC=WLMP     HBB6603  951012  B7HGEJ:  Tcb-In-Enclaves              00195700
.*  $P6=PQC0697  HBB6603  960104  B7HGEJ:  Define Bit Constant for      00195800
.*                                         ASCBDSTK.                    00195900
.*  $P7=PQC0753  HBB6603  960201  B7HGEJ:  Correct Bit ASCBDSTZ         00196000
.*                                         declaration so that PL/AS    00196100
.*                                         can still compile.           00196200
.*  $P8=PQC0769  HBB6603  960201  B7HG2M:  Correct Bit ASCBDSTZ         00196300
.*                                         declaration so that PL/X     00196400
.*                                         allows it in SETS/REFS on    00196500
.*                                         Generate                     00196600
.*  $08=OW20780  HBB5510  960603  R4GAXZ:  Update descriptions of       00196700
.*                                         ASCBLTCS, LTCL, LTCB, and    00196800
.*                                         LTCN to include              00196900
.*                                         'preemptable-class SRBs'.    00197000
.*  $P9=PUX0132  HBB6605  970603  R4GAXZ:  Make ASCBXMPQ reserved.      00197100
.*  $LD=PADS2    HBB7707  010920  PD00XB:  ASCBCNIP                     00197200
.*                                                                      00197300
.*********************************************************************  00197400
.*                                                                      00197500
.*********************************************************************  00197600
.*                                                                      00197700
.* THE FOLLOWING ARE THE NAMING CONVENTIONS USED FOR RESERVED AREAS     00197800
.*     1. RESERVED FIELDS ARE NAMED AS FOLLOWS                          00197900
.*                        ASCBRXXX DS    ???       - RESERVED.          00198000
.*                             XXX IS THE OFFSET WITHIN THE ASCB        00198100
.*                             ??? IS THE FIELD SIZE                    00198200
.*                                                                      00198300
.*     2. PL/S - RESERVED FIELDS DEFINED AS BIT STRINGS WHICH ARE NOT   00198400
.*               MULTIPLES OF 8 OR DO NOT START ON A BYTE BOUNDARY      00198500
.*               ARE NOT NAMED.                                         00198600
.*                                                                      00198700
.*********************************************************************  00198800
.*                                                                      00198900
         PUSH  PRINT                                               @D6A 00199000
         AIF   ('&LIST' EQ 'YES').ASCBLST                          @D6A 00199100
         PRINT OFF                                                 @D6A 00199200
.ASCBLST ANOP                                                      @D6A 00199300
         SPACE 1                                                        00199400
         AIF ('&DSECT' EQ 'NO').ASCB10                                  00199500
ASCB     DSECT                                                          00200002
         AGO .ASCB20                                                    00210002
.ASCB10  ANOP                                                           00220002
         DS    0D                                                       00222002
ASCB     EQU   *                                                        00230002
.ASCB20  ANOP                                                           00240002
ASCBEGIN DS    0D -                BEGINNING OF ASCB                    00250002
ASCBASCB DS    CL4 -               ACRONYM IN EBCDIC -ASCB-             00300002
ASCBFWDP DS    A -                 ADDRESS OF NEXT ASCB ON ASCB READY   00350002
*                                  QUEUE                                00400002
ASCBBWDP DS    A -                 ADDRESS OF PREVIOUS ASCB ON ASCB     00450002
*                                  READY QUEUE                          00500002
ASCBLTCS DS    A -                 TCB and preemptable-class SRB   @07C 00514000
*                                  Local lock suspend service queue.    00528000
*                                  Serialization: ASCB CML promotion    00542000
*                                  WEB lock.                            00556000
ASCBSUPC DS    0D -                SUPERVISOR CELL FIELD                00570040
*                                  (MDC309)                    @Z40FP9A 00580040
ASCBSVRB DS    A -                 SVRB POOL ADDRESS.  THIS OFFSET      00610050
*                                  FIXED BY ARCHITECTURE.               00650050
*                                  (MDC310)                    @G50EP9A 00655050
ASCBSYNC DS    F -                 COUNT USED TO SYNCHRONIZE SVRB POOL. 00660050
*                                  THIS OFFSET FIXED BY ARCHITECTURE.   00670050
*                                  (MDC311)                    @G50EP9A 00676050
ASCBIOSP DS    A -                 POINTER TO IOS PURGE INTERFACE       00710040
*                                  CONTROL BLOCK (IPIB)                 00770040
*                                  (MDC308)                    @Z40FP9A 00790040
ASCBWQLK DS    0XL4                WEB QUEUE LOCK WORD             @L8A 00803000
*                                  SERIALIZATION: COMPARE AND SWAP      00816000
*                                  OWNERSHIP: SUPERVISOR CONTROL        00829000
ASCBR01C DS    XL2                 RESERVED, MUST BE ZERO          @L8A 00855000
ASCBWQID DS    H                   LOGICAL CPU ID OF THE PROCESSOR @L8A 00868000
*                                  HOLDING THE WEB QUEUE LOCK           00881000
*                                  OWNERSHIP: SUPERVISOR CONTROL        00894000
ASCBSAWQ DS    A -                 ADDRESS OF ADDRESS SPACE SRB WEB     00920000
*                                  QUEUE                           @L8C 00933000
*                                  SERIALIZATION: WEB QUEUE LOCK        00946000
*                                  OWNERSHIP: SUPERVISOR CONTROL        00959000
ASCBURRQ EQU   X'80' -             SYSEVENT USER READY REQUIRED    @L8C 00985000
*                                  SERIALIZATION: WEB QUEUE LOCK        00998000
*                                  OWNERSHIP: SUPERVISOR CONTROL        01011000
ASCBASN  DS    0H -                SAME AS ASCBASID                @L8A 01037000
ASCBASID DS    H -                 ADDRESS SPACE IDENTIFIER FOR THE     01050002
*                                  ASCB                                 01100002
ASCBR026 DS    XL2 -               RESERVED                        @L4C 01150000
ASCBLL5  DS    X -                 FLAGS. SERIALIZATION - LOCAL    @D2A 01258700
*                                  LOCK                            @D2A 01267400
ASCBS3S  EQU   X'20' -             STAGE II EXIT EFECTOR HAS       @D2M 01276100
*                                  SCHEDULED AN RQE OR IQE AND     @D2M 01284800
*                                  STAGE III EXIT EFFECTOR         @D2M 01293500
*                                  SHOULD BE INVOKED               @D2M 01302200
ASCBHLHI DS    FL1 -               INDICATION OF SUSPEND LOCKS     @L4C 01326800
*                                  HELD AT TASK SUSPENSION         @L4C 01351400
ASCBDPH  DS    0H -                HALFWORD DISPATCHING PRIORITY   @L4A 01376000
ASCBDPHI DS    FL1 -               HIGH ORDER BYTE OF HALFWORD     @L4A 01400600
*                                  DISPATCHING PRIORITY            @L4C 01425200
ASCBDP   DS    FL1 -               DISPATCHING PRIORITY RANGE FROM      01450002
*                                  0-255                                01500002
ASCBTCBE DS    FL4 -               Count of ready tcbs in the      @LCC 01521400
*                                  space that are in an enclave.        01542800
*                                  Ownership:  Task Management          01564200
*                                  Serialization: Compare and Swap and  01585600
*                                  WEB Lock of TCB for which this count 01607000
*                                  is being manipulated.                01628400
ASCBLDA  DS    A -                 POINTER TO LOCAL DATA AREA PART OF   01650002
*                                  LSQA FOR VSM                         01700002
ASCBRSMF DS    B -                 RSM ADDRESS SPACE FLAGS              01800040
*                                  (MDC368)                    @ZA17355 01801040
ASCB2LPU EQU   X'80' -             SECOND LEVEL PREFERRED USER.  THIS   01804050
*                                  OFFSET FIXED BY ARCHITECTURE.        01805050
*                                  (MDC369)                    @G50EP9A 01807450
ASCB1LPU EQU   X'40' -             FIRST LEVEL PREFERRED USER           01812040
*                                  (MDC370)                    @ZA17355 01813040
ASCBN2LP EQU   X'20' -             SRM IN SYSEVENT TRANSWAP SHOULD NOT  01815040
*                                  SET ASCB2LPU BIT - HOWEVER IT MAY    01818040
*                                  ALREADY BE ON AND WILL STAY ON       01818340
*                                  (MDC371)                    @ZA17355 01819040
ASCBVEQR EQU   X'10' -             V=R ADDRESS SPACE  (MDC372) @ZA17355 01821040
ASCBFLG3 DS    X   -               Flags                           @LDA 01826800
ASCBCNIP EQU   X'80' -             Address space created during NIP     01832600
*                                                                  @LDA 01838400
ASCBR036 DS    XL2 -               RESERVED.                       @LDC 01844200
ASCBCSCB DS    A -                 ADDRESS OF CSCB                      01850002
ASCBTSB  DS    A -                 ADDRESS OF TSB                       01900002
ASCBEJST DS    D -                 ELAPSED JOB STEP TIMING  UNSIGNED    01950002
*                                  64 BIT BINARY NUMBER                 02000002
ASCBEWST DS    D -                 TIME OF DAY WHENEVER I-STREAM IS     02050002
*                                  SWITCHED FROM A MEMORY               02100002
ASCBJSTL DS    F -                 CPU TIME LIMIT FOR THE JOB STEP      02150002
*                                  UNSIGNED 32 BIT BINARY NUMBER        02200002
ASCBECB  DS    F -                 RCT'S WORK ECB                       02250002
ASCBUBET DS    F -                 TIME STAMP WHEN USER BECOMES READY   02300002
ASCBTLCH DS    A -                 CHAIN FIELD FOR TIME LIMIT EXCEEDED  02320050
*                                  QUEUE  (MDC329)             @G50DP9A 02330050
ASCBDUMP DS    A -                 SVC DUMP TASK TCB ADDRESS            02400000
ASCBFW1  DS    0F -                FULL-WORD LABEL TO BE USED FOR       02410002
*                                  COMPARE AND SWAP FOR ANY BIT IN      02420002
*                                  THIS WORD                     MDC026 02430002
ASCBAFFN DS    H -                 CPU AFFINITY INDICATOR               02450002
ASCBRCTF DS    B -                 FLAGS FOR RCT SERIALIZED BY COMPARE  02483300
*                                  AND SWAP                    @ZA40479 02516600
ASCBTMNO EQU   X'80' -             MEMORY IS BEING QUIESCED, IS         02550002
*                                  QUIESCED, OR IS BEING RESTORED       02600002
ASCBFRS  EQU   X'40' -             RESTORE REQUEST                      02650002
ASCBFQU  EQU   X'20' -             QUIESCE REQUEST                      02700002
ASCBJSTE EQU   X'10' -             JOB STEP TIME EXCEEDED. NOT USED BY  02733300
*                                  RCT                         @ZA94366 02766600
ASCBWAIT EQU   X'08' -             LONG WAIT INDICATOR                  02800002
ASCBOUT  EQU   X'04' -             ADDRESS SPACE CONSIDERED SWAPPED OUT 02850002
ASCBTMLW EQU   X'02' -             MEMORY IS IN A LONG WAIT             02900002
ASCBTOFF EQU   X'01' -             MEMORY SHOULD NOT BE CHECKED FOR JOB 02950000
*                                  STEP TIMING. NOT USED BY RCT@ZA40479 03100000
ASCBFLG1 DS    B -                 FLAG FIELD                           03106600
ASCBLSAS EQU   X'80' -             ADDRESS SPACE IS LOGICALLY SWAPPED  -03156600
                                   OUT                                 -03175900
                                   SERIALIZATION - WHEN SETTING, CPU   -03195200
                                   LOCK, AND THE SWAP INTERSECT        -03214500
                                                 - WHEN RESETTING,     -03233800
                                   NONE REQUIRED                   @DHC 03253100
ASCBDSTK EQU   X'40' -             SRM REQUIRES A TIME STAMP TO    @P6C 03272400
*                                  DETERMINE WHEN THE ADDRESS SPACE     03291700
*                                  GOES INTO LONG WAIT.  ASCBEWST WILL  03311000
*                                  BE UPDATED WHEN THIS BIT IS ON.      03330300
*                                  NOTE:  If this bit moves position    03332400
*                                  the bit constant ASCBDSTZ must also  03334500
*                                  be changed.                          03336600
ASCBDSTZ EQU   X'40' -             Bit constant for bit position  @P7A  03338700
*                                  ASCBDSTK.  PL/X cannot map bit       03340800
*                                  positions in generated code, so      03342900
*                                  this bit constant allows PL/X to     03345000
*                                  set the bit in generated assembler.  03347500
ASCBTERM EQU   X'10' -             ADDRESS SPACE TERMINATING NORMALLY   03350002
ASCBABNT EQU   X'08' -             ADDRESS SPACE TERMINATING ABNORMALLY 03400002
ASCBMEMP EQU   X'04' -             Memory Termination PURGEDQ flag @LBA 03450000
*                                  Serialization: none                  03500000
ASCBTMCH DS    F -                 TERMINATION QUEUE CHAIN              03650002
ASCBASXB DS    A -                 POINTER TO ADDRESS SPACE EXTENSION   03700002
*                                  CONTROL BLOCK (ASXB)                 03750002
ASCBFW2  DS    0F -                FULLWORD LABEL TO ADDRESS BITS IN    03760050
*                                  THIS WORD  (MDC330)         @G50DP9A 03765050
ASCBSWCT DS    H -                 NUMBER OF TIMES MEMORY ENTERS SHORT  03800002
*                                  WAIT                                 03850002
ASCBDSP1 DS    B -                 NONDISPATCHABILITY FLAGS.            03900000
*                                  SERIALIZATION - GLOBAL INTERSECT.    03925600
*                                                     (MDC388) @G381P9A 03951200
ASCBSSND EQU   X'80' -             SYSTEM SET NONDISPATCHABLE AND THIS  03976800
*                                  ASCB IS NOT EXEMPT (MDC331) @G50DP9A 04002400
ASCBFAIL EQU   X'40' -             A FAILURE HAS OCCURRED WITHIN THE    04028000
*                                  ADDRESS SPACE. THE MEMORY IS         04053600
*                                  NONDISPATCHABLE                      04079200
ASCBSNQS EQU   X'20' -             STATUS STOP NON-QUIESCABLE LEVEL     04105050
*                                  SRB'S  (MDC323)             @G50DP9A 04107050
ASCBSSSS EQU   X'10' -             STATUS STOP SRB SUMMARY              04113050
*                                  (MDC332)                    @G50DP9A 04116050
ASCBSTND EQU   X'08' -             TCB'S NONDISPATCHABLE                04123000
*                                  (MDC322)                    @G50DP9A 04129300
ASCBUWND EQU   X'04' -             STATUS SET UNLOCKED WORKUNITS   @LAA 04135600
*                                  NONDISPATCHABLE.                @LAA 04139800
ASCBNOQ  EQU   X'02' -             ASCB NOT ON SWAPPED IN QUEUE    @L4A 04144700
*                                                                       04149600
ASCBFLG2 DS    B -                 FLAG BYTE.                           04154500
*                                  SERIALIZATION - GLOBAL INTERSECT     04160800
*                                                     (MDC387) @G381P9A 04167100
ASCBXMPT EQU   X'80' -             ASCB EXEMPT FROM SYSTEM              04173400
*                                  NONDISPATCHABLE               MDC013 04179700
ASCBPXMT EQU   X'40' -             ASCB PERMANENTLY EXEMPT FROM SYSTEM  04186000
*                                  NONDISPATCHABLE               MDC014 04192300
ASCBCEXT EQU   X'20' -             CANCEL TIMER EXTENSION BECAUSE EOT   04199602
*                                  PROCESSING IS STARTED FOR THE JOB    04199702
*                                  STEP TCB                      MDC021 04203902
ASCBS2S  EQU   X'10' -             FOR LOCK MANAGER, ENTRY MADE TO      04205902
*                                  STAGE II EXIT EFFECTOR WITHOUT       04207902
*                                  CORRESPONDING ENTRY TO STAGE III     04208002
*                                  EXIT EFFECTOR                 MDC020 04208102
ASCBNCML EQU   X'08' -             ASCB NOT ELIGIBLE FOR CML LOCK       04209500
*                                  REQUESTS                        @LAM 04210900
ASCBNOMT EQU   X'04' -             ADDRESS SPACE MUST NOT BE MEMTERMED  04212400
*                                  UNLESS A DAT ERROR HAS OCCURRED.     04213400
*                                  IF A DAT ERROR HAS OCCURRED, ACTION  04214400
*                                  IS CONTROLLED BY ASCBNOMD.           04215400
*                                  OWNERSHIP - SCHEDULER                04216400
*                                                     (MDC387) @G381P9A 04217400
ASCBNOMD EQU   X'02' -             IF ON,ADDRESS SPACE CANNOT BE        04218400
*                                  MEMTERMED ON A DAT ERROR.            04219400
*                                  IF OFF, PROCESS MEMTERM ON A DAT     04220400
*                                  ERROR.                               04221400
*                                  OWNERSHIP - SCHEDULER                04222400
*                                                     (MDC387) @G381P9A 04223400
ASCBSCNT DS    0F -                FULLWORD LABEL FOR COMPARE AND SWAP  04225400
*                                  (CS)  (MDC333)              @G50DP9A 04226400
         DS    H -                 FIRST HALFWORD OF ASCBSCNT MUST BE   04227400
*                                  ZERO               (MDC387) @G381P9A 04228400
ASCBSRBS DS    H -                 COUNT OF SRB'S SUSPENDED IN THIS     04233350
*                                  MEMORY  (MDC325)            @G50DP9A 04241350
ASCBLLWQ DS    A -                 ADDRESS SPACE LOCAL LOCK        @04C 04278500
*                                  SUSPEND SERVICE WEB QUEUE            04315700
*                                  SERIALIZATION: WEB QUEUE LOCK        04352900
*                                  OWNERSHIP: SUPERVISOR CONTROL        04390100
ASCBRCTP DS    A -                 POINTER TO REGION CONTROL TASK (RCT) 04465050
*                                  TCB  (MDC334)               @G50DP9A 04467050
ASCBLKGP DS    0D -                LOCK GROUP  (MDC306)        @Z40FP9A 04500040
ASCBLOCK DS    F -                 LOCAL LOCK.  THIS OFFSET FIXED BY    04520050
*                                  ARCHITECTURE.  (MDC305)     @G50EP9A 04540050
ASCBLSWQ DS    A -                 ADDRESS SPACE LOCAL LOCK WEB    @L8C 04553300
*                                  SUSPEND QUEUE                        04566600
*                                  THIS OFFSET FIXED BY ARCHITECTURE.   04580050
*                                  (MDC307)                    @G50EP9A 04590050
*                                  SERIALIZATION: CDS WITH ASCBLOCK     04601000
*                                  OWNERSHIP: SUPERVISOR CONTROL        04612000
ASCBS3NL EQU   X'80' -             THE LOCAL LOCK IS NEEDED BY THE @L8A 04634000
*                                  STAGE 3 EXIT EFFECTOR TO QUEUE       04645000
*                                  ASYNCHRONOUS EXITS           E       04656000
*                                  SERIALIZATION: CDS WITH ASCBLOCK     04667000
*                                  OWNERSHIP: SUPERVISOR CONTROL        04678000
ASCBLTCL EQU   X'01'  -            THE LOCAL LOCK IS NEEDED BY SOME     04683500
*                                  TCB or preemptable-class SRB         04689000
*                                  WHEN SET IN BIT 31 OF ASCBLSWQ. @07A 04694500
ASCBQECB DS    F -                 QUIESCE ECB                          04700002
ASCBMECB DS    F -                 MEMORY CREATE/DELETE ECB             04750002
ASCBOUCB DS    A -                 SYSTEM RESOURCES MANAGER (SRM) USER  04760002
*                                  CONTROL BLOCK POINTER                04770002
ASCBOUXB DS    A -                 SYSTEM RESOURCES MANAGER (SRM) USER  04780002
*                                  EXTENSION BLOCK POINTER              04790002
ASCBFW2A DS    0F -                FULLWORD LABEL TO ADDRESS       @DAA 04790500
*                                  BITS IN THIS WORD.                   04791000
*                                  SERIALIZATION - CS.                  04791500
ASCBFMCT DS    H -                 RESERVED. ALLOCATED PAGE FRAME  @L6C 04794000
*                                  COUNT NOW RESIDES IN THE RAX         04796500
*                                  (MAPPING MACRO IARRAX).              04799000
ASCBLEVL DS    X -                 LEVEL NUMBER OF ASCB            @D3A 04801800
ASCBVS00 EQU   X'00' -             HBB2102 (NOT IN BASE)       @ZA68643 04803000
ASCBVS01 EQU   X'01' -             JBB2110                         @D3A 04804200
ASCBVS02 EQU   X'02' -             JBB2133                         @H1A 04805400
ASCBVS03 EQU   X'03' -             HBB4410                         @L7A 04806000
ASCBVERS EQU   X'03' -             LEVEL OF THIS MAPPING           @L7C 04806600
ASCBFL2A DS    B -                 FLAG BYTE.                      @DAA 04807200
ASCBNOPR EQU   X'80' -             NO PREEMPTION FLAG              @DAA 04807800
*                                  1=DO NOT SIGP ANOTHER PROCESSOR TO   04808400
*                                    EXECUTE READY WORK IN THIS SPACE   04809000
*                                  0=DO SIGP ANOTHER PROCESSOR          04809600
*                                    OWNERSHIP:     SRM                 04810200
*                                    SERIALIZATION: CS ON ASCBFW2A      04810800
ASCBR09C DS    A -                 Reserved.                       @P9C 04820000
ASCBIQEA DS    A -                 POINTER TO IQE FOR ATCAM             04829200
*                                  ASYNCHRONOUS PROCESSING       MDC010 04846800
ASCBRTMC DS    A -                 ANCHOR FOR SQA SDWA QUEUE            04864400
*                                                     (MDC388) @G381P9A 04882000
ASCBMCC  DS    CL4 -               USED TO HOLD A MEMORY TERMINATION    04900002
*                                  COMPLETION CODE ON ABNORMAL MEMORY   04910002
*                                  TERMINATION                   MDC012 04920002
ASCBJBNI DS    A -                 POINTER TO JOBNAME FIELD FOR         04930002
*                                  INITIATED PROGRAMS OR ZERO    MDC018 04940002
ASCBJBNS DS    A -                 POINTER TO JOBNAME FIELD FOR         04950002
*                                  START/MOUNT/LOGON OR ZERO     MDC019 04960002
ASCBSRQ  DS    0F -                DISPATCHER SERIALIZATION REQUIRED    04980050
*                                  (MDC312)                    @G50DP9A 05010050
ASCBSRQ1 DS    B -                 FIRST BYTE OF ASCBSRQ                05014040
*                                  (MDC313)                    @Z40FP9A 05016040
ASCBDSG4 EQU   X'80' -             SIGNAL WAITING PROCESSORS WHEN       05017050
*                                  INTERSECT IS RESET (MDC335) @G50DP9A 05018050
ASCBDFLT EQU   X'40' -             DEFAULT LOCAL INTERSECT              05018650
*                                  (MDC336)                    @G50DP9A 05020050
ASCBSRQ2 DS    B -                 SECOND BYTE OF ASCBSRQ               05034040
*                                  (MDC315)                    @Z40FP9A 05036040
ASCBDSG3 EQU   X'80' -             SIGNAL WAITING PROCESSORS WHEN       05037050
*                                  INTERSECT IS RESET (MDC337) @G50DP9A 05038050
ASCBSRM1 EQU   X'02' -             SYSTEM RESOURCE MANAGER (SRM)        05049050
*                                  INTERSECTING  (MDC338)      @G50DP9A 05050050
ASCBQVER EQU   X'01' -             QUEUE VERIFICATION INTERSECTING      05050650
*                                  (MDC339)                    @G50DP9A 05052050
ASCBSRQ3 DS    B -                 THIRD BYTE OF ASCBSRQ                05054040
*                                  (MDC316)                    @Z40FP9A 05056040
ASCBDSG2 EQU   X'80' -             SIGNAL WAITING PROCESSORS WHEN       05057050
*                                  INTERSECT IS RESET (MDC340) @G50DP9A 05058050
ASCBRCTI EQU   X'40' -             REGION CONTROL TASK (RCT)            05058650
*                                  INTERSECTING  (MDC381)      @ZM48358 05059250
ASCBTCBV EQU   X'20' -             TCB VERIFICATION INTERSECTING        05060650
*                                  (MDC342)                    @G50DP9A 05062050
ASCBACHA EQU   X'10' -             ASCB CHAP INTERSECTING               05062650
*                                  (MDC343)                    @G50DP9A 05064050
ASCBMTER EQU   X'04' -             MEMORY TERMINATION INTERSECTING      05066650
*                                  (MDC345)                    @G50DP9A 05068050
ASCBMINI EQU   X'02' -             MEMORY INITIALIZATION INTERSECTING   05068650
*                                  (MDC346)                    @G50DP9A 05070050
ASCBCBVE EQU   X'01' -             CONTROL BLOCK VERIFICATION           05070650
*                                  INTERSECTING  (MDC347)      @G50DP9A 05072050
ASCBSRQ4 DS    B -                 FOURTH BYTE OF ASCBSRQ               05074040
*                                  (MDC317)                    @Z40FP9A 05076040
ASCBDSG1 EQU   X'80' -             SIGNAL WAITING PROCESSORS WHEN       05077050
*                                  INTERSECT IS RESET (MDC348) @G50DP9A 05078050
ASCBDETA EQU   X'40' -             DETACH INTERSECTING                  05078650
*                                  (MDC349)                    @G50DP9A 05080050
ASCBATTA EQU   X'20' -             ATTACH INTERSECTING                  05080650
*                                  (MDC350)                    @G50DP9A 05082050
ASCBRTM2 EQU   X'10' -             RTM2 INTERSECTING  (MDC351) @G50DP9A 05083050
ASCBRTM1 EQU   X'08' -             RTM1 INTERSECTING  (MDC352) @G50DP9A 05084050
ASCBCHAP EQU   X'04' -             CHAP INTERSECTING  (MDC353) @G50DP9A 05085050
ASCBSTAT EQU   X'02' -             STATUS INTERSECTING                  05088050
*                                  (MDC354)                    @G50DP9A 05090050
ASCBPURD EQU   X'01' -             PURGEDQ INTERSECTING                 05090650
*                                  (MDC355)                    @G50DP9A 05092050
ASCBVGTT DS    A -                 ADDRESS OF VSAM GLOBAL TERMINATION   05110002
*                                  TABLE (VGTT)                  MDC024 05160002
ASCBPCTT DS    A -                 ADDRESS OF PRIVATE CATALOG           05210002
*                                  TERMINATION TABLE (PCTT)      MDC025 05220002
ASCBSSRB DS    H -                 COUNT OF STATUS STOP SRB'S           05230050
*                                  (MDC324)                    @G50DP9A 05250050
ASCBSMCT DS    FL1 -               NUMBER OF OUTSTANDING STEP MUST      05300002
*                                  COMPLETE REQUESTS IN ADDRESS         05310002
*                                  SPACE                         MDC016 05320002
ASCBSRBM DS    B -                 MODEL PSW BYTE 0 USED BY SRB         05330065
*                                  DISPATCHER  (MDC379)        @G65RP9A 05350065
ASCBPER  EQU   X'40' -             PER BIT IN ASCBSRBM - ALSO USED TO   05360065
*                                  SHOW PER STATUS FOR THE ADDRESS      05370065
*                                  SPACE  (MDC380)             @G65RP9A 05380065
ASCBSWTL DS    F -                 STEP WAIT TIME LIMIT          MDC029 05400002
ASCBSRBT DS    D -                 ACCUMULATED SRB TIME          MDC030 05410002
ASCBLTCB DS    A -                 TCB and preemptable-class SRB   @07C 05410400
*                                  Local lock suspend queue.            05410800
*                                  Serialization: Adding, CS. Deleting, 05411200
*                                  ASCB CML promotion WEB lock and CS.  05411800
ASCBLTCN DS    F -                 Count of TCB and preemptable-   @07A 05412200
*                                  class SRB (local and CML)            05412600
*                                  requestors needing this local lock.  05413000
*                                  Serialization: CS                    05413600
ASCBTCBS DS    F -                 NUMBER OF READY TCB'S.          @L8A 05414800
*                                  THE ACTUAL NUMBER OF READY TCBS IS   05417200
*                                  ASCBTCBS-ASCBLSQT.                   05419600
*                                  SERIALIZATION: CS                    05422000
*                                  OWNERSHIP: TASK MANAGEMENT           05424400
ASCBLSQT DS    F -                 NUMBER OF TCBS ON A LOCAL LOCK  @L8A 05431600
*                                  SUSPEND QUEUE.                       05434000
*                                  SERIALIZATION: CS                    05436400
*                                  OWNERSHIP: TASK MANAGEMENT           05438800
ASCBWPRB DS    A -                 ADDRESS OF WAIT POST REQUEST BLOCK   05446250
*                                  (MDC362)                    @G50CP9A 05446350
ASCBSRDP DS    0F -                SYSTEM RESOURCE MANAGER (SRM)        05446650
*                                  DISPATCHING PRIORITY                 05446850
*                                  (MDC363)                    @G50IP9A 05446950
ASCBNDP  DS    FL1 -               NEW DISPATCHING PRIORITY             05447250
*                                  (MDC364)                    @G50IP9A 05447350
ASCBTNDP DS    FL1 -               NEW TIME SLICE DISPATCHING PRIORITY  05447650
*                                  (MDC365)                    @G50IP9A 05447750
ASCBNTSG DS    FL1 -               NEW TIME SLICE GROUP                 05447850
*                                  (MDC366)                    @G50IP9A 05448150
ASCBIODP DS    FL1 -               I/O PRIORITY (MDC374)       @G50IP9A 05448200
ASCBLOCI DS    A -                 LOCK IMAGE, ADDRESS OF ASCB          05448300
*                                  HOLDING THIS ASCB'S LOCAL            05448600
*                                  LOCK AS A CML LOCK.                  05448900
*                                  SERIALIZATION - LOCAL LOCK.          05449200
*                                  OWNERSHIP - SUPERVISOR.              05449500
*                                  (MDC384)                    @G381P9A 05449800
ASCBCMLW DS    A -                 ADDRESS OF THE WEB REPRESENTING @L8C 05450100
*                                  THE WORKUNIT THAT IS HOLDING THIS    05450400
*                                  ASCB'S LOCAL LOCK AS A CML OR LOCAL  05450700
*                                  LOCK.                                05451000
*                                  SERIALIZATION - LOCAL LOCK.          05451300
*                                  OWNERSHIP - SUPERVISOR CONTROL       05451600
ASCBCMLC DS    F -                 COUNT OF CML LOCKS HELD BY           05452200
*                                  THIS ADDRESS SPACE.                  05452500
*                                  SERIALIZATION - CS.                  05452800
*                                  OWNERSHIP - SUPERVISOR.              05453100
*                                  (MDC384)                    @G381P9A 05453400
ASCBSSOM DS    0F -                SPACE SWITCH EVENT OWNER    @ZA58694 05453500
*                                  MASK.                       @ZA58694 05453600
*                                  SERIALIZATION - CS.         @ZA58694 05453700
*                                  OWNERSHIP - SUPERVISOR.     @ZA58694 05453800
ASCBSSO1 DS    XL3 -               SPACE SWITCH EVENT OWNER    @G381P9A 05454200
*                                  MASK BYTES 1 - 3.                    05454300
*                                                     (MDC389) @G381P9A 05454400
ASCBSSO4 DS    B -                 SPACE SWITCH EVENT OWNER    @G381P9A 05454500
*                                  MASK BYTE 4.       (MDC389) @G381P9A 05454600
ASCBSSSP EQU   X'02' -             SLIP/PER REQUESTED          @G381P9A 05454700
*                                  NOTIFICATION ON SPACE SWITCH         05454800
*                                  EVENTS.            (MDC389) @G381P9A 05454900
ASCBSSJS EQU   X'01' -             JOB STEP TERMINATION        @G381P9A 05455000
*                                  REQUESTED SPACE SWITCH EVENTS        05455100
*                                  FOR BREAKING LATENT ADDRESSING       05455200
*                                  BINDS              (MDC389) @G381P9A 05455300
ASCBASTE DS    A -                 VIRTUAL ADDRESS OF ADDRESS  @G381P9A 05455500
*                                  SPACE SECOND TABLE ENTRY             05455800
*                                  (ASTE). SERIALIZATION - N/A.         05456100
*                                  OWNERSHIP - SUPERVISOR.              05456400
*                                  (MDC384)                    @G381P9A 05456700
ASCBLTOV DS    A -                 VIRTUAL ADDRESS OF THE      @G381P9A 05457000
*                                  LINKAGE TABLE ORIGIN.                05457300
*                                  (LOCATED IN PC/AUTH ADDRESS          05457600
*                                  SPACE   LSQA).                       05457900
*                                  SERIALIZATION - PC/AUTH              05458200
*                                  ADDRESS SPACE LOCAL LOCK.            05458500
*                                  OWNERSHIP - XM SERVICES.             05458800
*                                  (MDC384)                    @G381P9A 05459100
ASCBATOV DS    A -                 VIRTUAL ADDRESS OF          @G381P9A 05459400
*                                  AUTHORIZATION TABLE (LOCATED         05459700
*                                  IN PC/AUTH ADDRESS SPACE             05460000
*                                  LSQA). SERIALIZATION: PC/AUTH,       05460300
*                                  ADDRESS SPACE LOCAL LOCK.            05460600
*                                  OWNERSHIP: XM SERVICES               05460900
*                                  (MDC384)                    @G381P9A 05461200
ASCBETC  DS    H -                 NUMBER OF ENTRY TABLES      @G381P9A 05461500
*                                  CURRENTLY OWNED BY THIS              05461800
*                                  ADDRESS SPACE.                       05462100
*                                  SERIALIZATION - PC/AUTH              05462400
*                                  ADDRESS SPACE LOCAL LOCK.            05462700
*                                  OWNERSHIP - XM SERVICES.             05463000
*                                  (MDC384)                    @G381P9A 05463300
ASCBETCN DS    H -                 NUMBER OF CONNECTIONS TO    @G381P9A 05463600
*                                  ENTRY TABLES IN THIS ADDRESS         05463900
*                                  SPACE CONTAINING ANY SPACE           05464200
*                                  SWITCH ENTRIES.                      05464500
*                                  SERIALIZATION - PC/AUTH              05465000
*                                  ADDRESS SPACE LOCAL LOCK.            05465100
*                                  OWNERSHIP - XM SERVICES.             05465200
*                                  (MDC387)                    @G381P9A 05465300
ASCBLXR  DS    H -                 NUMBER OF LINKAGE INDEXES   @G381P9A 05466000
*                                  RESERVED BY THIS ADDRESS             05466300
*                                  SPACE.                               05466600
*                                  SERIALIZATION - PC/AUTH              05466900
*                                  ADDRESS SPACE LOCAL LOCK.            05467200
*                                  OWNERSHIP - XM SERVICES.             05467500
*                                  (MDC384)                    @G381P9A 05467800
ASCBAXR  DS    H -                 NUMBER OF AUTHORIZATION     @G381P9A 05468100
*                                  INDEXES RESERVED BY THIS             05468400
*                                  ADDRESS SPACE.                       05468700
*                                  SERIALIZATION - PC/AUTH              05469000
*                                  ADDRESS SPACE LOCAL LOCK.            05469300
*                                  OWNERSHIP - XM SERVICES.             05469600
*                                  (MDC384)                    @G381P9A 05469900
ASCBSTKH DS    A -                 ADDRESS OF LOCAL STACK POOL @G381P9A 05470200
*                                  HEADER FOR PCLINK SERVICE.           05470500
*                                  SERIALIZATION - N/A.                 05470800
*                                  OWNERSHIP - XM SERVICES.             05471100
*                                  (MDC383)                    @G381P9A 05471400
ASCBGQEL DS    F -                 ADDRESS SPACE GLOBAL        @G381P9A 05471600
*                                  RESOURCE QUEUE.                      05471900
*                                  SERIALIZATION - GRS LOCAL LOCK.      05472200
*                                  OWNERSHIP - GRS    (MDC389) @G381P9A 05472500
ASCBLQEL DS    F -                 ADDRESS SPACE LOCAL         @G381P9A 05472800
*                                  RESOURCE QUEUE.                      05473100
*                                  SERIALIZATION - CMSEQDQ CLASS LOCK.  05473400
*                                  OWNERSHIP - GRS.   (MDC389) @G381P9A 05473700
ASCBGSYN DS    F -                 GRS SYNCHRONIZATION         @G381P9A 05474000
*                                  REQUEST QUEUE.                       05474300
*                                  SERIALIZATION - CMSEQDQ CLASS LOCK.  05474600
*                                  OWNERSHIP - GRS.   (MDC389) @G381P9A 05474900
ASCBXTCB DS    A -                 ADDRESS OF THE JOB STEP @G381P9A     05476200
*                                  TASK TCB WHICH OWNS THE CROSS MEMORY 05476500
*                                  RESOURCES IN THIS ADDRESS SPACE.     05476800
*                                  SERIALIZATION - LOCAL LOCK.          05477100
*                                  OWNERSHIP - SUPERVISOR.              05477400
*                                                 (MDC384)     @G381P9A 05477700
ASCBFW3  DS    0F -                FULLWORD LABEL TO ADDRESS @G381P9A   05477900
*                                  BITS IN THIS WORD.                   05478100
*                                  SERIALIZATION - CS.                  05478300
*                                                 (MDC384)     @G381P9A 05478500
ASCBCS1  DS    B -                 FIRST BYTE OF COMPARE AND            05478700
*                                  SWAP FLAGS.    (MDC384)     @G381P9A 05478900
ASCBXMET EQU   X'80' -             IF ONE, THE ADDRESS SPACE IS    @L3C 05479200
*                                  NON-REUSABLE BECAUSE OF CROSS        05479500
*                                  MEMORY CONNECTIONS TO IT.  THIS      05479800
*                                  CONDITION MAY NOT BE PERMANENT.      05480100
*                                  SERIALIZATION - CS AND PC/AUTH       05480400
*                                  ADDRESS SPACE LOCAL LOCK.            05480500
*                                  OWNERSHIP - XM SERVICES.             05480600
ASCBXMEC EQU   X'40' -             CROSS MEMORY ENTRY TABLES   @G381P9A 05480800
*                                  CONTAINING SPACE SWITCH ENTRIES      05480900
*                                  HAVE BEEN CREATED BY THIS ADDRESS    05481000
*                                  SPACE.                               05481100
*                                  SERIALIZATION - CS AND PC/AUTH       05481200
*                                  ADDRESS SPACE LOCAL LOCK.            05481300
*                                  OWNERSHIP - XM SERVICES.             05481600
*                                                 (MDC390)     @G381P9A 05481700
ASCBXMPA EQU   X'20' -             IF ONE, THE ADDRESS SPACE IS    @L3A 05481800
*                                  PERMANENTLY NON-REUSABLE BECAUSE     05481900
*                                  OF INCOMPLETE TERMINATION            05482000
*                                  PROCESSING OF PC/AUTH RESOURCE       05482100
*                                  MANAGER.                             05482200
*                                  SERIALIZATION - CS AND PC/AUTH       05482300
*                                  ADDRESS SPACE LOCAL LOCK.            05482400
*                                  OWNERSHIP - XM SERVICES.             05482500
ASCBXMLK EQU   X'10' -             IF ONE, THE ADDRESS SPACE IS    @L3A 05482600
*                                  PERMANENTLY NON-REUSABLE BECAUSE     05482700
*                                  OF A CML BIND.                       05482800
*                                  SERIALIZATION - CS AND PC/AUTH       05482900
*                                  ADDRESS SPACE LOCAL LOCK.            05483000
*                                  OWNERSHIP - XM SERVICES.             05483100
ASCBPERS EQU   X'08' -             COMMUNICATION BIT FOR       @G381P9A 05483200
*                                  SLIP/PER SRB ROUTINES.               05483300
*                                  IF 1, THE LOCAL SRB ROUTINE WILL     05483400
*                                  ACTIVATE PER FOR THE SPECIFIED       05483500
*                                  ADDRESS SPACE/JOB/CROSS MEMORY       05483600
*                                  REFERENCES.                          05483700
*                                  IF 0, THE LOCAL SRB ROUTINE WILL     05483800
*                                  DEACTIVATE PER FOR THE ADDRESS       05483900
*                                  SPACE.                               05484000
*                                  SERIALIZATION - CS AND SLIP          05484100
*                                  SERIALIZATION WORD, SHDRSEQ.         05484200
*                                  OWNERSHIP - SLIP/PER.                05484300
*                                                    (MDC390)  @G381P9A 05484400
ASCBDTER EQU   X'04' -             A DAT ERROR HAS OCCURRED    @G381P9A 05484500
*                                  FOR THIS ADDRESS SPACE.     @G381P9A 05484600
*                                  SERIALIZATION - CS.         @G381P9A 05484700
*                                  OWNERSHIP - RTM.  (MDC390)  @G381P9A 05484800
ASCBPERO EQU   X'02' -             PER PROCESSING NEEDS TO BE      @L5A 05484900
*                                  DONE WHEN ADDRESS SPACE IS SWAPPED   05485000
*                                  IN.                                  05485100
*                                  SERIALIZATION - CS.                  05485200
*                                  OWNERSHIP - SLIP.                    05485300
ASCBSWOP EQU   X'01' -             ADDRESS SPACE IS SWAPPED OUT    @L5A 05485400
*                                  WITH RESPECT TO PER PROCESSING BEING 05485500
*                                  DONE.                                05485600
*                                  SERIALIZATION - CS.                  05485700
*                                  OWNERSHIP - RCT.                     05485800
ASCBCS2  DS    B -                 SECOND BYTE OF COMPARE AND SWAP @P5A 05485900
*                                  FLAGS.                               05486000
ASCBSAS  EQU   X'80' -             INDICATES THAT STORAGE          @P5M 05486100
*                                  ALTERATION SELECTION (PER 2) IS ON   05486200
*                                  FOR EITHER A DATA SPACE ASSOCIATED   05486300
*                                  WITH THE ADDRESS SPACE, OR THE       05486400
*                                  ADDRESS SPACE ITSELF.                05486500
ASCBR122 DS    XL2 -               RESERVED.                       @P5C 05486600
*                                  SERIALIZATION- CS. (MDC389) @G381P9A 05486700
ASCBGXL  DS    A -                 ADDRESS OF GLOBALLY LOADED MODULE    05486800
*                                  EXTENT INFORMATION CONTROL BLOCK.    05486900
*                                  SERIALIZATION - LOCAL LOCK.          05487000
*                                  OWNERSHIP - CONTENTS SUPERVISION     05487100
*                                                   (MDC389)   @G381P9A 05487200
ASCBEATT DS    D -                 EXPENDED AND ACCOUNTED TASK TIME.    05487300
*                                  SERIALIZATION - N/A.                 05487400
*                                  OWNERSHIP - SCHEDULER.               05487800
*                                                   (MDC387)   @G381P9A 05488200
ASCBINTS DS    D -                 JOB SELECTION TIME STAMP.            05488600
*                                  SERIALIZATION - N/A.                 05489000
*                                  OWNERSHIP - SCHEDULER.               05489400
*                                                   (MDC387)   @G381P9A 05489800
ASCBFW4  DS    0F -                FULLWORD LABEL TO ADDRESS   @G381P9A 05490200
*                                  BITS IN THIS WORD.                   05490600
*                                  SERIALIZATION - LOCAL LOCK.          05491000
*                                                   (MDC389)   @G381P9A 05491400
ASCBLL1  DS    B -                 FIRST BYTE OF FLAGS.        @G381P9A 05491800
*                                  SERIALIZATION - LOCAL LOCK. @G381P9A 05492200
*                                                   (MDC389)   @G381P9A 05492500
ASCBSSPC EQU   X'80' -             STATUS STOP TASKS PENDING   @G381P9A 05492800
*                                  A CML LOCK RELEASE.         @G381P9A 05493100
*                                                   (MDC389)   @G381P9A 05493500
ASCBLL2  DS    B -                 SECOND BYTE OF FLAGS.       @G381P9A 05495900
*                                  SERIALIZATION - LOCAL LOCK. @G381P9A 05496200
*                                                   (MDC389)   @G381P9A 05496500
ASCBLL3  DS    B -                 THIRD BYTE OF FLAGS.        @G381P9A 05496800
*                                  SERIALIZATION - LOCAL LOCK. @G381P9A 05497100
*                                                    (MDC389)  @G381P9A 05497400
ASCBLL4  DS    B -                 FOURTH BYTE OF FLAGS.       @G381P9A 05497700
*                                  SERIALIZATION - LOCAL LOCK. @G381P9A 05498000
*                                                    (MDC389)  @G381P9A 05498300
ASCBTYP1 EQU   X'02' -             TYPE 1 SVC HAS CONTROL.  THIS OFFSET 05498400
*                                  FIXED BY ARCHITECTURE.      @G860PXK 05498500
ASCBRCMS DS    A                   ADDRESS OF THE REQUESTED    @G381PXU 05498600
*                                  CMS CLASS LOCK FOR WHICH    @G381P9A 05498700
*                                  THE LOCAL LOCK HOLDER IS    @G381P9A 05498800
*                                  SUSPENDED.                  @G381P9A 05498900
*                                  SERIALIZATION - LOCAL LOCK. @G381P9A 05499000
*                                  OWNERSHIP - SUPERVISOR.     @G381P9A 05499100
*                                                    (MDC391)  @G381P9A 05499200
ASCBIOSC DS    F -                 I/O SERVICE MEASURE.        @G381PXU 05499300
*                                  SERIALIZATION - CS.         @G381PXU 05499400
*                                  UPDATED BY JES2,JES3,SMF.   @G381PXU 05499500
*                                  READ BY RMF,SMF,SRM.        @G381PXU 05513800
ASCBPKML DC    H'0' -              PKM OF LAST TASK DISPATCHED          05520200
*                                  IN THIS ADDRESS SPACE.               05526600
*                                  SERIALIZATION - NONE.                05533000
*                                  OWNERSHIP - DISPATCHER.     @G387PXH 05539700
ASCBXCNT DS    H -                 EXCP COUNT FIELD.               @L1A 05541600
*                                  SERIALIZATION - LOCAL LOCK.          05543500
*                                  OWNERSHIP - EXCP.                    05545400
ASCBNSQA DS    A -                 ADDRESS OF THE SQA RESIDENT          05547600
*                                  NSSA CHAIN.                          05549700
*                                  SERIALIZATION - DISPATCHER LOCK.     05551800
*                                  OWNERSHIP - DISPATCHER.     @G38BPXH 05553900
ASCBASM  DS    A -                 ADDRESS OF THE ASM HEADER.      @L2A 05554900
*                                  SERIALIZATION - NONE.                05555900
*                                  OWNERSHIP - ASM.                     05556900
ASCBASSB DS    A -                 POINTER TO ADDRESS SPACE        @D6C 05560000
*                                  SECONDARY BLOCK (ASSB).              05563100
ASCBTCME DS    A -                 POINTER TO TCXTB.               @D1A 05566200
*                                  OWNERSHIP - TCAM.                    05568500
ASCBGQIR DS    0A -                ISGQSCAN INFORMATION            @O3A 05568600
*                                  ROUTINE ADDRESS.                     05568700
*                                  SERIALIZATION  - COMPARE AND SWAP.   05568800
*                                  OWNERSHIP - GRS                      05568900
         DS    XL1 -               BYTE 0 OF ASCBGQIR              @O3A 05569000
ASCBGQAB EQU   X'80' -             ISGQSCAN INFORMATION            @O3A 05569100
*                                  ROUTINE ABENDED FLAG. IF ON,         05569200
*                                  ISGQSCAN INFORMATION ROUTINE         05569300
*                                  UNEXPECTEDLY ABENDED.                05569400
         DS    XL2 -               BYTE 1 AND 2 OF ASCBGQIR        @O3A 05569500
ASCBGQI3 DS    XL1 -               BYTE 3 OF ASCBGQIR              @O3A 05569600
ASCBGQDS EQU   X'01' -             ISGQSCAN INFORMATION            @O3A 05569700
*                                  ROUTINE DISABLED FLAG. IF ON,        05569800
*                                  ISGQSCAN WILL NOT INVOKE THE         05569900
*                                  ISGQSCAN INFORMATION ROUTINE.        05570000
ASCBLSQE DS    F -                 Number of Enclave TCBs that are on   05570200
*                                  a Local Lock Suspend Queue.          05570400
*                                  Ownership:  Task Management          05570600
*                                  Serialization:  Compare and Swap     05570800
*                                                                  @LCA 05571000
ASCBR160  DS   XL8 -               RESERVED.                       @LCC 05571200
ASCBCREQ DS    F -                 COUNT OF CONCURRENT             @D4C 05571400
*                                  ENQ/RESERVE AND GQSCAN REQUESTS @D4C 05571600
*                                  SERIALIZATION - COMPARE & SWAP  @D4C 05571800
*                                  OWNERSHIP - GRS                 @D4C 05572000
ASCBRSME DS    A   -               POINTER TO RSM ADDRESS SPACE    @D5A 05572200
*                                  BLOCK EXTENSION.                @D5A 05572400
*                                  SERIALIZATION: RSMAD LOCK       @D5A 05572600
*                                  OWNERSHIP: RSM                  @D5A 05572800
ASCBAVM  DS    0F -                AVAILABILITY MANAGER ADDRESS    @01C 05573000
*                                  SPACE RELATED DATA.                  05573200
*                                  SERIALIZATION: CS.                   05573400
*                                  OWNERSHIP: AVM.                      05573600
ASCBAVM1 DS    B -                 FIRST BYTE OF ASCBAVM.          @01A 05573800
*                                  RESERVED.                            05574000
ASCBAVM2 DS    B -                 SECOND BYTE OF ASCBAVM.         @01A 05574200
*                                  RESERVED.                            05574400
ASCBAGEN DS    H -                 AVM ASID REUSE GENERATION       @01A 05574600
*                                  NUMBER.                              05574800
ASCBARC  DS    F -                 REASON CODE ON MEMTERM.              05575000
*                                  SERIALIZATION - N/A.                 05575200
*                                  OWNERSHIP - RTM.            @G860PXK 05575400
ASCBRSM  DS    0A -                ADDRESS OF RSM'S CONTROL BLOCK       05575600
*                                  HEADER.                     @G860PVB 05575800
ASCBRSMA DS    AL4 -               ADDRESS OF RSM'S CONTROL BLOCK       05576000
*                                  HEADER.                     @G860PVB 05576200
ASCBDCTI DS    F'0' -              ACCUMULATED CHANNEL CONNECT TIME     05576400
*                                  INCURRED BY THIS MEMORY     @G860PVB 05576600
ASCBEND  DS    0D -                END OF ASCB                     @L7C 05578800
         POP   PRINT                                               @D6A 05584800
         MEND  , -    */                                                05585300
*%ASCBL2 : ;                                                            05600002
*                                                                       05610002
*  @LISTPUSH;                                                  /*@D6A*/ 05615700
*  %IF IHALIST='YES' %THEN                                     /*@D6A*/ 05621400
*     %GOTO ASCBLST;                                           /*@D6A*/ 05627100
*  @LISTOFF;                                                   /*@D6A*/ 05632800
*  %ASCBLST:;                                                  /*@D6A*/ 05638500
*                                                                       05644200
*DCL 1 ASCB     BASED(ASCBPTR) BDY(DWORD),                              05650002
*      2 ASCBEGIN CHAR(0),        /* BEGINNING OF ASCB               */ 05700002
*      2 ASCBASCB CHAR(4) BDY(WORD), /* ACRONYM IN EBCDIC  -ASCB-    */ 05750002
*      2 ASCBFWDP PTR(31),        /* ADDRESS OF NEXT ASCB ON ASCB       05800002
*                                    READY QUEUE                     */ 05850002
*      2 ASCBBWDP PTR(31),        /* ADDRESS OF PREVIOUS ASCB ON ASCB   05900002
*                                    READY QUEUE                     */ 05950002
*      2 ASCBLTCS PTR(31),        /* TCB and preemptable-class SRB      05970000
*                                    Local lock suspend service queue.  05990000
*                                    Serialization: ASCB CML promotion  06010000
*                                    WEB lock.                   @07C*/ 06030000
*      2 ASCBSUPC BIT(64) BDY(DWORD), /* SUPERVISOR CELL FIELD          06050040
*                                    (MDC309)                @Z40FP9A*/ 06080040
*       3 ASCBSVRB PTR(31),       /* SVRB POOL ADDRESS.  THIS OFFSET    06090050
*                                    FIXED BY ARCHITECTURE.             06110050
*                                    (MDC310)                @G50EP9A*/ 06120050
*       3 ASCBSYNC FIXED(31),     /* COUNT USED TO SYNCHRONIZE SVRB     06200040
*                                    POOL.  THIS OFFSET FIXED BY        06205050
*                                    ARCHITECTURE.  (MDC311) @G50EP9A*/ 06210050
*      2 ASCBIOSP PTR(31),        /* POINTER TO IOS PURGE INTERFACE     06227040
*                                    CONTROL BLOCK (IPIB)               06230040
*                                    (MDC308)                @Z40FP9A*/ 06240140
*      2 ASCBWQLK PTR(31),        /* WEB QUEUE LOCK WORD                06253500
*                                    SERIALIZATION: CS                  06266900
*                                    OWNERSHIP: SUPERVISOR CONTROL      06280300
*                                                                @L8A*/ 06300400
*       3 ASCBR01C CHAR(2),       /* RESERVED, MUST BE ZERO      @L8A*/ 06320500
*       3 ASCBWQID FIXED(16),     /* LOGICAL CPU ID OF PROCESSOR        06333900
*                                    HOLDING THE WEB QUEUE LOCK         06347300
*                                    OWNERSHIP: SUPERVISOR CONTROL      06360700
*                                                                @L8A*/ 06380800
*      2 ASCBSAWQ PTR(31),        /* ADDRESS OF ADDRESS SPACE SRB WEB   06400900
*                                    QUEUE                              06414300
*                                    SERIALIZATION: WEQ QUEUE LOCK      06427700
*                                    OWNERSHIP: SUPERVISOR CONTROL      06441100
*                                                                @L8A*/ 06461200
*        3 ASCBURRQ BIT(1),       /* SYSEVENT USER READY REQUIRED       06481300
*                                    SERIALIZATION: WEQ QUEUE LOCK      06494700
*                                    OWNERSHIP: SUPERVISOR CONTROL      06508100
*                                                                @L8A*/ 06529000
*      2 ASCBASID BIT(16) BDY(WORD), /* ADDRESS SPACE IDENTIFIER        06550002
*                                    FOR THE ASCB                    */ 06600002
*        3 ASCBASN FIXED(15),        /* SAME AS ASCBASID         @L8A*/ 06625000
*      2 ASCBR026 BIT(16),        /* RESERVED                    @L4C*/ 06650000
*      2 ASCBLL5 BIT(8) BDY(WORD),/* FLAGS. SERIALIZATION - LOCAL       06690300
*                                    LOCK                        @D2A*/ 06730600
*        4 *        BIT(2),       /* RESERVED.                   @D2A*/ 06771000
*        4 ASCBS3S  BIT(1),       /* STAGE II EXIT EFFECTOR HAS         06778000
*                                    SCHEDULED AN RQE OR IQE AND        06785000
*                                    STAGE III EXIT EFFECTOR            06792000
*                                    SHOULD BE INVOKED           @D2M*/ 06799000
*        4 *        BIT(5),       /* RESERVED.                   @D2A*/ 06806000
*      2 ASCBHLHI BIT(8),         /* INDICATION OF SUSPEND LOCKS HELD   06832800
*                                    AT TASK SUSPENSION          @L4C*/ 06859600
*      2 ASCBDPH  FIXED(16),      /* DISPATCHING PRIORITY        @L8C*/ 06886400
*        4 ASCBDPHI FIXED(8),     /* HIGH ORDER BYTE OF HALFWORD        06913500
*                                    DISPATCHING PRIORITY        @L8C*/ 06935000
*        4 ASCBDP   PTR(8),       /* DISPATCHING PRIORITY RANGE FROM    06956500
*                                    0-255                       @L8C*/ 07006500
*      2 ASCBTCBE FIXED(32),      /* Count of ready TCBs in the space   07024400
*                                    that are in an enclave.            07042300
*                                    OWNERSHIP: Task Management         07060200
*                                    SERIALIZATION:  Compare and Swap   07078100
*                                    and the WEB Lock of the TCB for    07096000
*                                    which this count is being          07113900
*                                    manipulation.               @LCC*/ 07131800
*      2 ASCBLDA  PTR(31),        /* POINTER TO LOCAL DATA AREA         07150002
*                                    PART OF LSQA FOR VSM            */ 07200002
*      2 ASCBRSMF BIT(8) ABNORMAL,/* RSM ADDRESS SPACE FLAGS            07235000
*                                    (MDC368)                @G860PVB*/ 07270000
*        4 ASCB2LPU BIT(1),       /* SECOND LEVEL PREFERRED USER.       07305050
*                                    THIS OFFSET FIXED BY               07305550
*                                    ARCHITECTURE.  (MDC369) @G50EP9A*/ 07306050
*        4 ASCB1LPU BIT(1),       /* FIRST LEVEL PREFERRED USER         07310040
*                                    (MDC370)                @ZA17355*/ 07311040
*        4 ASCBN2LP BIT(1),       /* SRM IN SYSEVENT TRANSWAP SHOULD    07312040
*                                    NOT SET ASCB2LPU BIT - HOWEVER     07314040
*                                    IT MAY ALREADY BE ON AND WILL      07314240
*                                    STAY ON  (MDC371)       @ZA17355*/ 07314440
*        4 ASCBVEQR BIT(1),       /* V=R ADDRESS SPACE                  07318040
*                                    (MDC372)                @ZA17355*/ 07319040
*        4 *        BIT(4),       /* RESERVED.               @ZA17355*/ 07329300
*      2 ASCBFLG3 BIT(8),         /* Flags, no serialization     @LDA*/ 07332700
*        4 ASCBCNIP BIT(1),       /* This address space was created     07336100
*                                    during NIP. Set by IEAVEMRQ.       07339500
*                                    Serialization: none         @LDA*/ 07342900
*      2 ASCBR036 CHAR(2),        /* RESERVED.                   @LDC*/ 07346300
*      2 ASCBCSCB PTR(31),        /* ADDRESS OF CSCB                 */ 07350002
*      2 ASCBTSB  PTR(31),        /* ADDRESS OF TSB                  */ 07400002
*      2 ASCBEJST BIT(64) BDY(DWORD), /* ELAPSED JOB STEP TIMING        07450002
*                                    UNSIGNED 64-BIT BINARY NUMBER   */ 07500002
*      2 ASCBEWST BIT(64) BDY(DWORD), /* TIME OF DAY WHENEVER I-STREAM  07600002
*                                    IS SWITCHED FROM A MEMORY       */ 07650002
*      2 ASCBJSTL BIT(32) BDY(WORD), /* CPU TIME LIMIT FOR THE          07750002
*                                    JOB STEP                        */ 07760002
*      2 ASCBECB  BIT(32) BDY(WORD), /* RCT'S WORK ECB               */ 07800002
*      2 ASCBUBET BIT(32) BDY(WORD), /* TIME STAMP WHEN USER BECAME     07850002
*                                    READY                           */ 07900002
*      2 ASCBTLCH PTR(31),        /* CHAIN FIELD FOR TIME LIMIT         07920050
*                                    EXCEEDED QUEUE                     07950050
*                                    (MDC329)                @G50DP9A*/ 07960050
*      2 ASCBDUMP PTR(31),        /* SVC DUMP TASK TCB ADDRESS       */ 08000000
*      2 ASCBFW1  FIXED(31),      /* FULL-WORD LABEL TO BE USED FOR     08010002
*                                    COMPARE AND SWAP FOR ANY BIT IN    08020002
*                                    THIS WORD                 MDC026*/ 08030002
*       3 ASCBAFFN BIT(16) BDY(WORD), /* CPU AFFINITY INDICATOR      */ 08040050
*       3 ASCBRCTF BIT(8),        /* FLAGS FOR RCT SERIALIZED BY        08060000
*                                    COMPARE AND SWAP        @ZA40479*/ 08080000
*        4 ASCBTMNO BIT(1),       /* MEMORY IS BEING QUIESCED, IS       08100050
*                                    QUIESCED, OR IS BEING RESTORED  */ 08200002
*        4 ASCBFRS  BIT(1),       /* RESTORE REQUEST                 */ 08220050
*        4 ASCBFQU  BIT(1),       /* QUICESCE REQUEST                */ 08250050
*        4 ASCBJSTE BIT(1),       /* JOB STEP TIME EXCEEDED. NOT        08283300
*                                    USED BY RCT             @ZA94366*/ 08316600
*        4 ASCBWAIT BIT(1),       /* LONG WAIT INDICATOR             */ 08350050
*        4 ASCBOUT  BIT(1),       /* ADDRESS SPACE CONSIDERED SWAPPED   08400050
*                                    OUT                             */ 08500002
*        4 ASCBTMLW BIT(1),       /* MEMORY IS IN A LONG WAIT        */ 08520050
*        4 ASCBTOFF BIT(1) ABNL,  /* MEMORY SHOULD NOT BE CHECKED FOR   08650000
*                                    JOB STEP TIMING                    08685500
*                                    NOT USED BY RCT         @ZA40479*/ 08721000
*       3 ASCBFLG1 BIT(8),        /* FLAG BYTE                       */ 08756600
*        4 ASCBLSAS BIT(1),       /* ADDRESS SPACE IS LOGICALLY SWAPPED 08806600
*                                    OUT                                08823500
*                                    SERIALIZATION - WHEN SETTING, CPU  08840400
*                                    LOCK, AND THE SWAP INTERSECT       08857300
*                                                  - WHEN RESETTING,    08874200
*                                    NONE REQUIRED               @DHC*/ 08891100
*        4 ASCBDSTK BIT(1) ABNL,  /* SRM REQUIRES A TIME STAMP TO       08908000
*                                    DETERMINE WHEN THE ADDRESS SPACE   08924900
*                                    GOES INTO LONG WAIT.  ASCBEWST     08941800
*                                    WILL BE UPDATED WHEN THIS BIT      08958700
*                                    IS ON. NOTE: If this bit moves     08965400
*                                    positions, the bit constant        08972100
*                                    ASCBDSTZ must also be changed.     08978800
*                                                                @P6C*/ 08985700
*        4 *        BIT(1),       /* RESERVED.                   @05C*/ 08992600
*        4 ASCBTERM BIT(1),       /* ADDRESS SPACE TERMINATING          09020050
*                                    NORMALLY                        */ 09100002
*        4 ASCBABNT BIT(1),       /* ADDRESS SPACE TERMINATING          09120050
*                                    ABNORMALLY                      */ 09200002
*        4 ASCBMEMP BIT(1),       /* Memory Termination PURGEDQ flag    09250000
*                                    Serialization: none         @LBA*/ 09300000
*        4 *        BIT(2),       /* RESERVED.                   @LBC*/ 09350000
*      2 ASCBTMCH PTR(31),        /* TERMINATION QUEUE CHAIN         */ 09450002
*      2 ASCBASXB PTR(31),        /* POINTER TO ADDRESS SPACE           09500002
*                                    EXTENSION CONTROL BLOCK (ASXB)  */ 09550002
*      2 ASCBFW2  FIXED(31),      /* FULLWORD LABEL TO ADDRESS BITS     09560050
*                                    IN THIS WORD  (MDC330)  @G50DP9A*/ 09570050
*       3 ASCBSWCT FIXED(15) BDY(WORD), /* NUMBER OF TIMES MEMORY       09580050
*                                    ENTERS SHORT WAIT       @G50DP9A*/ 09600050
*       3 ASCBDSP1 BIT(8),        /* NONDISPATCHABILITY                 09650000
*                                    FLAGS.                             09670000
*                                    SERIALIZATION - GLOBAL INTERSECT.  09690000
*                                                   (MDC388) @G381P9A*/ 09710000
*        4 ASCBSSND BIT(1),       /* SYSTEM SET NONDISPATCHABLE AND     09730000
*                                    THIS ASCB IS NOT EXEMPT            09750050
*                                    (MDC331)                @G50DP9A*/ 09760050
*        4 ASCBFAIL BIT(1),       /* A FAILURE HAS OCCURRED WITHIN      09770050
*                                    THE ADDRESS SPACE. THE MEMORY      09850002
*                                    IS NONDISPATCHABLE      @G50DP9A*/ 09870050
*        4 ASCBSNQS BIT(1),       /* STATUS STOP NON-QUIESCABLE LEVEL   09900050
*                                    SRB'S  (MDC323)         @G50DP9A*/ 09970050
*        4 ASCBSSSS BIT(1),       /* STATUS STOP SRB SUMMARY            09970650
*                                    (MDC332)                @G50DP9A*/ 09972050
*        4 ASCBSTND BIT(1),       /* TCB'S NONDISPATCHABLE              09972600
*                                    (MDC322)                @G50DP9A*/ 09974050
*        4 ASCBUWND BIT(1),       /* STATUS SET UNLOCKED WORKUNITS      09984000
*                                    NONDISPATCHABLE.            @LAA*/ 09990600
*        4 ASCBNOQ  BIT(1),       /* ASCB NOT ON SWAPPED IN             09996400
*                                    QUEUE                       @L4A*/ 10002200
*        4 *        BIT(1),       /* RESERVED.                   @L4C*/ 10008000
*       3 ASCBFLG2 BIT(8),        /* FLAG BYTE.                         10014000
*                                    SERIALIZATION - GLOBAL INTERSECT.  10018300
*                                                   (MDC387) @G381P9A*/ 10022600
*        4 ASCBXMPT BIT(1),       /* ASCB EXEMPT FROM SYSTEM            10026900
*                                    NONDISPATCHABLE                    10031200
*                                    (MDC013)                @G50DP9A*/ 10035500
*        4 ASCBPXMT BIT(1),       /* ASCB PERMANENTLY EXEMPT FROM       10039800
*                                    SYSTEM NONDISPATCHABLE             10044100
*                                    (MDC014)                @G50DP9A*/ 10048450
*        4 ASCBCEXT BIT(1) ABNL,  /* CANCEL TIMER EXTENSION BECAUSE     10049000
*                                    EOT PROCESSING IS STARTED FOR      10049202
*                                    THE JOB STEP TCB                   10050250
*                                    (MDC021)                @G50DP9A*/ 10053750
*        4 ASCBS2S  BIT(1),       /* FOR LOCK MANAGER, ENTRY MADE TO    10054750
*                                    STAGE II EXIT EFFECTOR WITHOUT     10055750
*                                    CORRESPONDING ENTRY TO STAGE III   10056702
*                                    EXIT EFFECTOR  (MDC020) @G50DP9A*/ 10057750
*        4 ASCBNCML BIT(1),       /* ASCB IS NOT ELIGIBLE FOR CML LOCK  10060300
*                                    REQUESTS.                   @LAM*/ 10062900
*        4 ASCBNOMT BIT(1),       /* ADDRESS SPACE MUST NOT BE          10065700
*                                    MEMTERMED UNLESS A DAT ERROR HAS   10066700
*                                    OCCURRED. IF A DAT ERROR HAS       10067500
*                                    OCCURRED, ACTION IS CONTROLLED     10068300
*                                    BY ASCBNOMD.                       10069100
*                                    OWNERSHIP - SCHEDULER.             10069900
*                                                   (MDC387) @G381P9A*/ 10070700
*        4 ASCBNOMD BIT(1),       /* IF ON, ADDRESS SPACE CANNOT BE     10071500
*                                    MEMTERMED ON A DAT ERROR.          10072300
*                                    IF OFF, PROCESS MEMTERM ON A DAT   10073700
*                                    ERROR.                             10074700
*                                    OWNERSHIP -  SCHEDULER             10075700
*                                                   (MDC387) @G381P9A*/ 10076700
*        4 *        BIT(1),       /* RESERVED.               @G50DP9A*/ 10077700
*      2 ASCBSCNT FIXED(31),      /* FULLWORD LABEL FOR COMPARE AND     10078700
*                                    SWAP (CS)  (MDC333)     @G50DP9A*/ 10079700
*       3 *        FIXED(15),     /* FIRST HALFWORD OF ASCBSCNT MUST    10080700
*                                    BE ZERO        (MDC387) @G381P9A*/ 10081700
*       3 ASCBSRBS FIXED(15),     /* COUNT OF SRB'S SUSPENDED IN THIS   10092850
*                                    MEMORY  (MDC325)        @G50DP9A*/ 10100050
*      2 ASCBLLWQ PTR(31),        /* ADDRESS SPACE LOCAL LOCK SUSPEND   10136400
*                                    SERVICE WEB QUEUE                  10172800
*                                    SERIALIZATION: LOCAL LOCK          10209200
*                                    OWNERSHIP: SUPERVISOR CONTROL      10245600
*                                                                @L8A*/ 10295600
*      2 ASCBRCTP PTR(31),        /* POINTER TO REGION CONTROL TASK     10355050
*                                    (RCT) TCB  (MDC334)     @G50DP9A*/ 10360050
*      2 ASCBLKGP CHAR(8) BDY(DWORD), /* LOCK GROUP (MDC306) @Z40FP9A*/ 10400040
*       3 ASCBLOCK FIXED(31),     /* LOCAL LOCK. THIS OFFSET FIXED BY   10420050
*                                    ARCHITECTURE.  (MDC305) @G50EP9A*/ 10440050
*       3 ASCBLSWQ PTR(31),       /* ADDRESS SPACE LOCAL LOCK WEB       10451400
*                                    SUSPEND QUEUE                      10462800
*                                    SERIALIZATION: CDS WITH ASCBLOCK   10474200
*                                    OWNERSHIP: SUPERVISOR CONTROL      10485600
*                                                                @L8A*/ 10502700
*         4 ASCBS3NL BIT(1),      /* THE LOCAL LOCK IS NEEDED BY THE    10519800
*                                    STAGE 3 EXIT EFFECTOR TO QUEUE     10531200
*                                    ASYNCHRONOUS EXITS                 10542600
*                                    SERIALIZATION: CDS WITH ASCBLOCK   10554000
*                                    OWNERSHIP: SUPERVISOR CONTROL      10565400
*                                                                @L8A*/ 10582700
*         4 *        BIT(30),     /*                             @07A*/ 10587000
*         4 ASCBLTCL BIT(1),      /* THE LOCAL LOCK IS NEEDED BY SOME   10591300
*                                    TCB or preemptable-class SRB.      10594200
*                                                                @07A*/ 10597100
*      2 ASCBQECB BIT(32) BDY(WORD), /* QUIESCE ECB                  */ 10600002
*      2 ASCBMECB BIT(32) BDY(WORD), /* MEMORY CREATE/DELETE ECB     */ 10650002
*      2 ASCBOUCB PTR(31),        /* SYSTEM RESOURCES MANAGER (SRM)     10660002
*                                    USER CONTROL BLOCK POINTER      */ 10670002
*      2 ASCBOUXB PTR(31),        /* SYSTEM RESOURCES MANAGER (SRM)     10680002
*                                    USER EXTENSION BLOCK POINTER    */ 10690002
*      2 ASCBFW2A BDY(WORD),      /* FULLWORD LABEL TO ADDRESS          10690400
*                                    BITS IN THIS WORD.          @DAA*/ 10690800
*        3 ASCBFMCT FIXED(16),    /* RESERVED. ALLOCATED PAGE FRAME     10691000
*                                    COUNT NOW RESIDES IN THE RAX       10691200
*                                    (MAPPING MACRO IARRAX).     @L6C*/ 10691400
*        3 ASCBLEVL FIXED( 8),    /* LEVEL NUMBER OF ASCB        @DAC*/ 10691600
*        3 ASCBFL2A BIT(8),       /* FLAG BYTE                   @DAA*/ 10692000
*            5 ASCBNOPR BIT(1) ABNL, /* NO PREEMPTION FLAG              10692400
*                                    1=DO NOT SIGP ANOTHER PROCESSOR    10692800
*                                      TO EXECUTE READY WORK IN THIS    10693200
*                                      SPACE                            10693600
*                                    0=DO SIGP ANOTHER PROCESSOR        10694000
*                                      OWNERSHIP:     SRM               10694400
*                                      SERIALIZATION: CS         @DAA*/ 10694800
*            5 *        BIT(7),   /* RESERVED                    @DAA*/ 10695200
*      2 ASCBR09C PTR(31),        /* Reserved                    @P9C*/ 10697600
*      2 ASCBIQEA PTR(31),        /* POINTER TO IQE FOR ATCAM           10700002
*                                    ASYNCHRONOUS PROCESSING   MDC010*/ 10710002
*      2 ASCBRTMC PTR(31),        /* ANCHOR FOR SQA SDWA QUEUE.         10750000
*                                                   (MDC388) @G381P9A*/ 10775000
*      2 ASCBMCC  CHAR(4) BDY(WORD), /* USED TO HOLD A MEMORY           10800002
*                                    TERMINATION COMPLETION CODE ON     10810002
*                                    ABNORMAL MEMORY TERMINATION        10820002
*                                                              MDC012*/ 10830002
*      2 ASCBJBNI PTR(31),        /* POINTER TO JOBNAME FIELD FOR       10850002
*                                    INITIATED PROGRAMS OR ZERO         10860002
*                                                              MDC018*/ 10870002
*      2 ASCBJBNS PTR(31),        /* POINTER TO JOBNAME FIELD FOR       10880002
*                                    START/MOUNT/LOGON OR ZERO MDC019*/ 10890002
*      2 ASCBSRQ  BIT(32) BDY(WORD), /* DISPATCHER SERIALIZATION        10940040
*                                    REQUIRED  (MDC312)      @G50DP9A*/ 10940550
*       3 ASCBSRQ1 BIT(8),        /* FIRST BYTE OF ASCBSRQ              10942040
*                                    (MDC313)                @Z40FP9A*/ 10943040
*        4 ASCBDSG4 BIT(1),       /* SIGNAL WAITING PROCESSORS WHEN     10943550
*                                    INTERSECT IS RESET                 10944050
*                                    (MDC335)                @G50DP9A*/ 10944250
*        4 ASCBDFLT BIT(1),       /* DEFAULT LOCAL INTERSECT            10944450
*                                    (MDC336)                @G50DP9A*/ 10945050
*        4 *        BIT(6),       /* RESERVED.               @Z40FP9A*/ 10948500
*       3 ASCBSRQ2 BIT(8),        /* SECOND BYTE OF ASCBSRQ             10952040
*                                    (MDC315)                @Z40FP9A*/ 10953040
*        4 ASCBDSG3 BIT(1),       /* SIGNAL WAITING PROCESSORS WHEN     10953550
*                                    INTERSECT IS RESET                 10954050
*                                    (MDC337)                @G50DP9A*/ 10954350
*        4 *        BIT(5),       /* RESERVED.               @Z40FP9A*/ 10956900
*        4 ASCBSRM1 BIT(1),       /* SYSTEM RESOURCE MANAGER (SRM)      10959550
*                                    INTERSECTING  (MDC338)  @G50DP9A*/ 10960050
*        4 ASCBQVER BIT(1),       /* QUEUE VERIFICATION INTERSECTING    10960350
*                                    (MDC339)                @G50DP9A*/ 10961050
*       3 ASCBSRQ3 BIT(8),        /* THIRD BYTE OF ASCBSRQ              10962040
*                                    (MDC316)                @Z40FP9A*/ 10963040
*        4 ASCBDSG2 BIT(1),       /* SIGNAL WAITING PROCESSORS WHEN     10963550
*                                    INTERSECT IS RESET                 10964050
*                                    (MDC340)                @G50DP9A*/ 10964250
*        4 ASCBRCTI BIT(1),       /* REGION CONTROL TASK (RCT)          10964450
*                                    INTERSECTING  (MDC381)  @ZM48358*/ 10964750
*        4 ASCBTCBV BIT(1),       /* TCB VERIFICATION INTERSECTING      10965450
*                                    (MDC342)                @G50DP9A*/ 10966050
*        4 ASCBACHA BIT(1),       /* ASCB CHAP INTERSECTING             10966350
*                                    (MDC343)                @G50DP9A*/ 10967050
*        4 *        BIT(1),       /* RESERVED. (MDC344)      @G50DP9A*/ 10967300
*        4 ASCBMTER BIT(1),       /* MEMORY TERMINATION INTERSECTING    10968350
*                                    (MDC345)                @G50DP9A*/ 10969050
*        4 ASCBMINI BIT(1),       /* MEMORY INITIALIZATION              10969350
*                                    INTERSECTING  (MDC346)  @G50DP9A*/ 10970050
*        4 ASCBCBVE BIT(1),       /* CONTROL BLOCK VERIFICATION         10970350
*                                    INTERSECTING  (MDC347)  @G50DP9A*/ 10971050
*       3 ASCBSRQ4 BIT(8),        /* FOURTH BYTE OF ASCBSRQ             10972040
*                                    (MDC317)                @Z40FP9A*/ 10973040
*        4 ASCBDSG1 BIT(1),       /* SIGNAL WAITING PROCESSORS WHEN     10973550
*                                    INTERSECT IS RESET                 10974050
*                                    (MDC348)                @G50DP9A*/ 10974250
*        4 ASCBDETA BIT(1),       /* DETACH INTERSECTING                10974450
*                                    (MDC349)                @G50DP9A*/ 10975050
*        4 ASCBATTA BIT(1),       /* ATTACH INTERSECTING                10975350
*                                    (MDC350)                @G50DP9A*/ 10976050
*        4 ASCBRTM2 BIT(1),       /* RTM2 INTERSECTING                  10976350
*                                    (MDC351)                @G50DP9A*/ 10977050
*        4 ASCBRTM1 BIT(1),       /* RTM1 INTERSECTING                  10977350
*                                    (MDC352)                @G50DP9A*/ 10978050
*        4 ASCBCHAP BIT(1),       /* CHAP INTERSECTING                  10978350
*                                    (MDC353)                @G50DP9A*/ 10979050
*        4 ASCBSTAT BIT(1),       /* STATUS INTERSECTING                10979350
*                                    (MDC354)                @G50DP9A*/ 10980050
*        4 ASCBPURD BIT(1),       /* PURGEDQ INTERSECTING               10980350
*                                    (MDC355)                @G50DP9A*/ 10981050
*      2 ASCBVGTT PTR(31),        /* ADDRESS OF VSAM GLOBAL             11000002
*                                    TERMINATION TABLE (VGTT)  MDC024*/ 11010002
*      2 ASCBPCTT PTR(31),        /* ADDRESS OF PRIVATE CATALOG         11050002
*                                    TERMINATION TABLE (PCTT)  MDC025*/ 11100002
*      2 ASCBSSRB FIXED(15),      /* COUNT OF STATUS STOP SRB'S         11120050
*                                    (MDC324)                @G50DP9A*/ 11150050
*      2 ASCBSMCT PTR(8),         /* NUMBER OF OUTSTANDING STEP         11200002
*                                    MUST COMPLETE REQUESTS IN          11210002
*                                    ADDRESS SPACE             MDC016*/ 11220002
*      2 ASCBSRBM BIT(8),         /* MODEL PSW BYTE 0 USED BY SRB       11230065
*                                    DISPATCHER  (MDC379)    @G65RP9A*/ 11250065
*       3 *        BIT(1),        /* BIT 0 OF ASCBSRBM       @G65RP9A*/ 11258065
*       3 ASCBPER  BIT(1),        /* PER BIT IN ASCBSRBM - ALSO USED    11266065
*                                    TO SHOW PER STATUS FOR THE         11274065
*                                    ADDRESS SPACE  (MDC380) @G65RP9A*/ 11282065
*      2 ASCBSWTL FIXED(31),      /* STEP WAIT TIME LIMIT      MDC029*/ 11300002
*      2 ASCBSRBT CHAR(8) BDY(DWORD), /* ACCUMULATED SRB TIME  MDC030*/ 11310002
*      2 ASCBLTCB PTR(31),        /* TCB and preemptable-class SRB      11310200
*                                    Local lock suspend queue.          11310400
*                                    Serialization: Adding, CS.         11310800
*                                    Deleting, ASCB CML promotion WEB   11311200
*                                    lock and CS.                @07C*/ 11311600
*      2 ASCBLTCN FIXED(31),      /* Count of TCB and preemptable-class 11311800
*                                    SRB (local and CML)                11312000
*                                    requestors needing this local      11312400
*                                    lock.                              11312800
*                                    Serialization: CS           @07A*/ 11313200
*      2 ASCBTCBS FIXED(31),      /* NUMBER OF READY TCBS.              11313600
*                                    THE ACTUAL NUMBER OF READY TCBS    11315400
*                                    IS ASCBTCBS-ASCBLSQT.              11317200
*                                    SERIALIZATION: CS                  11319000
*                                    OWNERSHIP: TASK MANAGEMENT         11320800
*                                                                @L8A*/ 11323500
*      2 ASCBLSQT FIXED(31),      /* NUMBER OF TCBS ON A LOCAL LOCK     11326200
*                                    SUSPEND QUEUE.                     11328000
*                                    SERIALIZATION: CS                  11329800
*                                    OWNERSHIP: TASK MANAGEMENT         11331600
*                                                                @L8A*/ 11334300
*      2 ASCBWPRB PTR(31),        /* ADDRESS OF WAIT POST REQUEST       11337050
*                                    BLOCK  (MDC362)         @G50CP9A*/ 11337550
*      2 ASCBSRDP FIXED(31),      /* SYSTEM RESOURCE MANAGER (SRM)      11339050
*                                    DISPATCHING PRIORITY               11340050
*                                    (MDC363)                @G50IP9A*/ 11340550
*       3 ASCBNDP  PTR(8),        /* NEW DISPATCHING PRIORITY           11342050
*                                    (MDC364)                @G50IP9A*/ 11342550
*       3 ASCBTNDP PTR(8),        /* NEW TIME SLICE DISPATCHING         11344050
*                                    PRIORITY  (MDC365)      @G50IP9A*/ 11344550
*       3 ASCBNTSG PTR(8),        /* NEW TIME SLICE GROUP               11345250
*                                    (MDC366)                @G50IP9A*/ 11346550
*       3 ASCBIODP PTR(8),        /* I/O PRIORITY (MDC374)   @G50IP9A*/ 11346700
*      2 ASCBLOCI PTR(31),        /* LOCK IMAGE, ADDRESS OF             11347000
*                                    ASCB HOLDING THIS ASCB'S           11377000
*                                    LOCAL LOCK AS A CML                11407000
*                                    LOCK.                              11437000
*                                    SERIALIZATION-LOCAL LOCK.          11467000
*                                    OWNERSHIP - SUPERVISOR.            11497000
*                                    (MDC383)                @G381P9A*/ 11527000
*      2 ASCBCMLW PTR(31),        /* ADDRESS OF THE WEB REPRESENTING    11557000
*                                    THE WORKUNIT THAT IS HOLDING THIS  11587000
*                                    ASCB'S LOCAL LOCK AS A             11617000
*                                    CML OR LOCAL LOCK.                 11647000
*                                    SERIALIZATION: LOCAL LOCK          11671000
*                                    OWNERSHIP: SUPERVISOR CONTROL      11695000
*                                                                @L8C*/ 11731000
*      2 ASCBCMLC FIXED(31),      /* COUNT OF CML LOCKS HELD            11767000
*                                    BY THIS ADDRESS SPACE.             11787000
*                                    SERIALIZATION - CS.                11807000
*                                    OWNERSHIP - SUPERVISOR.            11827000
*                                    (MDC387)                @G381P9A*/ 11847000
*      2 ASCBSSOM FIXED(32),      /* SPACE SWITCH EVENT OWNER MASK.     11917000
*                                    SERIALIZATION  CS.                 11928600
*                                    OWNERSHIP - SUPERVISOR.            11940200
*                                                            @ZA58694*/ 11951800
*       3 ASCBSSO1 CHAR(3),       /* SPACE SWITCH EVENT OWNER MASK      11963400
*                                    BYTES 1 - 3.   (MDC389) @G381P9A*/ 11975000
*       3 ASCBSSO4 BIT(8),        /* SPACE SWITCH EVENT OWNER MASK      11986600
*                                    BYTE 4.        (MDC389) @G381P9A*/ 11998200
*        4 * BIT(6),              /* RESERVED FOR SPACE SWITCH EVENT    12009800
*                                    OWNER INDICATORS.                  12021400
*                                                   (MDC389) @G381P9A*/ 12033000
*        4 ASCBSSSP BIT(1),       /* SLIP/PER REQUESTED NOTIFICATION    12044600
*                                    ON SPACE SWITCH EVENTS.            12056200
*                                                   (MDC389) @G381P9A*/ 12067800
*        4 ASCBSSJS BIT(1),       /* JOB STEP TERMINATION REQUESTED     12079400
*                                    SPACE SWITCH EVENTS FOR BREAKING   12091000
*                                    LATENT ADDRESSING BINDS.           12102600
*                                                   (MDC389) @G381P9A*/ 12114200
*      2 ASCBASTE PTR(31),        /* VIRTUAL ADDRESS OF                 12127000
*                                    ADDRESS SPACE SECOND               12157000
*                                    TABLE ENTRY (ASTE).                12187000
*                                    SERIALIZATION - N/A.               12217000
*                                    OWNERSHIP - SUPERVISOR.            12247000
*                                    (MDC384)                @G381P9A*/ 12277000
*      2 ASCBLTOV PTR(31),        /* VIRTUAL ADDRESS OF THE             12307000
*                                    LINKAGE TABLE ORIGIN.              12337000
*                                    (LOCATED IN PC/AUTH                12367000
*                                    ADDRESS SPACE LSQA).               12397000
*                                    SERIALIZATION - PC/AUTH            12427000
*                                    ADDRESS SPACE LOCAL LOCK.          12457000
*                                    OWNERSHIP-XM SERVICES.             12487000
*                                    (MDC383)                @G381P9A*/ 12517000
*      2 ASCBATOV PTR(31),        /* VIRTUAL ADDRESS OF                 12547000
*                                    AUTHORIZATION TABLE                12577000
*                                    (LOCATED IN PC/AUTH                12607000
*                                    ADDRESS SPACE LSQA).               12637000
*                                    SERIALIZATION:  PC/AUTH            12667000
*                                    ADDRESS SPACE LOCAL LOCK.          12697000
*                                    OWNERSHIP:  XM SERVICES.           12727000
*                                    (MDC383)                @G381P9A*/ 12757000
*      2 ASCBETC FIXED(15),       /* NUMBER OF ENTRY TABLES             12787000
*                                    CURRENTLY OWNED BY THIS            12817000
*                                    ADDRESS SPACE.                     12847000
*                                    SERIALIZATION - PC/AUTH            12877000
*                                    ADDRESS SPACE LOCAL LOCK.          12907000
*                                    OWNERSHIP - XM SERVICES.           12937000
*                                    (MDC387)                @G381P9A*/ 12967000
*      2 ASCBETCN FIXED(15),      /* NUMBER OF CONNECTIONS              12987000
*                                    TO ENTRY TABLES IN THIS            13022000
*                                    ADDRESS SPACE CONTAINING           13057000
*                                    ANY SPACE SWITCH ENTRIES.          13092000
*                                    SERIALIZATION - PC/AUTH            13127000
*                                    ADDRESS SPACE LOCAL LOCK.          13147000
*                                    OWNERSHIP - XM SERVICES.           13167000
*                                    (MDC387)                @G381P9A*/ 13187000
*      2 ASCBLXR FIXED(15),       /* NUMBER OF LINKAGE                  13207000
*                                    INDEXES RESERVED BY                13267000
*                                    THIS ADDRESS SPACE.                13297000
*                                    SERIALIZATION - PC/AUTH            13327000
*                                    ADDRESS SPACE LOCAL LOCK.          13357000
*                                    OWNERSHIP - XM SERVICES.           13387000
*                                    (MDC387)                @G381P9A*/ 13417000
*      2 ASCBAXR FIXED(15),       /* NUMBER OF AUTHORIZATION            13437000
*                                    INDEXES RESERVED BY THIS           13477000
*                                    ADDRESS SPACE.                     13507000
*                                    SERIALIZATION - PC/AUTH            13537000
*                                    ADDRESS SPACE LOCAL LOCK.          13567000
*                                    OWNERSHIP - XM SERVICES.           13597000
*                                    (MDC387)                @G381P9A*/ 13627000
*      2 ASCBSTKH PTR(31),        /* ADDRESS OF LOCAL STACK             13657000
*                                    POOL HEADER FOR PCLINK             13687000
*                                    SERVICE.                           13717000
*                                    SERIALIZATION - N/A.               13747000
*                                    OWNERSHIP - XM SERVICES.           13777000
*                                    (MDC383)                @G381P9A*/ 13807000
*      2 ASCBGQEL PTR(31),        /* ADDRESS SPACE GLOBAL RESOURCE      13827000
*                                    QUEUE.                             13859600
*                                    SERIALIZATION - GRS LOCAL LOCK.    13892200
*                                    OWNERSHIP - GRS.                   13924800
*                                                  (MDC390)  @G381P9A*/ 13957400
*      2 ASCBLQEL PTR(31),        /* ADDRESS SPACE LOCAL RESOURCE       13990000
*                                    QUEUE.                             14022600
*                                    SERIALIZATION -CMSEQDQ CLASS LOCK. 14055200
*                                    OWNERSHIP - GRS.                   14087800
*                                                  (MDC390)  @G381P9A*/ 14120400
*      2 ASCBGSYN PTR(31),        /* GRS SYNCHRONIZATION REQUEST        14153000
*                                    QUEUE.                             14185600
*                                    SERIALIZATION- CMSEQDQ CLASS LOCK. 14218200
*                                    OWNERSHIP - GRS.                   14250800
*                                                  (MDC389)  @G381P9A*/ 14283400
*      2 ASCBXTCB PTR(31),        /* ADDRESS OF JOB STEP TASK TCB       14317000
*                                    WHICH OWNS THE CROSS MEMORY        14347000
*                                    RESOURCES IN THIS ADDRESS          14377000
*                                    SPACE.                             14407000
*                                    SERIALIZATION - LOCAL LOCK.        14437000
*                                    OWNERSHIP - SUPERVISOR.            14467000
*                                                 (MDC384)   @G381P9A*/ 14497000
*      2 ASCBFW3 FIXED(32),       /* FULLWORD LABEL TO ADDRESS BITS     14517000
*                                    IN THIS WORD.                      14537000
*                                    SERIALIZATION - CS.                14557000
*                                                 (MDC384)   @G381P9A*/ 14577000
*       3 ASCBCS1 BIT(8),         /* FIRST BYTE OF COMPARE AND SWAP     14597000
*                                    FLAGS.       (MDC384)   @G381P9A*/ 14617000
*        4 ASCBXMET BIT(1) ABNL,  /* IF ONE, THE ADDRESS SPACE IS       14629400
*                                    NON-REUSABLE BECAUSE OF CROSS      14641800
*                                    MEMORY CONNECTIONS TO IT.  THIS    14654200
*                                    CONDITION MAY NOT BE PERMANENT.    14666600
*                                    SERIALIZATION - CS AND PC/AUTH     14679000
*                                    ADDRESS SPACE LOCAL LOCK.          14684500
*                                    OWNERSHIP - XM SERVICES.    @L3C*/ 14692700
*        4 ASCBXMEC BIT(1) ABNL,  /* CROSS MEMORY ENTRY TABLES          14701000
*                                    CONTAINING SPACE SWITCH ENTRIES    14707000
*                                    HAVE BEEN CREATED BY THIS          14737000
*                                    ADDRESS SPACE.                     14767000
*                                    SERIALIZATION - CS AND PC/AUTH     14797000
*                                    ADDRESS SPACE LOCAL LOCK.          14827000
*                                    OWNERSHIP - XM SERVICES.           14857000
*                                                 (MDC390)   @G381P9A*/ 14868800
*        4 ASCBXMPA BIT(1) ABNL,  /* IF ONE, THE ADDRESS SPACE IS       14872700
*                                    PERMANENTLY NON-REUSABLE BECAUSE   14876600
*                                    OF INCOMPLETE TERMINATION          14880500
*                                    PROCESSING OF PC/AUTH RESOURCE     14884400
*                                    MANAGER.                           14888300
*                                    SERIALIZATION - CS AND PC/AUTH     14892200
*                                    ADDRESS SPACE LOCAL LOCK.          14896100
*                                    OWNERSHIP - XM SERVICES.    @L3A*/ 14900000
*        4 ASCBXMLK BIT(1) ABNL,  /* IF ONE, THE ADDRESS SPACE IS       14903900
*                                    PERMANENTLY NON-REUSABLE BECAUSE   14907800
*                                    OF A CML BIND.                     14911700
*                                    SERIALIZATION - CS AND PC/AUTH     14915600
*                                    ADDRESS SPACE LOCAL LOCK.          14919500
*                                    OWNERSHIP - XM SERVICES.    @L3A*/ 14923400
*        4 ASCBPERS BIT(1) ABNL,  /* COMMUNICATION BIT FOR SLIP/PER     14928100
*                                    SRB ROUTINES.                      14951800
*                                    IF 1, THE LOCAL SRB ROUTINE WILL   14975500
*                                    ACTIVATE PER FOR THE SPECIFIED     14999200
*                                    ADDRESS SPACE/JOB/CROSS MEMORY     15022900
*                                    REFERENCES.                        15046600
*                                    IF 0, THE LOCAL SRB ROUTINE WILL   15070300
*                                    DEACTIVATE PER FOR THE ADDRESS     15094000
*                                    SPACE.                             15117700
*                                    SERIALIZATION - CS AND SLIP        15141400
*                                    SERIALIZATION WORD, SHDRSEQ.       15154500
*                                    OWNERSHIP - SLIP/PER.              15167600
*                                                   (MDC390) @G381P9A*/ 15180700
*        4 ASCBDTER BIT(1) ABNL,  /* A DAT ERROR HAS OCCURRED FOR THIS  15193800
*                                    ADDRESS SPACE.                     15206900
*                                    SERIALIZATION - CS.                15220000
*                                    OWNERSHIP - RTM.                   15233100
*                                                   (MDC390) @G381P9A*/ 15246200
*        4 ASCBPERO BIT(1) ABNL,  /* PER PROCESSING NEEDS TO BE DONE    15251800
*                                    WHEN ADDRESS SPACE IS SWAPPED IN   15257400
*                                    SERIALIZATION - CS.                15263000
*                                    OWNERSHIP - SLIP.           @L5C*/ 15268600
*        4 ASCBSWOP BIT(1) ABNL,  /* ADDRESS SPACE IS SWAPPED OUT WITH  15274200
*                                    RESPECT TO PER PROCESSING BEING    15279800
*                                    DONE.                              15285400
*                                    SERIALIZATION - CS.                15291000
*                                    OWNERSHIP - RCT.            @L5A*/ 15296600
*       3 ASCBCS2 BIT(8),         /* SECOND BYTE OF COMPARE AND SWAP    15299700
*                                    FLAGS.                      @P5A*/ 15302800
*         4 ASCBSAS  BIT(1) ABNL, /* INDICATES THAT STORAGE             15305900
*                                    ALTERATION SELECTION (PER 2)       15309000
*                                    IS ON FOR EITHER A DATA SPACE      15312100
*                                    ASSOCIATED WITH THE ADDRESS        15315200
*                                    SPACE, OR THE ADDRESS SPACE        15318300
*                                    ITSELF.                     @P5M*/ 15321400
*         4 * BIT(7),             /* RESERVED                    @P5A*/ 15324500
*       3 ASCBR122 CHAR(2),       /* RESERVED.                          15327600
*                                    SERIALIZATION - CS.                15331000
*                                                   (MDC389)     @P5C*/ 15354700
*      2 ASCBGXL  PTR(31),        /* ADDRESS OF GLOBALLY LOADED         15379700
*                                    MODULE EXTENT INFORMATION          15425800
*                                    CONTROL BLOCK.                     15471900
*                                    SERIALIZATION - LOCAL LOCK         15518000
*                                    OWNERSHIP - CONTENTS SUPERVISION   15564100
*                                                  (MDC388)  @G381P9A*/ 15610200
*      2 ASCBEATT CHAR(8) BDY(DWORD), /* EXPENDED AND ACCOUNTED         15657000
*                                    TASK TIME.                         15707000
*                                    SERIALIZATION - N/A.               15757000
*                                    OWNERSHIP - SCHEDULER.             15807000
*                                                  (MDC387)  @G381P9A*/ 15857000
*      2 ASCBINTS CHAR(8) BDY(DWORD), /* JOB SELECTION TIME STAMP.      15907000
*                                    SERIALIZATION - N/A.               15957000
*                                    OWNERSHIP - SCHEDULER.             16007000
*                                                  (MDC387)  @G381P9A*/ 16057000
*      2 ASCBFW4 FIXED(32),       /* FULLWORD LABEL TO ADDRESS BITS     16107000
*                                    IN THIS WORD.                      16157000
*                                    SERIALIZATION - LOCAL LOCK.        16207000
*                                                  (MDC389)  @G381P9A*/ 16257000
*       3 ASCBLL1 BIT(8),         /* FIRST BYTE OF FLAGS.               16307000
*                                    SERIALIZATION - LOCAL LOCK.        16357000
*                                                  (MDC389)  @G381P9A*/ 16407000
*        4 ASCBSSPC BIT(1),       /* STATUS STOP TASKS PENDING A        16457000
*                                    CML LOCK RELEASE.                  16507000
*                                                  (MDC389)  @G381P9A*/ 16557000
*        4 *        BIT(7),       /* RESERVED.                   @D6C*/ 16607000
*       3 ASCBLL2 BIT(8),         /* SECOND BYTE OF FLAGS.              16957000
*                                    SERIALIZATION - LOCAL LOCK.        17007000
*                                                  (MDC389)  @G381P9A*/ 17057000
*       3 ASCBLL3 BIT(8),         /* THIRD  BYTE OF FLAGS.              17107000
*                                    SERIALIZATION - LOCAL LOCK.        17157000
*                                                  (MDC389)  @G381P9A*/ 17207000
*       3 ASCBLL4 BIT(8),         /* FOURTH BYTE OF FLAGS.              17257000
*                                    SERIALIZATION - LOCAL LOCK.        17307000
*                                                  (MDC389)  @G381P9A*/ 17357000
*        4 *        BIT(6),       /* RESERVED.               @G860PXK*/ 17365300
*        4 ASCBTYP1 BIT(1),       /* TYPE 1 SVC HAS CONTROL.  THIS      17373600
*                                    OFFSET FIXED BY ARCHITECTURE.      17381900
*                                                            @G860PXK*/ 17390200
*        4 *        BIT(1),       /* RESERVED.               @G860PXK*/ 17398500
*      2 ASCBRCMS PTR(31),        /* ADDRESS OF THE REQUESTED CMS       17407000
*                                    CLASS LOCK FOR WHICH THE LOCAL     17457000
*                                    LOCK HOLDER IS SUSPENDED.          17507000
*                                    SERIALIZATION - LOCAL LOCK.        17557000
*                                    OWNERSHIP - SUPERVISOR.            17607000
*                                                  (MDC391)  @G381P9A*/ 17657000
*      2 ASCBIOSC FIXED(32),      /* I/O SERVICE MEASURE.               17707000
*                                    SERIALIZATION - CS.                17757000
*                                    UPDATED BY JES2,JES3,SMF.          17807000
*                                    READ BY RMF,SMF,SRM.    @G381PXU*/ 17857000
*      2 ASCBPKML FIXED(16),      /* PKM OF LAST TASK DISPATCHED        17944500
*                                    IN THIS ADDRESS SPACE.             17982000
*                                    SERIALIZATION - NONE.              18019500
*                                    OWNERSHIP - DISPATCHER. @G387PXH*/ 18057000
*      2 ASCBXCNT FIXED(15),      /* EXCP COUNT FIELD.                  18077000
*                                    SERIALIZATION - LOCAL LOCK.        18097000
*                                    OWNERSHIP - EXCP.           @P1C*/ 18117000
*      2 ASCBNSQA PTR(31),        /* ADDRESS OF THE SQA RESIDENT        18137000
*                                    NSSA CHAIN.                        18167000
*                                    SERIALIZATION - DISPATCHER LOCK.   18197000
*                                    OWNERSHIP - DISPATCHER  @G38BPXH*/ 18227000
*      2 ASCBASM  PTR(31),        /* ADDRESS OF THE ASM HEADER.         18238800
*                                    SERIALIZATION - NONE.              18250600
*                                    OWNERSHIP - ASM.            @L2A*/ 18262400
*      2 ASCBASSB PTR(31),        /* POINTER TO ADDRESS SPACE           18296800
*                                    SECONDARY BLOCK (ASSB).     @D6C*/ 18331200
*      2 ASCBTCME PTR(31),        /* POINTER TO TCXTB.                  18365600
*                                    OWNERSHIP - TCAM.           @D1A*/ 18386200
*      2 ASCBGQIR PTR(31),        /* ISGQSCAN INFORMATION ROUTINE       18386300
*                                    ADDRESS.                           18386400
*                                    SERIALIZATION - COMPARE AND SWAP   18386500
*                                    OWNERSHIP - GRS             @O3A*/ 18386600
*       3 *      BIT(8),          /* BYTE 0 OF ASCBGQIR          @O3A*/ 18386700
*        4 ASCBGQAB    BIT(1),    /* ISGQSCAN INFORMATION ROUTINE       18386800
*                                    ABENDED FLAG. IF ON, ISGQSCAN      18386900
*                                    INFORMATION ROUTINE UNEXPECTEDLY   18387000
*                                    ABENDED.                    @O3A*/ 18387100
*        4 *           BIT(7),    /*                             @O3A*/ 18387200
*       3 *      BIT(16),         /* BYTES 1 AND 2 OF ASCBGQIR          18387300
*                                                                @O3A*/ 18387400
*       3 ASCBGQI3 BIT(8),        /* BYTE 3 OF ASCBGQIR          @O3A*/ 18387500
*        4 *           BIT(7),    /*                             @O3A*/ 18387600
*        4 ASCBGQDS BIT(1),       /* ISGQSCAN INFORMATION ROUTINE       18387700
*                                    DISABLED FLAG. IF ON, ISGQSCAN     18387800
*                                    WILL NOT INVOKE THE ISGQSCAN       18387900
*                                    INFORMATION ROUTINE.        @O3A*/ 18388000
*      2 ASCBLSQE  FIXED(31),     /* Number of Enclave TCBs that are on 18388200
*                                    a Local lock suspend queue.        18388400
*                                    Ownership: Task Management         18388600
*                                    Serialization: Compare and Swap    18388800
*                                                                @LCA*/ 18389000
*      2 ASCBR160  CHAR(8),       /* RESERVED.                   @LCC*/ 18389200
*      2 ASCBCREQ FIXED(31),      /* COUNT OF CONCURRENT ENQ/RESERVE    18389900
*                                    AND GQSCAN REQUESTS                18390400
*                                    SERIALIZATION - COMPARE AND SWAP   18390900
*                                    OWNERSHIP - GRS             @D4C*/ 18391400
*      2 ASCBRSME PTR(31),        /* POINTER TO RSM ADDRESS SPACE       18391600
*                                    BLOCK EXTENSION.                   18391800
*                                    SERIALIZATION: RSMAD LOCK          18392000
*                                    OWNERSHIP: RSM              @D5A*/ 18392200
*      2 ASCBAVM  BIT(32) BDY(WORD), /* AVAILABILITY MANAGER ADDRESS    18392300
*                                    SPACE RELATED DATA.                18392400
*                                    SERIALIZATION: CS.                 18392500
*                                    OWNERSHIP: AVM.             @01C*/ 18392600
*        3 ASCBAVM1 BIT(8),       /* FIRST BYTE OF ASCBAVM. - RESERVED. 18392700
*                                                                @01A*/ 18392800
*        3 ASCBAVM2 BIT(8),       /* SECOND BYTE OF ASCBAVM.            18392900
*                                    RESERVED.                   @01A*/ 18393000
*        3 ASCBAGEN FIXED(16),    /* AVM ASID REUSE GENERATION NUMBER.  18393100
*                                                                @01A*/ 18393200
*      2 ASCBARC  FIXED(32),      /* REASON CODE ON MEMTERM.            18393300
*                                    SERIALIZATION - N/A.               18394200
*                                    OWNERSHIP - RTM.        @G860PXK*/ 18395800
*      2 ASCBRSM  PTR(31),        /* ADDRESS OF RSM'S CONTROL BLOCK     18397400
*                                    HEADER.                 @G860PVB*/ 18399000
*       3 ASCBRSMA PTR(31),       /* ADDRESS OF RSM'S CONTROL BLOCK     18400600
*                                    HEADER.                 @G860PVB*/ 18402200
*      2 ASCBDCTI FIXED(31),      /* ACCUMULATED CHANNEL CONNECT TIME   18403800
*                                    INCURRED BY THIS MEMORY.@G860PVB*/ 18405400
*      2 ASCBEND  CHAR(0) BDY(DWORD); /* END OF ASCB                 */ 19255400
*DCL ASCBVS00 FIXED(8) CONSTANT( 0); /* HBB2102 (NOT IN BASE)@ZA68643*/ 19305400
*DCL ASCBVS01 FIXED(8) CONSTANT( 1); /* JBB2110                  @D3A*/ 19355400
*DCL ASCBVS02 FIXED(8) CONSTANT( 2); /* JBB2133                  @H1A*/ 19405400
*DCL ASCBVS03 FIXED(8) CONSTANT( 3); /* HBB4410                  @L7A*/ 19438700
*DCL ASCBVERS FIXED(8) CONSTANT( 3); /* LEVEL OF THIS MAPPING    @L7C*/ 19472000
*DCL ASCBDSTZ FIXED(8) CONSTANT(64); /*  Bit constant (x'40') for bit   19476100
*                                    position ASCBDSTK.  PL/X cannot    19480200
*                                    map bit positions in generated     19484300
*                                    positions in generated code, so    19488400
*                                    this bit constant allows PL/X to   19492500
*                                    set the bit in generated           19496600
*                                    assembler.  Note that the decimal  19498000
*                                    value for the constant (64) is     19499400
*                                    used here instead of x'40',        19500800
*                                    because PL/AS does not tolerate    19502200
*                                    a hex constant here.        @P8C*/ 19503600
*  @LISTPOP;                                                   /*@D6A*/ 19505400
