*                                                                       00050000
*        %GOTO PSAL1;    /*                                             00100000
         MACRO                                                          00150000
         IHAPSA &DSECT=YES,&LIST=NO   */                                00200000
*%PSAL1 : ;                                                             00250000
*                                                                       00300000
*/* START OF SPECIFICATIONS ******************************************/ 00350000
*/*01* PROPRIETARY_STATEMENT *****************************************/ 00400000
*/*                                                                  */ 00650000
*/*  LICENSED MATERIALS - PROPERTY OF IBM                            */ 00700000
*/*  THIS MACRO IS "RESTRICTED MATERIALS OF IBM"                     */ 00750000
*/*  5694-A01 (C) COPYRIGHT IBM CORP. 1977, 2001                 @LTC*/ 00800000
*/*                                                                  */ 00850000
*/*01* STATUS = HBB7706                                          @LTC*/ 00888800
*/*                                                                  */ 00927700
*/**** END_OF_PROPRIETARY_STATEMENT **********************************/ 00938800
*/*                                                                  */ 00950000
*/*01* DESCRIPTIVE NAME:  Prefixed Save Area                         */ 00966600
*/*02*  ACRONYM:  PSA                                                */ 00983200
*/*                                                                  */ 00985000
*/*01* EXTERNAL CLASSIFICATION:                                      */ 00986800
*/*02*         NOTPI:BASE                                            */ 00988600
*/*02*         PI:  FIELDS                                           */ 00990400
*/*                  FLCARCH                                         */ 00991300
*/*                  FLCCVT                                          */ 00992200
*/*                  FLCFACL                                         */ 00993100
*/*                  PSAAOLD                                         */ 00994000
*/*                  PSATOLD                                         */ 00995800
*/*01* END OF EXTERNAL CLASSIFICATION:                               */ 00997600
*/*                                                                  */ 01000000
*/*01* MACRO NAME:  IHAPSA                                           */ 01050000
*/*                                                                  */ 01300000
*/*01* DSECT NAME:                                                   */ 01350000
*/*     PSA                                                          */ 01400000
*/*                                                                  */ 01450000
*/*01* COMPONENT:  Supervisor Control (SC1C5)                        */ 01475000
*/*                                                                  */ 01500000
*/*01* EYE-CATCHER:  None                                            */ 01550000
*/*                                                                  */ 01750000
*/*01* STORAGE ATTRIBUTES:                                           */ 01760700
*/*02*  SUBPOOL:  239                                                */ 01771400
*/*02*  KEY:  0                                                      */ 01782100
*/*02*  RESIDENCY:  Below 16 MB line                                 */ 01792800
*/*                                                                  */ 01803500
*/*01* SIZE:  4096 bytes                                             */ 01814200
*/*                                                                  */ 01824900
*/*01* CREATED BY:                                                   */ 01835600
*/*     IEAVFX00                                                     */ 01846300
*/*     IEAVNIP0                                                     */ 01857000
*/*     IEEVCPRA                                                     */ 01867700
*/*                                                                  */ 01878400
*/*01* POINTED TO BY:                                                */ 01889100
*/*     The PSA maps the storage that starts at location 0 for the   */ 01899800
*/*     related processor.                                           */ 01910500
*/*                                                                  */ 01921200
*/*01* SERIALIZATION:                                                */ 01931900
*/*     Disablement.                                                 */ 01939000
*/*     None needed for FLCFACL.                                     */ 01946100
*/*                                                                  */ 01953300
*/*01* FUNCTION:                                                     */ 01964000
*/*02*  Maps fixed hardware and software storage locations for the   */ 01974700
*/*     related processor.                                           */ 01985400
*/*                                                                  */ 01996100
*/*01* PURPOSE = PROVIDE DATA MAPPING OF THE PSA.                    */ 02006800
*/*                                                                  */ 02017500
*/*01* METHOD OF ACCESS:                                             */ 02028200
*/*02*  ASM:                                                         */ 02038900
*/*      DSECT is produced unless DSECT=NO is specified.             */ 02049600
*/*      USING on PSA gives Addressability for all symbols.          */ 02060300
*/*      Specify LIST=YES on Macro call for listing.                 */ 02071000
*/*02*  PL/AS:                                                       */ 02081700
*/*      PSA will be location(0),                                    */ 02092400
*/*      unless %PSABASE is set to some other value before include   */ 02103100
*/*      for a macro.                                                */ 02113800
*/*      Specify %IHALIST='YES' before %INCLUDE for a PL/AS listing. */ 02124500
*/*                                                                  */ 02135200
*/*01*   NOTE:  The labels beginning with PSA or FLC are proper      */ 02145900
*/*             labels to use. The other labels are given as         */ 02156600
*/*             alias names for compatibility with labels used       */ 02167300
*/*             for system 360 LOW CORE.                             */ 02178000
*/*                                                                  */ 02188700
*/*01* DEPENDENCIES:                                                 */ 02199400
*/*      None.                                                       */ 02210100
*/*                                                                  */ 02220800
*/*01* DISTRIBUTION LIBRARY:  AMACLIB                                */ 02231500
*/*                                                                  */ 02242200
*/*01* CHANGE ACTIVITY:                                              */ 02252900
*/*  $LR=PR313    JBB3313  891128  PD16EI:  SHOWHDR format complete  */ 02263600
*/*                                                                  */ 02274300
*/* END OF SPECIFICATIONS ********************************************/ 02285000
*%GOTO PSAL2;   /*                                                      02300000
.*                                                                      02300100
.********************************************************************** 02300200
.*   CHANGE ACTIVITY =                                                  02300300
.*                                                                      02300400
.*   G860PXX - HBB2102 SUPPORT                                          02300500
.*   OZ63674 - NEW GLOBAL SCHEDULE SAVEAREAS                   @ZA63674 02300600
.*   OY01102 - NEW BIT FOR TRACE INTERRUPT RECURSION                    02300700
.*                                                                      02300800
.*  $L1=QRF      JBB1326  800918  PD16XK:  I/O NON PREEMPTION           02300900
.*  $L2=SECP     JBB1326  800918  PD16XK:  SELDOM ENDING CHANNEL        02301000
.*                                         PROGRAM                      02301100
.*  $L3=EXTREAL  JBB1326  800918  PD16XK:  EXTENDED REAL ADDRESSING     02301200
.*  $L4=PGASSIST JBB1326  800918  PD16XK:  PAGE FAULT ASSIST            02301300
.*  $P1=PMM0045  JBB1326  801117  PD16XK:  MOVE FLAG BYTE ADDED FOR L1  02301400
.*  $L5=RAPRAS   JBB2110  820622  PD16XZ:  ADD FLAG FOR I/O FLIH,       02301500
.*                                         FIELD FOR RESTART FLIH,      02301600
.*                                         AND SUPER BIT FOR            02301700
.*                                         IEAVESAR                     02301800
.*  $P2=PAB0329  JBB2110  830302  PD16FN:  FIX PSASUP4 STRUCTURE        02301900
.*  $L6=SUPRAS2  JBB2125  830216  PD16FH:  SVC FLIH/RTM RECURSION       02302000
.*  $H1=ADVPROC2 JBB2133  821013  PD16F5:  AXP                          02302100
.*  $P3=PAE0013  JBB2133  821228  PD16XA:  FIXED COPYRIGHT DATE         02302200
.*  $D1=DCR0054  JBB2133  840608  PD16XK:  RE-DEFINE PSAXSTK FIELD      02302300
.*  $H2=VF       JBB2214  840409  PD16XK:  VECTOR FEATURE               02302400
.*  $P4=PA40072  JBB2214  850311  PD16Q9:  SUSPEND LOCK MANAGER SAVE    02302500
.*                                         AREA                         02302600
.*  $L7=RASENH   JBB2220  840618  PD16XK:  RAS ENHANCEMENTS FOR RTM     02302700
.*  $L8=AR       HBB3310  850903  PD16Q9:  ACCESS REGISTERS             02303000
.*  $L9=AR       HBB3310  860106  PD16Q9:  ACCESS REGISTERS             02303100
.*  $LA=DREF     HBB3310  860416  PD16H5:  DISABLED REFERENCE SUPPORT   02303200
.*  $D2=DCR0030  HBB3310  860416  PD16H5:  TYPE 6 SVC IH LS SUPPORT     02303300
.*  $LB=DATASPAC HBB3310  860630  PD16LD:  DATA SPACES                  02303400
.*  $D3=DCR0031  HBB3310  860903  PD16Q4:  ADD IOS LOCK                 02303500
.*  $LC=DATASPAC HBB3310  860903  PD16H5:  DATA SPACES                  02303600
.*  $D4=DCR0061  HBB3310  860901  PD16H4:  INT LS FOR RSM LOCKS         02303900
.*  $01=OY08578  JBB2220  861231  PD16H5:  TCB AND SRB TIMING SUPPORT   02304000
.*  $D5=DCR0228  HBB3310  870225  PD16Q9:  INCREASE LENGTH OF PSASTAK   02304100
.*  $02=OY13900  HBB3310  880430  PD16H5:  HANDLE RECURSIVE TRACE       02304200
.*                                         INTERRUPT AFTER A MACHINE    02304300
.*                                         CHECK                        02304400
.*  $LD=LOCKR    HBB4410  870901  PD16Q4:  LOCK RESTRUCTURE             02304500
.*  $LE=COUPL    HBB4410  880715  PD16Q4:  XCF LOCKS                    02304600
.*  $LF=CLOCK    HBB4410  870901  PD16Q4:  ETR LOCK                     02304700
.*  $LG=JUP03    HBB4410  880715  PD16Q4:  BMFLSD LOCK                  02304800
.*  $03=OY27050  JBB3313  890403  PD16ES:  ENCRYPTION ASYMMETRIC        02304900
.*                                         FEATURE SUPPORT              02305000
.*  $LH=CNITG    HBB4410  890501  PD16EI:  ADD FIELDS & UPDATE COMMENTS 02305100
.*  $LI=SADEN    HBB4410  890515  PD16EI:  SUPPORT STANDALONE DUMP      02305200
.*  $LJ=USERV    HBB4410  890626  PD16ES:  IOSULUT LOCK                 02305300
.*  $LK=PR313    JBB3313  891128  PD16EI:  SHOWHDR format complete      02305400
.*  $LL=SYSLK    HBB5510  890821  PD16ES:  SYSTEM LOCK MANAGER SUPPORT  02305500
.*  $LM=SYSLK    HBB5510  900904  PD16EI:  SYSTEM LOCK MANAGER LOCK     02305600
.*                                         CHANGES                      02305700
.*  $04=OY46138  HBB4420  910731  PD162M:  Update external interrupt    02305800
.*                                         masks                        02305900
.*  $P5=PKB1712  HBB4430  920317  PD16IG:  Put conditional logic around 02306000
.*                                         executable labels so they    02306100
.*                                         can be picked up by PLASMAP  02306200
.*  $P6=PIG0984  HBB5510  930115  PD16EJ:  Update users of PSATCLIN     02306300
.*                                         (Comment Change Only)        02306400
.*  $LN=DISPR    HBB5510  930501  PD16EJ:  Dispatcher Restructure       02306500
.*  $LO=SUBSP    HBB5510  930520  PD16IW:  Subspaces                    02306600
.*  $P7=PIG8019  HBB5510  930601  PY12AG:  New savearea for IEAVESC0    02306700
.*  $P8=PIG8025  HBB5510  930601  PD16IW:  Define Schedule flags        02306800
.*  $P9=PIG8038  HBB5510  930618  PD16IW:  Define PSAURDY               02306900
.*  $PA=PIG1904  HBB5510  930614  PD44BB:  Add IEAVTRG1 RTM hooks for   02307000
.*                                         improved VICOM performance   02307100
.*                                         when testing with traps      02307200
.*  $LP=DISPR    HBB5510  930715  PD16IW:  Dispatcher Restructure       02307300
.*                                         Redefine Schedule flags      02307400
.*  $PB=PIG2718  HBB5510  930909  PD16IW:  Define PSAPCDNV              02307500
.*  $PC=PIG0689  HBB5510  930909  PD16IG:  Change PSACPUPA, PSACPULA,   02307600
.*                                         and PSACPUSA from PTR(15)    02307700
.*                                         to FIXED(15) since they can  02307800
.*                                         can never exceed X'7FFF' and 02307900
.*                                         this would save the compiler 02308000
.*                                         from generating an extra N   02308100
.*                                         instruction when the fields  02308200
.*                                         are referenced.              02308300
.*  $05=OW02794  HBB5510  931207  PD162M:  IXLREQST lock indicator      02308400
.*  $PD=PN70147  HBB5520  940210  PD162M:  SHOWHDR updates              02308500
.*  $LP=ENCLV    HBB5520  931109  PD16EI:  ENCLAVE Support              02308600
.*                                         Add PSAPRSRB                 02308700
.*  $LQ=CAPT2    HBB5520  940414  PD16IW:  Captured Storage             02308800
.*  $PE=PN70694  HBB5520  940524  PD16XZ:  Prevent recursion into RSM   02308900
.*                                         when LSIH has called         02309000
.*                                         IARPTEPR.                    02309100
.*  $06=OW06260  HBB5510  940609  PD16EI:  add bits PSAMCHA, PSARSTA,   02309300
.*                                         PSAEGRA, PSARTMA             02309500
.*                                         (TRSQ PTM # PIG5445)         02309700
.*  $LP=WLMPASM  HBB6603  951212  PD16FB:  WLM, Context Services Lock   02309800
.*  $PF=PQC0926  HBB6603  960613  B7HG2M:  SHOWHDR update               02309900
.*  $LR=IEEESUP  HBB6606  970807  PD00XB:  PSADXC                       02310000
.*  $LS=64BITSUP HBB7703  981204 PD00XB:   z/Architecture               02310100
.*  $07=OW32802  HBB6606  980501  B7VBGD:  PSADIAGW                     02310200
.*  $08=OW42226  HBB5510  991216  U2IAXZ:  PSAFPAC and PSAFPPE          02310300
.*                                         (Moved from LCCA.)           02310400
.*  $LT=PRSER    HBB7706  001015  B7HGH5:  SSD Serialization changes    02310500
.*  $LU=CMSLATC  HBB7706  010515  B7VBGD:  CMS Latching lock            02310600
.*                                                                      02310700
.********************************************************************** 02310800
.*                                                                      02310900
.********************************************************************** 02311000
.*                                                                      02311100
.* THE FOLLOWING ARE THE NAMING CONVENTIONS USED FOR RESERVED AREAS     02311200
.*     1. NO RESERVED FIELDS ARE NAMED THAT HAVE OFFSETS LESS THAN      02311300
.*        X'200'. THIS AREA IS GENERALLY USED BY THE HARDWARE.          02311400
.*     2. NO RESERVED FIELD IS NAMED THAT IS LESS THAN 4 BYTES IN       02311500
.*        LENGTH. IF THESE FIELDS ARE CHANGED FROM RESERVED STATUS      02312000
.*        THE SERIALIZATION USED TO UPDATE THE FIELD SHOULD BE          02314000
.*        CONSIDERED.                                                   02316000
.*     3. RESERVED FIELDS ARE NAMED AS FOLLOWS                          02318000
.*                        PSARVXXX DC    XLNNN'00' -  RESERVED          02320000
.*                             XXX IS THE OFFSET WITHIN THE PSA         02322000
.*                             NNN IS THE LENGTH OF THE RESERVED FIELD  02324000
.*                                 A VALUE FROM 4 TO 256 INCLUSIVE      02326000
.*                                                                      02326100
.* THE FOLLOWING ARE INITIALIZATION CONVENTIONS:               @ZMC3284 02326200
.*     1. ASSIGNED FIELDS FROM 600 HEX TO C00 HEX WHICH ARE    @ZMC3284 02326300
.*        NOT INITIALIZED TO A NON-ZERO VALUE WILL BE SET      @ZMC3284 02326400
.*        TO X'FF'. UNUSED RESERVED FIELDS WILL BE INITIALIZED @ZMC3284 02326500
.*        TO X'00'.                                            @ZMC3284 02326600
.*        THIS AREA IS OFTEN USED AS A PATCH AREA. THIS WILL   @ZMC3284 02326700
.*        CAUSE A VERIFY STMT DURING PATCH APPLICATION TO      @ZMC3284 02326800
.*        FAIL THUS PREVENTING PATCHES BEING APPLIED IN AREAS  @ZMC3284 02326900
.*        USED DURING SYSTEM EXECUTION.                        @ZMC3284 02327000
.*     2. THE CONVENTION USED IS AS FOLLOWS                    @ZMC3284 02327100
.*        A) FOR FIELDS OF TYPE F OR H                         @ZMC3284 02327300
.*                        PSANNNN DC     F'-1'                 @ZMC3284 02327500
.*                           NNNN IS THE FIELD NAME            @ZMC3284 02327700
.*        B) FOR FIELDS OF TYPE X, C, OR D                     @ZMC3284 02327900
.*                                 ORG   AAA                   @ZMC3284 02328100
.*                        PSAFFXXX DC    (L'AAA)X'FF' - FOXES  @ZMC3284 02328300
.*                             XXX IS THE OFFSET WITHIN THE PSA@ZMC3284 02328500
.*                             AAA IS THE FIELD NAME WHICH IS  @ZMC3284 02328700
.*                                 BEING INITIALIZED TO X'FF'  @ZMC3284 02328900
.*                                                                      02329100
.* THE FOLLOWING MUST BE CONSIDERED WHEN ASSIGNING AREAS WITHIN THE PSA 02329300
.*     1. THE FIRST 2K IS NON FETCH PROTECTED 0 TO 7FF HEX              02330000
.*        THE SECOND 2K IS FETCH PROTECTED 800 TO FFF HEX               02332000
.*     2. ACR WILL SAVE AND RESTORE PARTS OF THE PSA AS FOLLOWS         02334000
.*         A. 0 TO 200 HEX ACR SELECTIVELY SAVES SECTIONS               02336000
.*         B. PSAPSA TO PSAUSEND SAVES ALL OF THIS NON FETCH PROTECTED  02338000
.*                               SECTION                                02340000
.*         C. PSAUS2ST TO PSAUS2ND SAVES ALL OF THIS FETCH PROTECTED    02342000
.*                                 SECTION                              02344000
.*         D. PSASTAK SAVES ALL OF THIS FETCH PROTECTED SECTION         02346000
.*     3. WHEN FIELDS BETWEEN 600 HEX AND C00 HEX ARE MODIFIED @ZMC3284 02346500
.*        THE INITIALIZATION OF THE FIELDS MUST BE CONSIDERED  @ZMC3284 02347000
.*        AS EXPLAINED ABOVE IN INITIALIZATION CONVENTIONS.    @ZMC3284 02347500
.*                                                                      02347800
.********************************************************************** 02348100
.* THE FOLLOWING HAS BEEN ADDED TO SUPPORT STANDALONE DUMP:             02348400
.*     1. PSARSVTE WILL BE MAPPED ON PSARSVT                            02348700
.*        UNLESS %PSAQUALIF IS SET TO SOME OTHER VALUE                  02349000
.*        BEFORE INCLUDE FOR MACRO.                                     02349300
.********************************************************************** 02349600
         PUSH  PRINT,USING                                     @G860PXK 02350000
         AIF   ('&LIST' EQ 'YES').PSA01                                 02400000
         PRINT OFF                                                      02450000
.PSA01   ANOP                                                           02500000
         SPACE 1                                                        02550000
         AIF   ('&DSECT' EQ 'NO').PSA0010                               02600000
         USING PSA,0                                           @G860PXK 02625000
PSA      DSECT                                                          02650000
         AGO   .PSA0020                                                 02700000
.PSA0010 ANOP                                                           02750000
IEAVFX00 CSECT                                                          02800000
         ENTRY IEATCBP                                         @G860PXK 02850000
         DS    0D                                                       02900000
PSA      EQU   *                                                        02950000
         USING PSA,0                                                    03000000
.PSA0020 ANOP                                                           03050000
FLC      EQU   *                                                        03100000
FLCIPPSW DS    0CL8 -         IPL PSW                                   03150000
FLCRNPSW DC    XL4'040E0000' -RESTART NEW PSW (AFTER IPL)        MDC001 03200000
         AIF   ('&DSECT' EQ 'YES').PSA0021                     @G860PXK 03250000
         EXTRN IEAVRSTR                                        @G860PXK 03300000
         DC    A(X'80000000'+IEAVRSTR) - SECOND HALF OF RESTART         03350000
*                                        NEW PSW               @G860PXK 03400000
         AGO   .PSA0022                                        @G860PXK 03450000
.PSA0021 ANOP                                                  @G860PXK 03500000
         DC    V(IEAVRSTR) -  SECOND HALF OF RESTART NEW PSW     MDC128 03550000
.PSA0022 ANOP                                                  @G860PXK 03600000
IPLPSW   EQU   FLCIPPSW --- ALIAS                                       03650000
FLCICCW1 DS    0CL8 -         IPL CCW1                                  03700000
FLCROPSW DC    XL8'00' -      RESTART OLD PSW (AFTER IPL)               03750000
FLCICCW2 DS    0CL8 -         IPL CCW2                                  03800000
FLCCVT   DC    V(IEACVT) -    ADDRESS OF CVT (AFTER IPL).  THIS OFFSET  03850000
*                             FIXED BY ARCHITECTURE.  (MDC450) @G50EP9A 03900000
         DC    XL4'00' -      RESERVED (AFTER IPL)  (MDC431)   @ZM48214 03950000
FLCEOPSW DC    XL8'00' -      EXTERNAL OLD PSW                          04000000
EXOPSW   EQU   FLCEOPSW --- ALIAS                                       04050000
FLCSOPSW DC    XL8'00' -      SVC OLD PSW.  THIS OFFSET FIXED BY        04100000
*                             ARCHITECTURE.  (MDC451)          @G50EP9A 04150000
SVCOPSW  EQU   FLCSOPSW --- ALIAS                                       04200000
FLCPOPSW DC    XL8'00' -      PROGRAM CHECK OLD PSW                     04250000
PIOPSW   EQU   FLCPOPSW --- ALIAS                                       04300000
FLCMOPSW DC    XL8'00' -      MACHINE CHECK OLD PSW                     04350000
MCOPSW   EQU   FLCMOPSW --- ALIAS                                       04400000
FLCIOPSW DC    XL8'00' -      INPUT/OUTPUT OLD PSW                      04450000
IOOPSW   EQU   FLCIOPSW --- ALIAS                                       04500000
         DC    XL12'00' -     RESERVED                         @G860PXK 04550000
FLCCVT2  DC    V(IEACVT) -    ADDRESS OF CVT - USED BY DUMP             04600000
*                             ROUTINES                           ICB319 04650000
         DC    XL4'00' -      RESERVED                         @G860PXH 04700000
         DC    XL4'00' -      RESERVED - FLCTRACE DELETED DUE TO        04750000
*                             SYSTEM TRACE REDESIGN.           @G860PXK 04800000
FLCENPSW DC    XL4'040C0000' -EXTERNAL NEW PSW                          04850000
         AIF   ('&DSECT' EQ 'YES').PSA0023                     @G860PXK 04875000
         EXTRN IEAQEX00                                        @G860PXK 04900000
         DC    A(X'80000000'+IEAQEX00) - SECOND HALF OF EXTERNAL        04950000
*                                        NEW PSW               @G860PXK 05000000
         AGO   .PSA0024                                        @G860PXK 05010000
.PSA0023 ANOP                                                  @G860PXK 05020000
         DC    V(IEAQEX00) -  SECOND HALF OF EXTERNAL NEW PSW           05030000
.PSA0024 ANOP                                                  @G860PXK 05040000
EXNPSW   EQU   FLCENPSW --- ALIAS                                       05050000
FLCSNPSW DC    XL4'040C0000' -SVC NEW PSW                               05100000
         AIF   ('&DSECT' EQ 'YES').PSA0025                     @G860PXH 05150000
         WXTRN IEAQSC00                                        @G860PXH 05200000
         DC    A(X'80000000'+IEAQSC00) - SECOND HALF OF SVC             05250000
*                                        NEW PSW               @G860PXH 05300000
         AGO   .PSA0027                                        @G860PXH 05350000
.PSA0025 ANOP                                                  @G860PXH 05400000
         DC    V(IEAQSC00) -  SECOND HALF OF SVC NEW PSW                05450000
.PSA0027 ANOP                                                  @G860PXH 05500000
SVCNPSW  EQU   FLCSNPSW --- ALIAS                                       05550000
FLCPNPSW DC    XL4'000A0000' - PROGRAM CHECK NEW PSW, DISABLED FOR @02C 05583300
*                              MACHINE CHECKS.                          05616600
         AIF   ('&DSECT' EQ 'YES').PSA0030                     @G860PVB 05650000
         WXTRN IEAQPK00                                            @LSC 05700000
         DC    A(X'80000000'+IEAQPK00) - SECOND HALF OF PROGRAM CHECK   05750000
*                                        NEW PSW               @G860PVB 05800000
         AGO   .PSA0040                                        @G860PVB 05850000
.PSA0030 ANOP                                                           05900000
         DC    V(IEAQPK00) -  SECOND HALF OF PROGRAM CHECK NEW PSW      05950000
.PSA0040 ANOP                                                           06000000
PINPSW   EQU   FLCPNPSW --- ALIAS                                       06050000
FLCMNPSW DC    XL4'00080000' -MACHINE CHECK NEW PSW              MDC003 06100000
         AIF   ('&DSECT' EQ 'YES').PSA0050                     @G860PVB 06150000
         EXTRN IGFPMAIN                                        @G860PVB 06200000
         DC    A(X'80000000'+IGFPMAIN) - SECOND HALF OF MACHINE CHECK   06250000
*                                        NEW PSW               @G860PVB 06300000
         AGO   .PSA0060                                        @G860PVB 06350000
.PSA0050 ANOP                                                  @G860PVB 06400000
         DC    V(IGFPMAIN) -  SECOND HALF OF MACHINE CHECK NEW PSW      06450000
*                                                              @G860PVB 06500000
.PSA0060 ANOP                                                  @G860PVB 06550000
MCNPSW   EQU   FLCMNPSW --- ALIAS                                       06600000
FLCINPSW DC    XL4'040C0000' -INPUT/OUTPUT NEW PSW                      06650000
         AIF   ('&DSECT' EQ 'YES').PSA0070                     @G860PVB 06700000
         EXTRN IEAQIO00 -                                      @G860PVB 06750000
         DC    A(X'80000000'+IEAQIO00) - SECOND HALF OF I/O NEW PSW     06800000
*                                                              @G860PVB 06850000
         AGO   .PSA0080                                        @G860PVB 06900000
.PSA0070 ANOP                                                  @G860PVB 06950000
         DC    V(IEAQIO00) -  SECOND HALF OF I/O NEW PSW                07000000
.PSA0080 ANOP                                                  @G860PVB 07050000
IONPSW   EQU   FLCINPSW --- ALIAS                                       07100000
PSAEPARM DC    F'0' -         EXTERNAL INTERRUPTION PARAMETER  @G871A9A 07150000
*                             FIELD.                  (MDC473) @G871A9A 07200000
PSAEEPSW DS    0F -           EXTENDED PSW DATA STORED ON EXTERNAL      07250000
*                             INTERRUPT                          MDC084 07300000
PSASPAD  DC    H'0' -         ISSUING PROCESSOR'S PHYSICAL ADDRESS      07350000
*                             ON MFA, EMS, OR EXTERNAL CALL INTERRUPT   07400000
*                                                                MDC046 07450000
FLCEICOD DC    H'0' -         EXTERNAL INTERRUPTION CODE                07500000
EXCODE   EQU   FLCEICOD --- ALIAS                                       07550000
PSAESPSW DS    0F -           EXTENDED PSW DATA STORED ON SVC           07600000
*                             INTERRUPT                          MDC085 07650000
         DC    XL1'00' -      RESERVED - SET TO ZERO                    07700000
FLCSVILC DC    FL1'0' -       SVC INSTRUCTION LENGTH COUNTER - NUMBER   07750000
*                             OF BYTES.  THIS OFFSET FIXED BY           07800000
*                             ARCHITECTURE.  (MDC454)          @G50EP9A 07850000
FLCSILCB EQU   X'07' -        SIGNIFICANT BITS IN ILC FIELD - LAST      07900000
*                             BIT IS ALWAYS ZERO                 MDC080 07950000
SVCILC   EQU   FLCSVILC --- ALIAS                                       08000000
FLCSVCN  DC    H'0' -         SVC INTERRUPTION CODE - SVC NUMBER.       08050000
*                             THIS OFFSET FIXED BY ARCHITECTURE.        08100000
*                             (MDC455)                         @G50EP9A 08150000
SVCNUM   EQU   FLCSVCN --- ALIAS                                        08200000
PSAEPPSW DS    0CL8 -         EXTENDED PSW FOR PROGRAM INTERRUPT MDC086 08250000
         DC    XL1'00' -      RESERVED - SET TO ZERO                    08300000
FLCPIILC DC    FL1'0' -       PROGRAM INTERRUPT LENGTH COUNTER - NUMBER 08350000
*                             OF BYTES IN INSTRUCTION CAUSING PROGRAM   08400000
*                             INTERRUPTION.  THIS OFFSET FIXED BY       08450000
*                             ARCHITECTURE.  (MDC456)          @G50EP9A 08500000
FLCPILCB EQU   X'07' -        SIGNIFICANT BITS IN ILC FIELD - LAST      08550000
*                             BIT IS ALWAYS ZERO                 MDC083 08600000
PIILC    EQU   FLCPIILC --- ALIAS                                       08650000
FLCPICOD DS    0H -           PROGRAM INTERRUPTION CODE                 08700000
PICODE   EQU   FLCPICOD --- ALIAS                                       08750000
PSAEECOD DC    FL1'0' -       EXCEPTION-EXTENSION CODE.            @03C 08800000
PSAPICOD DC    FL1'0' -       8-BIT INTERRUPT CODE.  THIS OFFSET FIXED  08850000
*                             BY ARCHITECTURE.  (MDC457)       @G50EP9A 08900000
PSAPIPER EQU   X'80' -        PER INTERRUPT OCCURRED             MDC089 08950000
PSAPIMC  EQU   X'40' -        MONITOR CALL INTERRUPT OCCURRED    MDC090 09000000
PSAPIPC  EQU   X'3F' -        AN UNSOLICITED PROGRAM CHECK HAS          09050000
*                             OCCURRED IF ANY OF THESE 6 BITS ARE       09100000
*                             ON                                 MDC091 09150000
FLCTEA   DS    0F      -      TRANSLATION EXCEPTION ADDRESS.  THIS @L8C 09174000
*                             OFFSET FIXED BY ARCHITECTURE.             09198000
         DC    XL3'00' -                                           @L8A 09222000
FLCTEAXM EQU   X'80'   -      IF 0 FLCTEA IS RELATIVE TO THE PRIMARY    09246000
*                                  SEGMENT TABLE                        09270000
*                             IF 1 FLCTEA IS RELATIVE TO THE SECONDARY  09280000
*                                  SEGMENT TABLE               @G860PXK 09290000
FLCDXC   DC   0XL1'00' -      Data exception code for PI 7         @LRA 09290500
FLCTEAB3 DC    XL1'00' -      LAST BYTE OF TEA.                    @L8A 09291100
FLCSOPI  EQU   X'04'   -      Suppression on protection flag       @LQA 09291900
FLCTSTDP EQU   X'00'   -      IF 1, THE PRIMARY STD WAS USED.      @L8A 09292800
FLCTSTDA EQU   X'01'   -      IF 1, THE STD WAS AR QUALIFIED.      @L8A 09294500
FLCTSTDS EQU   X'02'   -      IF 1, THE SECONDARY STD WAS USED.    @L8A 09296200
FLCTSTDH EQU   X'03'   -      IF 1, THE HOME STD WAS USED.         @L8A 09297900
FLCTEACL EQU   X'7FFFF000'    Mask to leave only TEA address       @LSA 09298900
         DC    XL1'00' -      RESERVED - SET TO ZERO                    09300000
FLCMCNUM DC    XL1'00' -      MONITOR CLASS NUMBER                      09350000
FLCPERCD DC    XL1'00' -      PROGRAM EVENT RECORDING CODE              09400000
FLCATMID DC    XL1'00' -      ATM ID                               @LSA 09412500
FLCPSWB4 EQU   X'80'          PSW.4 part of ATMID                  @LSA 09425000
FLCPER   DC    A(0) -         PER ADDRESS - ESA/390            @G860PXK 09437500
         DC    XL1'00' -      RESERVED - SET TO ZERO                    09450000
FLCMTRCD DC    XL3'00' -      MONITOR CODE (ESA/390)                    09500000
FLCTEARN DC    XL1'00' -      CONTAINS THE ACCESS REGISTER NUMBER  @L8C 09620000
*                             INVOLVED IN THE TRANSLATION EXCEPTION     09640000
*                             IF BITS 30-31 OF THE TEA='01'.            09660000
FLCPERRN DC    XL1'00' -      CONTAINS THE PER STORAGE ACCESS      @L8A 09670000
*                             REGISTER NUMBER.                          09680000
         DC    XL1'00' -      RESERVED.                            @LSC 09681600
FLCARCH  DC    XL1'00' -      Architecture information             @LSA 09683200
PSAESAME EQU   X'01'   -      z/Architecture                       @LSA 09688800
PSAZARCH EQU   X'01'   -      z/Architecture                       @LSA 09694400
PSAMPL   DC    V(IHAMPL) -    MPL ADDRESS.  THIS OFFSET FIXED BY        09700000
*                             ARCHITECTURE.  (MDC418)          @G50NP9A 09750000
         DS    0XL344 -       MACHINE CHECK LOGOUT AREA        @G860PVB 09800000
         DC    XL16'00' -     RESERVED (ESA/390)               @G860PVB 09850000
FLCIOCDP DS    0XL8 -         I/O INFORMATION CODE             @G860PVB 09900000
FLCSID   DC    XL4'00' -      SUBSYSTEM ID                     @G860PVB 09950000
FLCIOFP  DC    XL4'00' -      I/O INTERRUPTION PARAMETER       @G860PVB 10000000
         DC    XL8'00'  -     RESERVED                             @LRC 10003300
FLCFACL  DC    XL4'00'  -     Facilities List. See FLCEFacilitiesList  *10006600
                              in IHAPSAE for description           @LSA 10009900
         DC    XL8'00'  -     RESERVED                             @LRC 10013200
FLCESAR  DC    A(0)    -      Absolute address of 4k extended      @LRA 10016600
*                             save area (ESA/390 only)             @LRA 10024900
FLCCTSA  DC    XL8'00' -      CPU-TIMER SAVE AREA (FROM STORE-     @LHA 10033200
*                             STATUS OR MACHINE-CHECK) ESA/390          10049800
FLCCCSA  DC    XL8'00' -      CLOCK-COMPARATOR SAVE AREA (FROM     @LHA 10066400
*                             STORE-STATUS OR MACHINE-CHECK)            10083000
*                             ESA/390                                   10091500
FLCMCIC  DC    XL8'00' -      MACHINE-CHECK INTERRUPTION CODE  @G860PVB 10100000
         DC    XL8'00' -      RESERVED - SET TO ZERO           @ZMC2173 10150000
FLCFSA   DC    A(0) -         FAILING STORAGE ADDRESS          @G860PXK 10300000
         DC    XL4'00' -      RESERVED - SET TO ZERO           @G860PXK 10350000
FLCFLA   DC    XL16'00' -     FIXED LOGOUT AREA. SIZE FIXED BY     @L9C 10366600
*                             ARCHITECTURE.                             10383200
FLCRV110 DC    XL16'00' -     RESERVED.                            @L9A 10399800
FLCARSAV DC    16F'0'   -     ACCESS REGISTER SAVE AREA            @L9A 10416600
FLCFPSAV DC    XL32'00' -     FLOATING POINT REGISTER SAVE AREA         10450000
FLCGRSAV DC    16F'0' -       GENERAL REGISTER SAVE AREA                10500000
FLCCRSAV DC    16F'0' -       CONTROL REGISTER SAVE AREA                10550000
FLCHDEND DS    0D -           END OF HARDWARE ASSIGNMENTS               10600000
*                                                                       10650000
PSAPSA   DC    CL4'PSA ' -    CONTROL BLOCK ACRONYM IN EBCDIC           10700000
PSACPUPA DC    H'0' -         PHYSICAL CPU ADDRESS (CHANGED DURING ACR) 10750000
*                             (MDC130)                           YM3489 10800000
PSACPULA DC    H'0' -         LOGICAL CPU ADDRESS                       10850000
PSAPCCAV DC    A(0) -         VIRTUAL ADDRESS OF PCCA                   10900000
PSAPCCAR DC    A(0) -         REAL ADDRESS OF PCCA                      10950000
PSALCCAV DC    A(0) -         VIRTUAL ADDRESS OF LCCA                   11000000
PSALCCAR DC    A(0) -         REAL ADDRESS OF LCCA                      11050000
PSATNEW  DC    A(0) -         TCB pointer. Field maintained for code    11075000
*                             compatability with previous MVS           11100000
*                             releases. DO NOT USE.                @LQC 11125000
IEATCBP  EQU   PSATNEW -      ALIAS                                     11150000
PSATOLD  DC    A(0) -         Pointer to current TCB or zero if in SRB  11183300
*                             mode. Field fixed by architecture    @LQC 11216600
PSAANEW  DC    V(IEAMASCB)    ASCB pointer.  Field maintained for code  11249900
*                             compatability with previous MVS           11283200
*                             releases. DO NOT USE.                @LQC 11316500
PSAAOLD  DC    A(0) -         Pointer to the home (current) ASCB.       11349800
*                             Architecture is dependent on the          11383100
*                             offset of this field.                @LQC 11416400
PSASUPER DS    0BL4 -         SUPERVISOR CONTROL WORD.  THIS OFFSET     11450000
*                             FIXED BY ARCHITECTURE.  (MDC462) @G50EP9A 11500000
PSASUP1  DC    XL1'00' -      FIRST BYTE OF PSASUPER                    11550000
PSAIO    EQU   X'80' -        I/O FLIH                                  11600000
PSASVC   EQU   X'40' -        SVC FLIH                                  11650000
PSAEXT   EQU   X'20' -        EXTERNAL FLIH                             11700000
PSAPI    EQU   X'10' -        PROGRAM CHECK FLIH                        11750000
PSALOCK  EQU   X'08' -        LOCK ROUTINE                              11800000
PSADISP  EQU   X'04' -        DISPATCHER                                11850000
PSATCTL  EQU   X'02' -        TCTL RECOVERY FLAG  (MDC310)     @Z40FP9A 11900000
PSATYPE6 EQU   X'01' -        TYPE 6 SVC IN CONTROL  (MDC311)  @Z40FP9A 11950000
PSASUP2  DC    XL1'00' -      SECOND BYTE OF PSASUPER                   12000000
PSAIPCRI EQU   X'80' -        REMOTE IMMEDIATE SIGNAL SERVICE ROUTINE   12050000
*                             (IEAVERI)                        @G860PXK 12100000
PSASVCR  EQU   X'40' -        SUPER FRR USES FOR SVC FLIH      @ZMC3227 12150000
*                             RECURSION TRACKING               @ZMC3227 12200000
PSASVCRR EQU   X'20' -        SVC RECOVERY RECURSION INDICATOR.         12225000
*                             OWNER: SUPERVISOR CONTROL.                12250000
*                             SERIALIZATION: DISABLEMENT.          @L6A 12275000
PSAACR   EQU   X'04' -        AUTOMATIC CPU RECONFIGURATION (ACR) IN    12300000
*                             CONTROL                            MDC119 12350000
PSARTM   EQU   X'02' -        RECOVERY TERMINATION MONITOR (RTM) IN     12400000
*                             CONTROL                            MDC120 12450000
PSALCR   EQU   X'01' -        USED BY RTM TO SERIALIZE CALLS OF    @L5C 12483300
*                             THE SUPERIVSOR ANALYSIS ROUTER       @L5A 12516600
PSASUP3  DC    XL1'00' -      THIRD BYTE OF PSASUPER                    12550000
PSAIOSUP EQU   X'80' -        IF ON, A MAINLINE IOS COMPONENT SUCH AS   12600000
*                             CHANNEL SCHEDULER HAS ENTERED A           12650000
*                             PHYSICALLY DISABLED STATE WITHOUT REGARD  12700000
*                             TO LOCKING REQUIREMENTS            MDC027 12750000
PSASPR   EQU   X'10' -        SUPER FRR IS ACTIVE  (MDC305)    @ZA02995 12800000
PSAESTA  EQU   X'08' -        SVC 60 RECOVERY ROUTINE ACTIVE            12850000
*                             (MDC312)                         @G50DP9A 12900000
PSARSM   EQU   X'04' -        REAL STORAGE MANAGER (RSM) ENTERED FOR    12950000
*                             PAGE FIX  (MDC321)               @G50DP9A 13000000
PSAULCMS EQU   X'02' -        LOCK MANAGER UNCONDITIONAL LOCAL OR       13050000
*                             CMS LOCK ROUTINES (MDC469)       @ZA28594 13100000
PSASLIP  EQU   X'01' -        IEAVTSLP RECURSION CONTROL BIT            13150000
*                             (MDC471)                         @G65RP9A 13200000
PSASUP4  DC    XL1'00' -      FOURTH BYTE OF PSASUPER                   13250000
PSALDWT  EQU   X'80' -        BLWLDWT IS IN CONTROL TO LOAD A      @LHC 13280000
*                             RESTARTABLE OR NON-RESTARTABLE WAIT       13310000
*                             STATE CODE                                13340000
*                             OWNERSHIP: LDWT                           13370000
PSASMF   EQU   X'40' -        SMF SUSPEND/RESET     (MDC599)   @G743PBB 13400000
PSAESAR  EQU   X'20' -        SUPERVISOR ANALYSIS ROUTER IS ACTIVE @L5C 13450000
PSARV22C DC    XL16'00' -     RESERVED                             @H1C 13459300
PSAPTYPE DC    XL1'00' -      PROCESSOR TYPE INDICATOR             @H1A 13468600
*                             OWNERSHIP: SUPERVISOR CONTROL             13477900
*                             SERIALIZATION: READ = NONE                13487200
*                                            WRITE = DISABLEMENT.       13496500
PSAAXP   EQU   X'80'          INDICATES AXP                        @H1A 13505800
PSAILS   DC    XL1'00' -      INTERRUPT HANDLER LINKAGE STACK      @L9C 13507500
*                             INDICATORS.                               13509200
PSAILSIO EQU   X'80'   -      THE I/O FLIH IS USING THE            @L9A 13510900
*                             INTERRUPT HANDLER LINKAGE STACK.          13512600
PSAILSEX EQU   X'40'   -      THE EXTERNAL FLIH IS USING THE       @L9A 13514300
*                             INTERRUPT HANDLER LINKAGE STACK.          13516000
PSAILSPC EQU   X'20'   -      THE PROGRAM FLIH IS USING THE        @L9A 13517700
*                             INTERRUPT HANDLER LINKAGE STACK.          13519400
PSAILSDS EQU   X'10'   -      THE DISPATCHER IS USING THE          @L9A 13521100
*                             INTERRUPT HANDLER LINKAGE STACK.          13522800
PSAILSRS EQU   X'08'   -      THE RESTART FLIH IS USING THE        @L9A 13523500
*                             INTERRUPT HANDLER LINKAGE STACK.          13524200
PSAILSOR EQU   X'04'   -      EXIT IS USING THE INTERRUPT HANDLER  @LAA 13524400
*                             LINKAGE STACK.                            13524600
PSAILST6 EQU   X'02'   -      TYPE 6 SVC IS USING THE INTERRUPT    @D2A 13524700
*                             HANDLER LINKAGE STACK.                    13524800
PSAILSLK EQU   X'01'   -      THE INTERRUPT HANDLER LINKAGE STACK  @D4A 13529800
*                             IS ACTIVE BECAUSE THE RSM LOCK OR         13534800
*                             A LOCK HIGHER THAN THE RSM LOCK IS HELD.  13539800
PSALSVCI DC    XL2'00' -      LAST SVC ISSUED ON THIS PROCESSOR    @L6A 13544800
*                             PRIOR TO ENABLEMENT BY THE SVC FLIH.      13550000
*                             OWNERSHIP: SUPERVISOR CONTROL             13575000
*                             SERIALIZATION: DISABLEMENT                13600000
PSAFLAGS DC    XL1'00' -      SYSTEM FLAGS                         @LOA 13602200
*                             OWNERSHIP: SUPERVISOR CONTROL             13604400
*                             SERIALIZATION: DISABLEMENT                13606600
PSAAEIT  EQU   X'80'   -      ADDRESSING ENVIRONMENT IS IN         @LOA 13608800
*                             TRANSITION. INDICATES THAT THE SPACE TYPE 13611000
*                             (ADDRESS SPACE OR SUBSPACE) ASSOCIATED    13613200
*                             WITH PASN OR SASN IS UNKNOWN.             13615400
PSAFPAC  EQU   X'40'          FP simulation is active on this CPU. @08A 13615700
PSAFPPE  EQU   X'20'          Program-interrupt expected (i.e.,        *13616000
                              accessing user data).                @08A 13616300
PSARV241 DC    XL10'00'       RESERVED FOR FUTURE USE - SC1C5.     @LOC 13616900
PSASCAFF DC    XL1'00'        $$SCAFFOLD                                13618400
PSAEMEMA EQU   X'80'          $$SCAFFOLD: z/Architecture                13619200
PSALKCRF DC    A(0)           LINKAGE STACK POINTER SAVE AREA.     @D4A 13620000
*                             USED WHEN THE RSM OR ANY LOCK ABOVE       13630000
*                             THE RSM LOCK IS HELD.                     13640000
         DS    0D -           ALIGN PSAMPSW TO DOUBLE WORD              13650000
PSAMPSW  DC    XL8'000C000000000000' - SETLOCK MODEL PSW                13700000
PSAPIOM  EQU   X'02'          INPUT/OUTPUT INTERRUPT MASK      @G860PXK 13750000
PSAPEXM  EQU   X'01'          EXTERNAL INTERRUPT MASK          @G860PXK 13800000
         DS    0D -           ALIGN PSAMCHEX TO DOUBLE WORD             13850000
PSAMCHEX DC    XL8'00' -      MCH EXIT PSW                              13900000
         AIF   ('&DSECT' EQ 'YES').PSA0091                         @P5A 13925000
PSATCLIN STOSM PSASLSA,X'00'  STOSM INSTRUCTION used by:                13950000
*                             IEAVETCL and IEAVSCHA.                    13975000
*                             OWNERSHIP: SUPERVISOR CONTROL.            14000000
*                             SERIALIZATION: DISABLEMENT.      @G860PXK 14050000
PSAINTIN STOSM PSASLSA,X'00'  STOSM INSTRUCTION USED BY IEAVEINT.       14100000
*                             OWNERSHIP: SUPERVISOR CONTROL.            14150000
*                             SERIALIZATION: DISABLEMENT.      @G860PXK 14200000
PSAIPCIN STOSM PSASLSA,X'00'  STOSM INSTRUCTION USED BY IPC ROUTINES.   14250000
*                             OWNERSHIP: SUPERVISOR CONTROL.            14300000
*                             SERIALIZATION: DISABLEMENT.      @G860PXK 14350000
         AGO   .PSA0092                                            @P5A 14353100
.PSA0091 ANOP                                                      @P5A 14356200
PSATCLIN DS    F -            STOSM PSASLSA,X'00' INSTRUCTION      @P5A 14359300
*                             USED BY IEAVETCL and IEAVSCHA.            14362400
*                             OWNERSHIP: SUPERVISOR CONTROL.            14365500
*                             SERIALIZATION: DISABLEMENT.               14368600
PSAINTIN DS    F -            STOSM PSASLSA,X'00' INSTRUCTION      @P5A 14371700
*                             USED BY IEAVEINT.                         14374800
*                             OWNERSHIP: SUPERVISOR CONTROL.            14377900
*                             SERIALIZATION: DISABLEMENT.               14381000
PSAIPCIN DS    F -            STOSM PSASLSA,X'00' INSTRUCTION      @P5A 14384100
*                             USED BY IPC ROUTINES.                     14387200
*                             OWNERSHIP: SUPERVISOR CONTROL.            14390300
*                             SERIALIZATION: DISABLEMENT.               14393400
.PSA0092 ANOP                                                           14396500
PSAIPCSM EQU   PSAIPCIN+1,1,C'X' - LABEL FOR SYSTEM MASK USED IN ABOVE  14400000
*                             INSTRUCTION.                              14450000
*                             OWNERSHIP: SUPERVISOR CONTROL.   @G860PXK 14500000
         AIF   ('&DSECT' EQ 'YES').PSA0093                         @P5A 14502700
PSAEMS2S STOSM PSASLSA,X'00' - STOSM INSTRUCTION USED BY IEAVEMS0.      14505500
*                             OWNERSHIP: SUPERVISOR CONTROL.            14511000
*                             SERIALIZATION DISABLEMENT.       @G860PXK 14516500
         AGO   .PSA0094                                            @P5A 14517100
.PSA0093 ANOP                                                      @P5A 14517700
PSAEMS2S DS    F -            STOSM PSASLSA,X'00' INSTRUCTION      @P5A 14518300
*                             USED BY IEAVEMS0.                         14518900
*                             OWNERSHIP: SUPERVISOR CONTROL.            14519500
*                             SERIALIZATION DISABLEMENT.                14520100
.PSA0094 ANOP                                                      @P5A 14520700
PSAEMS2M EQU   PSAEMS2S+1,1,C'X' - LABEL OF SYSTEM MASK USED IN ABOVE   14522000
*                             INSTRUCTION.                              14527500
*                             OWNERSHIP: SUPERVISOR CONTROL.   @G860PXK 14533000
         AIF   ('&DSECT' EQ 'YES').PSA0095                         @P5A 14535700
PSASTOSM STOSM PSASLSA,X'00'  STOSM INSTRUCTION. IN ORDER TO USE THIS   14538500
*                             FIELD, MOVE THE SYSTEM MASK TO PSASTSSM   14544000
*                             AND IMMEDIATELY ISSUE EX 0,PSASTOSM.      14549500
*                             THE SYSTEM MASK FIELD (PSASTSSM) IS NOT   14555000
*                             PRESERVED ACROSS CALLS AND SHOULD NOT     14560500
*                             BE USED TO SAVE THE SYSTEM MASK.          14566000
*                             OWNERSHIP: NA.                            14571500
*                             SERIALIZATION: DISABLEMENT.      @G860PXK 14577000
         AGO   .PSA0096                                            @P5A 14577400
.PSA0095 ANOP                                                      @P5A 14577800
PSASTOSM DS    F -            STOSM PSASLSA,X'00' INSTRUCTION.     @P5A 14578200
*                             IN ORDER TO USE THIS FIELD, MOVE THE      14578600
*                             SYSTEM MASK TO PSASTSSM AND IMMEDIATELY   14579000
*                             ISSUE EX 0,PSASTOSM.  THE SYSTEM MASK     14579400
*                             FIELD (PSASTSSM) IS NOT PRESERVED ACROSS  14579800
*                             CALLS AND SHOULD NOT BE USED TO SAVE THE  14580200
*                             SYSTEM MASK.                              14580600
*                             OWNERSHIP: NA.                            14581000
*                             SERIALIZATION: DISABLEMENT.               14581400
.PSA0096 ANOP                                                      @P5A 14581800
PSASTSSM EQU   PSASTOSM+1,1,C'X' - LABEL FOR SYSTEM MASK USED IN ABOVE  14582500
*                             INSTRUCTION.                              14588000
*                             OWNERSHIP: NA.                   @G860PXK 14593500
PSAHLHIS DC    F'0' -         SAVE AREA FOR PSAHLHI              MDC050 14600000
PSARECUR DC    XL1'00' -      RESTART FLIH RECURSION INDICATOR.  IF     14650000
*                             X'00', FLIH NOT IN CONTROL.  IF X'FF',    14700000
*                             FLIH IN CONTROL, ENTRY IS RECURSIVE.      14750000
*                                                                MDC093 14800000
PSARSSM  DC    XL1'00' -      STNSM AREA FOR IEAVERES              @L5C 14850000
PSASNSM2 DC    XL1'00' -      STNSM AREA FOR IEAVTRT1 (MDC470) @G65RP9A 14900000
PSARTM1S DC    XL1'00' -      BITS 0-7 OF THE CURRENT PSW ARE  @G383P9A 14950000
*                             STORED HERE WHENEVER PSARTM1R IS @G383P9A 15000000
*                             EXECUTED IN RTM.        (MDC613) @G383P9A 15050000
PSALWTSA DC    A(0) -         REAL ADDRESS OF SAVE AREA USED WHEN  @LHC 15087500
*                             A RESTARTABLE WAIT STATE IS LOADED        15125000
*                             OWNERSHIP: LDWT                           15162500
PSACLHT  DS    0CL116 -       CPU LOCKS TABLE  (MDC314)        @G860PXH 15200000
PSACLHT1 DS    0CL80 -        SPIN LOCKS TABLE                 @G860PXH 15250000
PSADISPL DC    V(DISPLOCK) -  GLOBAL DISPATCHER LOCK  (MDC315) @G50DP9A 15300000
PSAASML  DC    A(0) -         AUXILIARY STORAGE MANAGEMENT (ASM) LOCK   15350000
*                                                                MDC002 15400000
PSASALCL DC    V(SALCLOCK) -  SPACE ALLOCATION LOCK  (MDC316)  @G50DP9A 15450000
PSAIOSSL DC    A(0) -         IOS SYNCHRONIZATION LOCK           MDC010 15500000
PSARSMDL DC    A(0) -         ADDRESS OF THE RSM DATA SPACE LOCK   @LBC 15550000
PSAIOSUL DC    A(0) -         IOS UNIT CONTROL BLOCK LOCK        MDC005 15600000
PSARVLK1 DC    A(0) -         RESERVED FOR LOCK EXPANSION      @G860PXK 15650000
PSARV29C DC    A(0) -         RESERVED FOR LOCK EXPANSION          @LDC 15700000
PSARV2A0 DC    A(0) -         RESERVED FOR LOCK EXPANSION          @LDC 15750000
PSATPACL DC    A(0) -         TCAM'S TPACBDEB LOCK               MDC009 15800000
PSAOPTL  DC    V(OPTLOCK) -   OPTIMIZER LOCK  (MDC317)         @G50DP9A 15850000
PSARSMGL DC    A(0) -         RSM GLOBAL LOCK                  @G860PXH 15900000
PSAVFIXL DC    V(VFIXLOCK)    VSM FIXED SUBPOOLS LOCK          @G860PXH 15950000
PSAASMGL DC    A(0) -         ASM GLOBAL LOCK                  @G860PXH 16000000
PSARSMSL DC    A(0) -         RSM STEAL LOCK                   @G860PXH 16050000
PSARSMXL DC    A(0) -         RSM CROSS MEMORY LOCK            @G860PXH 16100000
PSARSMAL DC    A(0) -         RSM ADDRESS SPACE LOCK           @G860PXH 16150000
PSAVPAGL DC    V(VPAGLOCK)    VSM PAGEABLE SUBPOOLS LOCK       @G860PXH 16200000
PSARSMCL DC    A(0)           RSM COMMON LOCK                  @G860PXK 16250000
PSALKS1  EQU   19             COUNT OF LOCKS IN CLHT1          @G860PXK 16300000
PSARVLK2 DC    A(0)           RESERVED FOR LOCK EXPANSION      @G860PXH 16350000
PSACLHT2 DS    0CL16          SHARED EXCLUSIVE LOCKS TABLE     @G860PXH 16400000
PSARSML  DC    V(RSMLOCK)     RSM GLOBAL FUNCTION/RECOVERY              16450000
*                             LOCK                             @G860PXH 16500000
PSARSMEX EQU   X'80' -        BIT 0 OF PSARSML. IF ON, THE RSM          16550000
*                             LOCK IS HELD EXCLUSIVE.          @G860PXH 16600000
PSATRCEL DC    V(TRCELOCK)    TRACE BUFFER MANAGEMENT LOCK     @G860PXH 16650000
PSATRCEX EQU   X'80' -        BIT 0 OF PSATRCEL. IF ON THE TRACE        16700000
*                             LOCK IS HELD EXCLUSIVE.          @G860PXH 16750000
PSAIOSL  DC    V(IOSLOCK) -   IOS LOCK                             @D3C 16780000
PSAIOSEX EQU   X'80' -        BIT 0 OF PSAIOSL. IF ON THE IOS      @D3A 16810000
*                             LOCK IS HELD EXCLUSIVE.                   16840000
PSALKS2  EQU   3              COUNT OF LOCKS IN CLHT2              @D3C 16870000
PSARVLK4 DC    A(0) -         RESERVED FOR LOCK EXPANSION      @G50NP9A 16900000
PSACLHT3 DS    0CL8           SPECIAL LOCKS TABLE              @G860PXH 16950000
PSACPUL  DC    A(0)           CPU TABLE LOCKS                  @G860PXH 17000000
PSALKS3  EQU   1              COUNT OF LOCKS IN CLHT3          @G860PXH 17050000
PSARVLK5 DC    A(0) -         RESERVED FOR LOCK EXPANSION      @G50NP9A 17100000
PSACLHT4 DS    0CL12          SUSPEND LOCKS TABLE              @G860PXH 17150000
PSACMSL  DC    A(0) -         CROSS MEMORY SERVICES LOCK                17200000
*                             (MDC463)                         @ZM45800 17250000
PSALOCAL DC    A(0) -         LOCAL LOCK                                17300000
PSALKS4  EQU   2              COUNT OF LOCKS IN CLHT4          @G860PXH 17350000
PSARVLK6 DC    A(0) -         RESERVED FOR LOCK EXPANSION      @G50NP9A 17400000
PSALCPUA DC    A(0) -         LOGICAL CPU ADDRESS FOR LOCK INSTRUCTION. 17450000
*                             THIS OFFSET FIXED BY ARCHITECTURE.        17500000
*                             (MDC421)                         @G50NP9A 17550000
PSAHLHI  DS    0F -           HIGHEST LOCK HELD INDICATOR.  THIS OFFSET 17600000
*                             FIXED BY ARCHITECTURE.  (MDC464) @G50EP9A 17650000
PSACLHS  DS    0F -           CPU LOCKS HELD STRING              MDC122 17700000
PSACLHS1 DC    XL1'00' -      FIRST BYTE OF PSACLHS. (MDC384)  @G860PXH 17750000
PSACPULI EQU   X'80' -        CPU LOCK INDICATOR               @G860PXH 17800000
PSASUM   EQU   X'10' -        SUMMARY BIT. IF ON, AT LEAST ONE     @LDA 17812500
*                             LOCK IN PSACLHSE IS HELD BY THIS          17825000
*                             PROCESSOR.                                17837500
PSARSMLI EQU   X'08' -        RSM LOCK INDICATOR               @G860PXH 17850000
PSATRCEI EQU   X'04' -        TRACE LOCK INDICATOR             @G860PXH 17900000
PSAIOSI  EQU   X'02' -        IOS LOCK INDICATOR                   @D3A 17925000
PSACLHS2 DC    XL1'00' -      SECOND BYTE OF PSACLHS. (MDC385) @G860PXH 17950000
PSARSMCI EQU   X'10' -        RSM COMMON LOCK INDICATOR        @G860PXK 18000000
PSARSMGI EQU   X'08' -        RSM GLOBAL LOCK INDICATOR        @G860PXH 18050000
PSAVFIXI EQU   X'04' -        VSM FIX LOCK INDICATOR           @G860PXH 18100000
PSAASMGI EQU   X'02' -        ASM GLOBAL LOCK INDICATOR        @G860PXH 18150000
PSARSMSI EQU   X'01' -        RSM STEAL LOCK INDICATOR         @G860PXH 18200000
PSACLHS3 DC    XL1'00' -      THIRD BYTE OF PSACLHS  (MDC386)  @G50EP9A 18250000
PSARSMXI EQU   X'80' -        RSM CROSS MEMORY LOCK INDICATOR  @G860PXH 18300000
PSARSMAI EQU   X'40' -        RSM ADDRESS SPACE LOCK INDICATOR @G860PXH 18350000
PSAVPAGI EQU   X'20' -        VSM PAGE LOCK INDICATOR          @G860PXH 18400000
PSADSPLI EQU   X'10' -        DISPATCHER LOCK INDICATOR                 18450000
*                             (MDC387)                         @G50EP9A 18500000
PSAASMLI EQU   X'08' -        ASM LOCK INDICATOR  (MDC388)     @G50EP9A 18550000
PSASALLI EQU   X'04' -        SPACE ALLOCATION LOCK INDICATOR           18600000
*                             (MDC389)                         @G50EP9A 18650000
PSAIOSLI EQU   X'02' -        IOS SYNCHRONIZATION LOCK INDICATOR        18700000
*                             (MDC390)                         @G50EP9A 18750000
PSARSMDI EQU   X'01' -        RSM DATA SPACE LOCK INDICATOR        @LBA 18800000
PSACLHS4 DC    XL1'00' -      FOURTH BYTE OF PSACLHS  (MDC392) @G50EP9A 18900000
PSAIOULI EQU   X'80' -        IOS UCB LOCK INDICATOR  (MDC393) @G50EP9A 18950000
PSATPALI EQU   X'08' -        TPACBDEB LOCK INDICATOR (MDC397) @G50EP9A 19200000
PSASRMLI EQU   X'04' -        SYSTEM RESOURCE MANAGER (SRM) LOCK        19250000
*                             INDICATOR  (MDC398)              @G50EP9A 19300000
PSACMSLI EQU   X'02' -        CROSS MEMORY SERVICES LOCK INDICATOR      19350000
*                             (CMS, CMSSMF, CMSEQDQ, CMSLATCH)          19383300
*                             (MDC399)                             @LUC 19416600
PSALCLLI EQU   X'01' -        LOCAL LOCK INDICATOR  (MDC400)   @G50EP9A 19450000
PSALITA  DC    V(IEAVELT1) -  ADDRESS OF LOCK INTERFACE TABLE.          19500000
*                             THIS OFFSET FIXED BY ARCHITECTURE.        19550000
*                             (MDC465)                         @ZM48253 19600000
PSASTOR8 DC    XL8'00' -      8-BYTE value for master's STO        @LSA 19650000
PSACR0   DC    F'0' -         SAVE AREA FOR CONTROL REGISTER 0          19800000
PSAMCHFL DC    XL1'00' -      MCH RECURSION FLAGS                       19850000
PSASYMSK DC    XL1'00' -      THIS FIELD WILL BE USED IN CONJUNCTION    19900000
*                             WITH THE STNSM INSTRUCTION TO PLACE IOS   19950000
*                             CHANNEL SCHEDULER INTO A DISABLED STATE   20000000
*                             AND SIMULTANEOUSLY SAVE THE SYSTEM MASK   20050000
*                             OF THE CALLER                      MDC022 20100000
PSAACTCD DC    XL1'00' -      ACTION CODE SUPPLIED BY OPERATOR     @LHC 20143700
*                             AFTER SYSTEM HAS LOADED RESTARTABLE WAIT  20187400
*                             STATE AND BEFORE THE RESTART KEY IS       20231100
*                             DEPRESSED.  VALUE DEPENDS ON RESTARTABLE  20274800
*                             WAIT STATE CODE.  UNPREDICTABLE DURING    20318500
*                             NORMAL SYSTEM OPERATION.                  20362200
*                             OWNERSHIP: LDWT                           20405900
PSAMCHIC DC    XL1'00' -      MCH INITIALIZATION COMPLETE FLAGS  MDC098 20450000
PSAWKRAP DC    A(0) -         REAL ADDRESS OF VARY CPU PARAMETER LIST   20500000
*                                                                MDC106 20550000
PSAWKVAP DC    A(0) -         VIRTUAL ADDRESS OF VARY CPU PARAMETER     20600000
*                             LIST                               MDC107 20650000
PSAVSTAP DC    H'0' -         WORK AREA FOR VARY CPU             MDC108 20700000
PSACPUSA DC    H'0' -         PHYSICAL CPU ADDRESS (STATIC)  (MDC131)   20750000
*                                                                YM3489 20800000
PSASTOR  DC    F'0' -         MASTER MEMORY'S SEGMENT TABLE ORIGIN      20850000
*                             REGISTER (STOR) VALUE                     20900000
PSAIDAWK DC    XL90'00' -     WORK SAVE AREA FOR INTERNAL               20950000
*                             DEBUG TOOL.                      @G860PXK 21000000
         AIF   ('&DSECT' EQ 'YES').PSA0097                         @P5A 21025000
PSARET   BSM   0,14    -      BRANCH RETURN TO CALLER (VIA BSM),        21050000
*                             USED BY ROUTINES INVOKED BY IOS  @G860PXK 21100000
PSARETCD BSM   0,14    -      BRANCH RETURN TO CALLER (VIA BSM)         21150000
*                             WITH RETURN CODE IN REGISTER 15,          21200000
*                             USED BY ROUTINES INVOKED BY IOS  @G860PXK 21250000
         AGO   .PSA0098                                            @P5A 21255500
.PSA0097 ANOP                                                      @P5A 21261000
PSARET   DS    H -            BSM 0,14 BRANCH RETURN TO CALLER     @P5A 21266500
*                             USED BY ROUTINES INVOKED BY IOS           21272000
PSARETCD DS    H -            BSM 0,14 BRANCH RETURN TO CALLER     @P5A 21277500
*                             WITH RETURN CODE IN REGISTER 15,          21283000
*                             USED BY ROUTINES INVOKED BY IOS           21288500
.PSA0098 ANOP                                                      @P5A 21294000
         DC    XL2'00' -      RESERVED                         @G860PVB 21300000
PSARSVT  DS    0CL64 -        RECOVERY STACK VECTOR TABLE        MDC064 21350000
PSARSVTE DS    0CL64 -        RECOVERY STACK VECTOR TABLE        MDC065 21400000
PSACSTK  DC    A(0) -         ADDRESS OF CURRENTLY USED FUNCTIONAL      21450000
*                             RECOVERY ROUTINE (FRR) STACK       MDC061 21500000
PSANSTK  DC    A(0) -         ADDRESS OF NORMAL FRR STACK        MDC062 21550000
PSASSTK  DC    A(0) -         ADDRESS OF SVC-I/O-DISPATCHER FRR STACK   21600000
*                                                                MDC063 21650000
PSASSAV  DC    A(0) -         ADDRESS OF INTERRUPTED STACK SAVED BY     21700000
*                             SVC, I/O, DISPATCHER               MDC066 21750000
PSAMSTK  DC    A(0) -         ADDRESS OF MCH FRR STACK           MDC067 21800000
PSAMSAV  DC    A(0) -         ADDRESS OF INTERRUPTED STACK SAVED BY     21850000
*                             MCH                                MDC068 21900000
PSAPSTK  DC    A(0) -         ADDRESS OF PROGRAM CHECK FLIH FRR STACK   21950000
*                                                                MDC069 22000000
PSAPSAV  DC    A(0) -         ADDRESS OF INTERRUPTED STACK SAVED BY     22050000
*                             PROGRAM CHECK FLIH                 MDC070 22100000
PSAESTK1 DC    A(0) -         ADDRESS OF EXTERNAL FLIH FRR STACK FOR    22150000
*                             NON-RECURSIVE ENTRIES              MDC071 22200000
PSAESAV1 DC    A(0) -         ADDRESS OF INTERRUPTED STACK SAVED BY     22250000
*                             EXTERNAL FLIH FOR                         22300000
*                             NON-RECURSIVE ENTRIES              MDC072 22350000
PSAESTK2 DC    A(0) -         ADDRESS OF EXTERNAL FLIH FRR STACK FOR    22400000
*                             FIRST LEVEL RECURSIONS             MDC073 22450000
PSAESAV2 DC    A(0) -         ADDRESS OF INTERRUPTED STACK SAVE BY      22500000
*                             EXTERNAL FLIH FOR FIRST LEVEL RECURSIONS  22550000
*                                                                MDC074 22600000
PSAESTK3 DC    A(0) -         ADDRESS OF EXTERNAL FLIH FRR STACK FOR    22650000
*                             SECOND LEVEL RECURSIONS AND ACR    MDC075 22700000
PSAESAV3 DC    A(0) -         ADDRESS OF INTERRUPTED STACK SAVED BY     22750000
*                             EXTERNAL FLIH FOR SECOND LEVEL            22800000
*                             RECURSIONS                         MDC076 22850000
PSARSTK  DC    A(0) -         ADDRESS OF RESTART FLIH FRR STACK  MDC077 22900000
PSARSAV  DC    A(0) -         ADDRESS OF INTERRUPTED STACK SAVED BY     22950000
*                             RESTART FLIH                       MDC078 23000000
         DS    0D -           ALIGN PSALWPSW TO DOUBLE WORD        @LHC 23040000
PSALWPSW DC    XL8'00' -      PSW OF WORK INTERRUPTED WHEN A       @LHC 23080000
*                             RESTARTABLE WAIT STATE IS LOADED          23120000
*                             OWNERSHIP: LDWT                           23160000
         DS    0D -           ALIGN PSARSPSW TO DOUBLE WORD      MDC097 23200000
PSARSPSW DC    XL8'00' -      RESUME PSW FIELD FOR RESTART INTERRUPT    23250000
*                             HANDLER                            MDC097 23300000
PSATSTK  DC    A(0) -         ADDRESS OF RTM RECOVERY STACK.            23314200
*                             SERIALIZATION: NONE - THE FIELD IS        23328400
*                             INITIALIZED AT IPL/VARY CPU ONLINE        23342600
*                             TIME ONLY.                                23356800
*                             OWNER: RTM.                          @L6A 23371000
PSATSAV  DC    A(0) -         ADDRESS OF ERROR STACK SAVED BY RTM  @L7A 23373000
*                             WHEN SWITCHING TO RTM RECOVERY STACK.     23375000
*                             OWNERSHIP: RTM                            23377000
PSAASTK  DC    A(0) -         ADDRESS OF ACR FRR STACK.            @L7A 23379000
*                             OWNERSHIP: ACR                            23381000
PSAASAV  DC    A(0) -         ADDRESS OF INTERRUPT STACK SAVED BY  @L7A 23383000
*                             ACR.                                      23385000
*                             OWNERSHIP: ACR                            23387000
         DS    0D -           ALIGN PSARTPSW TO DOUBLE WORD        @L7A 23389000
PSARTPSW DC    XL8'00' -      RESUME PSW FOR RTM SETRP RETRY       @L7A 23391000
*                             OPTION                                    23393000
*                             OWNERSHIP: RTM                            23395000
PSARV3E8 DC    XL8'00' -      RESERVED                             @L7C 23397000
         DS    0F -           ALIGN PSASFACC TO FULL WORD        MDC123 23400000
PSASFACC DC    XL4'8007D000' - SETFRR ABEND COMPLETION CODE USED WHEN   23450000
*                             A SETFRR ADD IS ISSUED AGAINST A FULL     23500000
*                             FRR STACK                          MDC123 23550000
         AIF   ('&DSECT' EQ 'YES').PSA0099                         @P5A 23575000
PSALSFCC L     1,PSASFACC   - A LOAD INSTRUCTION TO PRIME REGISTER 1    23600000
*                             WITH THE SETFRR ABEND COMPLETION CODE IN  23650000
*                             PSASFACC        (MDC124)         @G860PXK 23700000
PSASVC13 SVC   13 -           AN SVC 13 INSTRUCTION              MDC125 23750000
         AGO   .PSA0100                                            @P5A 23756200
.PSA0099 ANOP                                                      @P5A 23762400
PSALSFCC DS    F -            L  1,PSASFACC INSTRUCTION TO LOAD    @P5A 23768600
*                             REGISTER 1 WITH THE SETFRR ABEND          23774800
*                             COMPLETION CODE IN PSASFACC               23781000
PSASVC13 DS    H -            AN SVC 13 INSTRUCTION                @P5A 23787200
.PSA0100 ANOP                                                      @P5A 23793400
         DC    XL1'00' -      RESERVED                         @G860PXK 23800000
PSAINTE  DC    XL1'00' -      FLAGS FOR CPU TIMER  (MDC466)    @ZM48078 23950000
PSANUIN  EQU   X'80' -        CPU TIMER CANNOT BE USED                  24000000
*                             (MDC467)                         @ZM48078 24050000
         AIF   ('&DSECT' EQ 'YES').PSA0101                         @P5A 24075000
PSARTM1R STOSM PSARTM1S,X'00' - STOSM INSTRUCTION EXECUTED BEFORE RTM   24100000
*                             GOES TO THE RETRY ROUTINE FOR THE FRRS.   24150000
*                             OWNERSHIP: RTM.                           24200000
*                             SERIALIZATION: DISABLEMENT.      @G860PXK 24250000
         AGO   .PSA0102                                            @P5A 24255500
.PSA0101 ANOP                                                      @P5A 24261000
PSARTM1R DS    F -            STOSM PSARTM1S,X'00' INSTRUCTION     @P5A 24266500
*                             EXECUTED BEFORE RTM GOES TO THE RETRY     24272000
*                             ROUTINE FOR THE FRRS.                     24277500
*                             OWNERSHIP: RTM.                           24283000
*                             SERIALIZATION: DISABLEMENT.               24288500
.PSA0102 ANOP                                                      @P5A 24294000
PSARTM1M EQU   PSARTM1R+1,1,C'X' - LABEL FOR SYSTEM MASK USED IN        24300000
*                             ABOVE INSTRUSTION.                        24350000
*                             OWNERSHIP: RTM.                  @G860PXK 24400000
         DS    0D -           ALIGN PSAPCPSW TO DOUBLE WORD      YM0943 24450000
PSAPCPSW DC    XL8'00' -      TEMPORARY OLD PSW STORAGE FOR PROGRAM     24500000
*                             FLIH  (MDC129)                     YM0943 24550000
PSAATCVT DC    A(0) -         ADDRESS OF VTAM ATCVT.  INITIALIZED BY    24600000
*                             VTAM.  (MDC300)                  @Z30AP9A 24650000
PSAWTCOD DC    A(0) -         WAIT STATE CODE LOADED               @LHC 24700000
*                             OWNERSHIP: LDWT                           24750000
PSASCWA  DC    A(0) -         ADDRESS OF SUPERVISOR CONTROL CPU         24800000
*                             RELATED WORK SAVE AREA           @G860PXH 24850000
PSARSMSA DC    A(0) -         ADDRESS OF RSM CPU RELATED WORK           24900000
*                             SAVE AREA                        @G860PXH 24950000
         DS    0D -           ALIGN PSASCPSW TO DOUBLE WORD             25000000
*                             (MDC325)                         @G50DP9A 25050000
PSASCPSW DC    XL4'000C0000' - MODEL PSW                                25100000
*                             OWNERSHIP: SUPERVISOR CONTROL.            25150000
*                             SERIALIZATION: DISABLED.         @G860PXK 25200000
         DC    A(0) -         MODEL PSW SECOND HALF  (MDC325)  @G50DP9A 25250000
         DS    0D -           ALIGN PSASMPSW TO DOUBLE WORD             25300000
*                             (MDC326)                         @G50DP9A 25350000
PSASMPSW DC    XL4'070C0000' - SRB DISPATCH PSW  (MDC326)      @G50DP9A 25400000
         DC    A(0) -         DISPATCH PSW SECOND HALF                  25450000
*                             (MDC326)                         @G50DP9A 25500000
PSARV428 DC    XL64'00' -     RESERVED                         @G860PXK 25550000
         DS    0D -           ALIGN PSAPSWSV TO DOUBLE WORD             25600000
*                             (MDC319)                         @G50DP9A 25650000
PSAPSWSV DC    XL8'00' -      PSW SAVE AREA FOR DISPATCHER AND ACR      25700000
*                             (MDC319)                         @G50DP9A 25750000
         DS    0D -           ALIGN PSACPUT TO DOUBLE WORD              25800000
*                             (MDC328)                         @G50DP9A 25850000
PSACPUT  DC    XL8'00' -      SUPERVISOR CPU TIMER SAVE AREA            25900000
*                             (MDC328)                         @G50DP9A 25950000
PSAPCFUN DS    0F -           PROGRAM FLIH RECURSION           @G383P9A 26000000
*                             FLAGS                 (MDC613)   @G383P9A 26050000
PSAPCFB1 DC    XL1'00' -      FUNCTION VALUE  (MDC484)         @G383P9A 26100000
PSAPCMC  EQU   X'01' -        MC INTERRUPT      (MDC605)       @G383P9A 26150000
PSAPCPF  EQU   X'02' -        PAGE FAULT                       @G383P9A 26200000
PSAPCPS  EQU   X'03' -        PER/SPACE SWITCH INTERRUPT       @G383PXU 26250000
PSAPCAD  EQU   X'04' -        ADDRESSING EXCEPTION  (MDC488)   @G383P9A 26300000
PSAPCTR  EQU   X'05' -        TRANSLATION EXCEPTION  (MDC489)  @G383P9A 26350000
PSAPCPC  EQU   X'06' -        PROGRAM CHECK  (MDC490)          @G383P9A 26400000
PSAPCTRC EQU   X'07' -        TRACE INTERRUPT                  @G860PXK 26450000
PSAPCAF  EQU   X'08' -        NEW VALUE FOR PROGRAM INTERRUPT      @03A 26461100
*                             FLAG.  ASYMMETRIC FEATURE OPERATION       26472200
*                             EXCEPTION.                                26483300
PSAPCLS  EQU   X'09' -        LINKAGE STACK INTERRUPT FUNCTION     @L8A 26494400
*                             VALUE FOR PROGRAM FLIH.                   26505500
PSAPCART EQU   X'0A' -        ACCESS REGISTER TRANSLATION          @L8A 26516600
*                             INTERRUPT VALUE FOR PROGRAM FLIH.         26527700
PSAPCDPF EQU   X'0B' -        DISABLED PAGE/SEGMENT FAULT          @LCA 26532100
PSAPCDAR EQU   X'0C' -        DISABLED ART PIC X'2B' FUNCTION      @LCA 26536500
*                             VALUE FOR PROGRAM FLIH.                   26540900
PSAPCPRT EQU   X'0D' -        Protection exception function value  @LQA 26543900
PSAPCMAX EQU   X'0D' -        MAXIMUM VALID FUNCTION VALUE         @LQC 26546900
PSAPCFB2 DC    XL1'00' -      FUNCTION FLAGS  (MDC491)         @G383P9A 26550000
PSAPCTRR EQU   X'80' -        TRACE INTERRUPT RECURSION        @YA01102 26583300
*                             HANDLER FLAG.                             26616600
PSAPCMT  EQU   X'40' -        TRACE RECURSION FLAG  (MDC493)   @G383P9A 26650000
PSAPCFB3 DC    XL1'00' -      RECURSION FLAGS  (MDC494)        @G383P9A 26700000
PSAPCP1  EQU   X'80' -        FIRST LEVEL PROGRAM CHECK        @G383P9A 26750000
*                             (MDC495)                         @G383P9A 26800000
PSAPCP2  EQU   X'40' -        SECOND LEVEL PROGRAM CHECK       @G383P9A 26850000
*                             (MDC496)                         @G383P9A 26900000
PSAPCDE  EQU   X'20' -        DAT ERROR CONDITION  (MDC497)    @G383P9A 26950000
PSAPCLV  EQU   X'10' -        0=REGISTERS IN LCCA, 1=REGISTERS @G383P9A 27000000
*                             NOT IN LCCA.            (MDC498) @G383P9A 27050000
PSAPCP3  EQU   X'08' -        THIRD LEVEL PROGRAM CHECK        @G383P9A 27100000
*                                                  (MDC604)    @G383P9A 27150000
PSAPCP4  EQU   X'04' -        FOURTH LEVEL PROGRAM CHECK       @G383P9A 27200000
*                                                  (MDC604)    @G383P9A 27250000
PSAPCPFR EQU   X'02' -        RECURSIVE PAGE FAULT INDICATOR       @LAA 27275000
PSAPCAVR EQU   X'01' -        RECURSIVE ASTE VALIDITY INDICATOR    @LCA 27287500
PSAPCFB4 DC    XL1'00' -      RECURSION FLAGS                           27325000
PSAPCDNV EQU   X'80' -        DUCT validity indicator              @PBA 27362500
PSAPCLSR EQU   X'40' -        IEAVLSIH has invoked IARPTEPR and    @PEA 27375000
*                             recursion into RSM is not permitted.      27387500
PSAPCPS2 DC    H'0' -         PASID AT TIME OF SECOND LEVEL    @G383P9A 27400000
*                             INTERRUPT              (MDC604)  @G383P9A 27450000
PSARV47E DC    XL2'00' -      RESERVED                         @G860PXK 27462500
PSAPCWKA DC    XL24'00' -     Work area for PC FLIH. Must be           *27475000
                              qword-aligned                        @LSA 27487500
PSAPCPS3 DC    H'0' -         PASID AT TIME OF THIRD LEVEL     @G383P9A 27500000
*                             INTERRUPT              (MDC604)  @G383P9A 27550000
PSAPCPS4 DC    H'0' -         PASID AT TIME OF FOURTH LEVEL             27600000
*                             INTERRUPT                        @G860PXK 27650000
PSAMODEW DS    0F -           Word label to address PSAMODE.       @LPC 27800000
         DC    XL1'00' -      RESERVED - FIRST BYTE OF PSAMODEW         27950000
*                                                              @G860PXK 28000000
PSAMFLGS DC    XL1'00' -      SECOND BYTE OF PSAMODEW (MDC604) @G383P9A 28050000
PSANSS   EQU   X'80' -        ENABLED UNLOCKED TASK WITH FRR   @G383P9A 28100000
*                                                     (MDC605) @G383P9A 28150000
PSAPRSRB EQU   X'40' -        Preemptable-class SRB                @LPA 28175000
PSAMODEH DC    XL1'00' -      SECOND HALFWORD OF PSAMODEW.     @G383P9A 28200000
*                             FIRST BYTE MUST BE ZERO FOR I/O           28250000
*                             AND EXTERNAL FLIHS.                       28300000
*                                                     (MDC613) @G383P9A 28350000
PSAMODE  DC    XL1'00' -      SYSTEM MODE INDICATOR AND DISPLACEMENT    28400000
*                             INTO TABLES FOR EXTERNAL AND I/O          28450000
*                             FLIHS                            @G860PXH 28500000
PSATASKM EQU   X'00' -        TASK MODE VALUE  (MDC338)        @G50DP9A 28550000
PSASRBM  EQU   X'04' -        SRB MODE VALUE  (MDC339)         @G50DP9A 28600000
PSAWAITM EQU   X'08' -        WAIT MODE VALUE  (MDC340)        @G50DP9A 28650000
PSADISPM EQU   X'10' -        DISPATCHER MODE VALUE  (MDC342)  @G50DP9A 28700000
PSAPSRBM EQU   X'20' -        PSEUDO SRB MODE FLAG BIT.  THIS BIT MAY   28750000
*                             BE ON WITH ANY OF ABOVE MODE VALUES.      28800000
*                             (MDC343)                         @G50DP9A 28850000
         DC    XL3'00' -      RESERVED                         @G860PXK 28900000
PSASTNSM DC    XL1'00' -      STNSM TARGET USED BY EXIT PROLOGUE        29000000
*                             (MDC346)                         @G50DP9A 29050000
PSALKJW  DC    F'0' -         LOCAL LOCK RELEASE SRB JOURNAL   @G383P9A 29100000
*                             WORD                   (MDC612)  @G383P9A 29150000
PSADZERO DS    0D -           DOUBLEWORD OF ZERO   (MDC612)    @G383P9A 29200000
PSAFZERO DC    F'0' -         FULLWORD OF ZERO     (MDC612)    @G383P9A 29250000
         DC    F'0' -         FULLWORD OF ZERO     (MDC612)    @G383P9A 29300000
PSALKJW2 DC    F'0' -         CMS LOCK RELEASE JOURNAL WORD.   @G383P9A 29350000
*                                                  (MDC613)    @G383P9A 29400000
PSALKPT  DC    V(IEALKPT) -   SETLOCK TEST,TYPE=HIER                    29450000
*                             PARAMETER LIST TABLE.                     29500000
*                             OWNERSHIP: LOCK MANAGER.                  29550000
*                             SERIALIZATION: NONE.             @G860PXK 29600000
PSARV4B8 DC    XL4'00' -      RESERVED.                            @LDC 29604300
PSALIT2  DC    V(IEAVELT2) -  POINTER TO THE EXTENDED LOCK         @LDA 29608600
*                             INTERFACE TABLE.                          29612900
PSAECLTP DC    V(IEACLTE) -   POINTER TO THE EXTENDED CURRENT      @LDA 29617200
*                             LOCKS HELD TABLE.                         29621500
PSACLHSE DS    0F -           CURRENT LOCKS HELD STRING EXTENSION  @LDA 29625800
PSALHEB0 DC    XL1'00' -      BYTE 0 OF THE CURRENT LOCK HELD      @LDA 29630100
*                             STRING EXTENSION.                         29634400
PSABLSDI EQU   X'80' -        BMFLSD LOCK INDICATOR.               @LGA 29638700
PSAXDSI  EQU   X'40' -        XCFDS LOCK INDICATOR.                @LEA 29643000
PSAXRESI EQU   X'20' -        XCFRES LOCK INDICATOR.               @LEA 29647300
PSAXQI   EQU   X'10' -        XCFQ LOCK INDICATOR.                 @LEA 29651600
PSAESETI EQU   X'08' -        ETRSET LOCK INDICATOR.               @LFA 29655900
PSAIXSCI EQU   X'04' -        IXLSCH LOCK INDICATOR.               @LMC 29656900
PSAIXSHI EQU   X'02' -        IXLSHR LOCK INDICATOR.               @LMC 29657900
PSAIXDSI EQU   X'01' -        IXLDS LOCK INDICATOR.                @LLA 29658900
PSALHEB1 DC    XL1'00' -      BYTE 1 OF THE CURRENT LOCK HELD      @LDA 29660200
*                             STRING EXTENSION.                         29664500
PSAIXLLI EQU   X'80' -        IXLSHELL LOCK INDICATOR.             @LMC 29666600
PSAULUTI EQU   X'40' -        IOSULUT LOCK INDICATOR.              @LJA 29668800
PSAIXLRI EQU   X'20' -        IXLREQST LOCK INDICATOR.             @05A 29670900
PSAWLMRI EQU   X'10' -        WLMRES LOCK INDICATOR                @LRA 29671600
PSAWLMQI EQU   X'08' -        WLMQ LOCK INDICATOR.                 @LRA 29672300
PSACNTXI EQU   X'04' -        CONTEXT LOCK INDICATOR               @LRA 29672500
PSAREGSI EQU   X'02' -        REGSRV LOCK INDICATOR.               @LRA 29672700
PSASSDLI EQU   X'01' -        SSD LOCK INDICATOR.                  @LTA 29672900
PSALHEB2 DC    XL1'00' -      BYTE 2 OF THE CURRENT LOCK HELD      @LDA 29673100
*                             STRING EXTENSION.                         29677400
PSALHEB3 DC    XL1'00' -      BYTE 3 OF THE CURRENT LOCK HELD      @LDA 29681700
*                             STRING EXTENSION.                         29686000
PSARV4C8 DC    XL8'00'   -    RESERVED FOR FUTURE LOCK EXPANSION.  @LDA 29690300
PSARV4D0 DC    XL184'00' -    RESERVED.                            @LDA 29694600
PSAHWFB  DC    XL1'00' -      HARDWARE FLAG BYTE.                  @L3A 29700000
PSACR0CB DC    XL1'00' -      CR0 CONTROL BYTE USED BY PROTPSA MACRO    29900000
*                             (MDC425)                         @G50NP9A 29950000
PSAENABL EQU   X'10' -        TO ENABLE PSA PROTECTION                  30000000
*                             (MDC428)                         @G50NP9A 30050000
PSADSABL EQU   X'00' -        TO DISABLE PSA PROTECTION                 30100000
*                             (MDC429)                         @G50NP9A 30150000
         DC    XL2'00' -      RESERVED                         @G50NP9A 30200000
PSACR0SV DC    F'0' -         CR0 SAVE AREA USED BY PROTPSA MACRO       30250000
*                             (MDC426)                         @G50NP9A 30300000
PSACR0EN EQU   X'10' -        IF 0, PSA PROTECT DISABLED.  IF 1, PSA    30350000
*                             PROTECT ENABLED.  BIT IS IN HIGH-ORDER    30400000
*                             BYTE OF PSACR0SV.  (MDC432)      @G50NP9A 30450000
PSACR0FP EQU   X'04' -        IF 1, extended floating point is          30460000
*                             enabled. Bit is in PSACR0SV+1        @LRA 30470000
PSACR0VI EQU   X'02' -        IF 1, vector instructions are             30480000
*                             enabled. Bit is in PSACR0SV+1        @LRA 30490000
PSAPCCR0 DC    F'0' -         PROGRAM CHECK FLIH CR0 SAVE AREA          30500000
*                             (MDC427)                         @G50NP9A 30550000
PSARCR0  DC    F'0' -         RESTART FLIH CR0 SAVE AREA                30600000
*                             (MDC434)                         @G50NP9A 30650000
PSARPEN  EQU   X'10' -        IF 0, PSA PROTECT DISABLED.  IF 1, PSA    30700000
*                             PROTECT ENABLED.  BIT IS IN HIGH-ORDER    30750000
*                             BYTE OF PSARCR0.  (MDC435)       @G50NP9A 30800000
PSASTKE  DS    0D -           CURRENT STACK CONTROL WORD FOR SRB'S AND  30833300
*                             TYPE 6 SVC'S.                             30866600
PSATKN   DC    H'0' -         CURRENT STACK TOKEN     (MDC610) @G383P9A 30900000
PSAASD   DC    H'0' -         CURRENT STACK ADDRESS SPACE               30950000
*                             DESIGNATOR              (MDC610) @G383P9A 31000000
PSASEL   DC    F'0' -         CURRENT STACK ELEMENTS ADDRESS            31050000
*                                                     (MDC610) @G383P9A 31100000
         DS    0D -           ALIGN PSASKPSW TO A DOUBLEWORD            31150000
*                                                     (MDC604) @G383P9A 31200000
PSASKPSW DC    XL4'000C0000'  PCLINK STACK/UNSTACK MODEL PSW            31250000
*                                                     (MDC604) @G383P9A 31300000
PSASKPS2 DC    A(0) -         PCLINK PSW ADDRESS      (MDC604) @G383P9A 31350000
PSACPCLS DC    A(0)    -      PCLINK WORKAREA - CURRENT STACK      @L9C 31367700
*                             HEADER ADDRESS                            31385400
PSARV5AC DC    XL4'00' -      RESERVED.                            @L9A 31403200
PSASCFS  DC    A(0)    -      ADDRESS OF THE SUPERVISOR CONTROL    @L8C 31430000
*                             FLIH SAVEAREA.                            31470000
PSAPAWA  DC    A(0)    -      ADDRESS OF PC/AUTH WORK AREA.        @L8A 31510000
PSASCFB  DC    XL1'00' -      SUPERVISOR CONTROL FLAG BYTE.        @L1A 31550000
PSAIOPR  EQU   X'80' -        INDICATES IF INTERRUPTED TASK SHOULD @L1A 31600000
*                             BE PREEMPTED.  USED BY THE I/O FLIH.      31650000
PSAIORTY EQU   X'40' -        I/O FLIH RECOVERY FLAG. IF 1,        @L5A 31662500
*                             CONTINUE RETRY PROCESSING INSTEAD OF @L5A 31675000
*                             ABENDING                             @L5A 31687500
         DC    XL3'00' -      RESERVED                         @G860PXK 31700000
PSACR0M1 DC    XL4'FFFF01AF'  MASK OF CR0 WITH EXTERNAL MASK BITS  @04A 31716600
*                             OFF - USED BY WINDOW.                     31733200
PSACR0M2 DC    XL4'0000FE50'  MASK OF CR0 WITH ONLY EXTERNAL MASK  @04A 31749800
*                             BITS ON - USED BY WINDOW.                 31766400
PSARV5C4 DC    XL148'00' -    RESERVED                             @03A 31783000
PSATIME  DC    D'0' -         CURRENT SRB'S ACCUMULATED CPU TIME   @01C 31800000
PSASRSAV DC    F'-1' -        ADDRESS OF CURRENT FRR STACK     @G383P9A 31925000
*                             SAVED BY STOP/RESET.   (MDC605)  @G383P9A 31950000
PSAESC8  DC    XL12'00' -     Save area for IEAVESC8               @LPA 32000000
PSADXMSI DS    0D -           DISPATCHER CONTROL REGISTER 3             32350000
*                             AND 4 IMAGE                      @G387PXH 32400000
PSADCR3I DS    0F -           DISPATCHER CONTROL REGISTER 3             32450000
*                             IMAGE                            @G387PXH 32500000
PSADPKMI DC    H'-1' -        PKM IMAGE                        @G387PXH 32550000
PSADSASI DC    H'-1' -        SECONDARY ASID                   @G387PXH 32600000
PSADCR4I DS    0F -           DISPATCHER CONTROL REGISTER 4             32650000
*                             IMAGE                            @G387PXH 32700000
PSADAXI  DC    H'-1' -        AUTHORIZATION INDEX              @G387PXH 32750000
PSADPASI DC    H'-1' -        PRIMARY ASID                     @G387PXH 32800000
PSADSARS DC    XL64'00' -     DISPATCHER ACCESS REGISTER SAVE AREA @L9C 32850000
PSADXMSV DS    0D -           DISPATCHER CONTROL REGISTER 3 AND 4       32900000
*                             SAVE AREA              (MDC610)  @G383P9A 32950000
PSADCR3  DS    0F -           DISPATCHER CONTROL REGISTER 3 SAVE AREA   33000000
*                                                    (MDC610)  @G383P9A 33050000
PSADPKM  DC    H'-1' -        DISPATCHER PROGRAM KEY MASK SAVE AREA     33100000
*                                                    (MDC610)  @G383P9A 33150000
PSADSAS  DC    H'-1' -        DISPATCHER SECONDARY ASID SAVE AREA       33200000
*                                                    (MDC610)  @G383P9A 33250000
PSADCR4  DS    0F -           DISPATCHER CONTROL REGISTER 4 SAVE AREA   33300000
*                                                    (MDC610)  @G383P9A 33350000
PSADAX   DC    H'-1' -        DISPATCHER  AUTHORIZATION        @G383P9A 33400000
*                             INDEX SAVE AREA.       (MDC613)  @G383P9A 33450000
PSADPAS  DC    H'-1' -        DISPATCHER PRIMARY ASID SAVE     @G383P9A 33500000
*                             AREA.                  (MDC610)  @G383P9A 33550000
PSADTSAV DS    D -            CPU TIMER VALUE AT LAST DISPATCH,    @01C 33579100
*                             SRBTIMER REQUEST, CPUTIMER EXPIRATION,    33608200
*                             OR STATUS SAVE OR RESTORE.                33637300
         ORG   PSADTSAV                                        @ZMC3284 33666600
PSAFF6C0 DC    (L'PSADTSAV)X'FF' INITIALIZE FIELD PSADTSAV     @ZMC3284 33683200
PSAUSEND DS    0D             END FIRST SET OF ASSIGNED FIELDS @G383PXU 33700000
*                             SAVED BY ACR.                    @G383PXU 33750000
PSARV6C8 DC    XL232'00' -    RESERVED                         @G860PXK 33800000
         DS    0D -           ALIGN PSADATLK ON DOUBLE WORD    @G860PXK 33850000
PSADATLK DC    48XL1'00' -    AREA FOR DAT-OFF ASSIST LINKAGE CODE      33900000
*                                                              @G860PXK 33950000
PSADATOF DC    A(0) -         REAL STORAGE ADDRESS OF THE DAT-OFF       34000000
*                             LINKAGE TABLE WHICH IS INITIALIZED BY     34050000
*                             NIP FOR DAT-ON/DAT-OFF LINKAGE   @G860PXK 34100000
PSADATLN DC    F'-1' -        LENGTH OF THE DAT-OFF INDEX TABLE         34150000
*                             (IEAVEDFT)                       @G860PXK 34200000
PSARV7E8 DS    XL4 -          RESERVED FOR SYSTEM TRACE.       @G860PXK 34201600
         ORG   PSARV7E8                                        @ZMC3284 34203200
PSAFF7E8 DC    (L'PSARV7E8)X'FF' INITIALIZE FIELD PSARV7E8     @ZMC3284 34204800
PSATRACE DC    XL1'00' -      SYSTEM TRACE FLAGS.              @G860PXK 34206400
PSATROFF EQU   X'80' -        IF ON, SYSTEM TRACE SUSPENDED ON THIS     34209600
*                             PROCESSOR BECAUSE WAIT TASK DISPATCHED.   34213000
*                                                              @G860PXK 34215600
         DC    XL3'00' -      RESERVED FOR SYSTEM TRACE.       @G860PXK 34218200
PSATBVTR DC    A(0) -         REAL ADDRESS OF SYSTEM TRACE BUFFER       34220800
*                             VECTOR TABLE (TBVT) REPRESENTING THE      34223400
*                             CURRENT SYSTEM TRACE BUFFER FOR THIS      34226000
*                             PROCESSOR.                                34228600
*                             OWNERSHIP: SYSTEM TRACE.                  34231200
*                             SERIALIZATION: DISABLEMENT FOR EXTERNAL   34233800
*                             INTERRUPTS ON THIS PROCESSOR OR THE       34236400
*                             TRACE SPIN LOCK.                 @G860PXK 34239000
PSATBVTV DC    A(0) -         VIRTUAL ADDRESS CORRESPONDING TO          34242600
*                             PSATBVTR.                        @G860PXK 34246200
PSATRVT  DC    V(IEAVETVT) -  ADDRESS OF SYSTEM TRACE VECTOR            34250000
*                             TABLE.                           @G860PXH 34279100
PSATOT   DC    V(IEAVETOT) -  ADDRESS OF SYSTEM TRACE OPERAND           34308200
*                             TABLE.                           @G860PXK 34337300
*                                                                       34366600
*********************************************************************** 34400000
*              FETCH PROTECTED KEY 0 AREA                             * 34450000
*                              LOCATIONS 800 TO FFF HEX               * 34500000
*********************************************************************** 34550000
*                                                                       34600000
PSAUS2ST DS    0D             START SECOND SET OF ASSIGNED     @G383PXU 34700000
*                             FIELDS SAVED BY ACR.             @G383PXU 34750000
PSACDSAV DS    0XL16          CALLDISP REGISTER SAVE AREA FOR  @G860PXK 34800000
*                             REGISTERS 14 - 1                 @G383PXU 34850000
PSACDSAE DC    F'-1'          CALLDISP REGISTER 14 SAVE AREA   @G383PXU 34900000
PSACDSAF DC    F'-1'          CALLDISP REGISTER 15 SAVE AREA   @G383PXU 34950000
PSACDSA0 DC    F'-1'          CALLDISP REGISTER 0  SAVE AREA   @G383PXU 35000000
PSACDSA1 DC    F'-1'          CALLDISP REGISTER 1  SAVE AREA   @G383PXU 35050000
PSAGSPSW DC    F'-1'          GLOBAL SCHEDULE SYSTEM MASK SAVE @ZA63674 35075000
*                             AREA.                            @ZA63674 35100000
*                             OWNERSHIP: SUPERVISOR CONTROL.   @ZA63674 35125000
*                             SERIALIZATION: DISABLEMENT.      @ZA63674 35150000
PSAGSRGS DC    F'-1'          GLOBAL SCHEDULE REGISTER SAVE    @ZA63674 35175000
*                             AREA.                            @ZA63674 35200000
*                             OWNERSHIP: SUPERVISOR CONTROL.   @ZA63674 35225000
*                             SERIALIZATION: DISABLEMENT.      @ZA63674 35250000
PSARV818 DC    XL4'00'  -     RESERVED                             @PAC 35262500
PSASV01R DC    F'0'           IEAVTRG1 register 1 save area.       @PAA 35275000
PSASV14R DC    F'0'           IEAVTRG1 register 14 save area.      @PAA 35287500
PSAEMS2R DC    F'-1' -        REGISTER SAVE AREA                        35300000
*                             OWNERSHIP: MEMORY SWITCH.                 35350000
*                             SERIALIZATION: DISABLED.         @G860PXK 35400000
PSATRSAV DS    0XL64  -       TRACE REGISTER SAVE AREA.        @G860PXH 35450000
PSATRGR0 DC    F'-1' -        TRACE REGISTER 0 SAVE AREA.      @G860PXH 35500000
PSATRGR1 DC    F'-1' -        TRACE REGISTER 1 SAVE AREA.      @G860PXH 35550000
PSATRGR2 DC    F'-1' -        TRACE REGISTER 2 SAVE AREA.      @G860PXH 35600000
PSATRGR3 DC    F'-1' -        TRACE REGISTER 3 SAVE AREA.      @G860PXH 35650000
PSATRGR4 DC    F'-1' -        TRACE REGISTER 4 SAVE AREA.      @G860PXH 35700000
PSATRGR5 DC    F'-1' -        TRACE REGISTER 5 SAVE AREA.      @G860PXH 35750000
PSATRGR6 DC    F'-1' -        TRACE REGISTER 6 SAVE AREA.      @G860PXH 35800000
PSATRGR7 DC    F'-1' -        TRACE REGISTER 7 SAVE AREA.      @G860PXH 35850000
PSATRGR8 DC    F'-1' -        TRACE REGISTER 8 SAVE AREA.      @G860PXH 35900000
PSATRGR9 DC    F'-1' -        TRACE REGISTER 9 SAVE AREA.      @G860PXH 35950000
PSATRGRA DC    F'-1' -        TRACE REGISTER 10 SAVE AREA.     @G860PXH 36000000
PSATRGRB DC    F'-1' -        TRACE REGISTER 11 SAVE AREA.     @G860PXH 36050000
PSATRGRC DC    F'-1' -        TRACE REGISTER 12 SAVE AREA.     @G860PXH 36100000
PSATRGRD DC    F'-1' -        TRACE REGISTER 13 SAVE AREA.     @G860PXH 36150000
PSATRGRE DC    F'-1' -        TRACE REGISTER 14 SAVE AREA.     @G860PXH 36200000
PSATRGRF DC    F'-1' -        TRACE REGISTER 15 SAVE AREA.     @G860PXH 36250000
PSARV868 DC    XL64'00' -     RESERVED.                            @L8C 36300000
         DS    0D -           ALIGN PSAGSAV TO DOUBLE WORD     @G860PXK 36462400
PSAGSAV  DS    XL64 -         REGISTER SAVE AREA USED BY                36503000
*                             DISPATCHER AND SCHEDULE          @G860PXK 36543600
         ORG   PSAGSAV                                         @ZMC3284 36584200
PSAFF8A8 DC    (L'PSAGSAV)X'FF'  INITIALIZE FIELD PSAGSAV      @ZMC3284 36624800
PSASCRG1 DC    F'-1' -        GLOBAL SCHEDULE REGISTER SAVE AREA        36665400
*                                                              @G860PXK 36706000
PSASCRG2 DC    F'-1' -        GLOBAL SCHEDULE REGISTER SAVE AREA        36746600
*                                                              @G860PXK 36787200
PSAGPREG DC    3F'-1' -       REGISTER SAVE AREA FOR SVC FLIH           36827800
*                             AND SCHEDULE                     @G860PXK 36868400
PSARSREG DC    F'-1' -        RESTART FLIH REGISTER SAVE       @G860PXK 36909000
PSAPCGR8 DC    F'-1' -        PROGRAM FLIH REGISTER 8 SAVE AREA         36949600
*                                                              @G860PXK 36990200
PSAPCGR9 DC    F'-1' -        PROGRAM FLIH REGISTER 9 SAVE AREA         37030800
*                                                              @G860PXK 37071400
PSAPCGAB DS    0D             PROGRAM FLIH REG 10-11 SAVE AREA     @LSA 37091700
PSAPCGRA DC    F'-1' -        PROGRAM FLIH REGISTER 10 SAVE AREA        37112000
*                                                              @G860PXK 37152600
PSAPCGRB DC    F'-1' -        PROGRAM FLIH REGISTER 11 SAVE AREA        37193200
*                                                              @G860PXK 37233800
         DS    0D -           ALIGN PSALKSA TO DOUBLE WORD     @G860PXK 37275000
PSALKSA  DS    0XL64 -        IEAVELK REGISTER SAVE AREA       @G860PXK 37318700
*                             OWNERSHIP: SUPERVISOR CONTROL             37362400
*                             SERIALIZATION: DISABLEMENT                37406100
PSALKR0  DC    F'-1' -        IEAVELK REGISTER 0 SAVE AREA     @G860PXK 37449800
PSALKR1  DC    F'-1' -        IEAVELK REGISTER 1 SAVE AREA     @G860PXK 37493500
PSALKR2  DC    F'-1' -        IEAVELK REGISTER 2 SAVE AREA     @G860PXK 37537200
PSALKR3  DC    F'-1' -        IEAVELK REGISTER 3 SAVE AREA     @G860PXK 37580900
PSALKR4  DC    F'-1' -        IEAVELK REGISTER 4 SAVE AREA     @G860PXK 37624600
PSALKR5  DC    F'-1' -        IEAVELK REGISTER 5 SAVE AREA     @G860PXK 37668300
PSALKR6  DC    F'-1' -        IEAVELK REGISTER 6 SAVE AREA     @G860PXK 37712000
PSALKR7  DC    F'-1' -        IEAVELK REGISTER 7 SAVE AREA     @G860PXK 37755700
PSALKR8  DC    F'-1' -        IEAVELK REGISTER 8 SAVE AREA     @G860PXK 37799400
PSALKR9  DC    F'-1' -        IEAVELK REGISTER 9 SAVE AREA     @G860PXK 37843100
PSALKR10 DC    F'-1' -        IEAVELK REGISTER 10 SAVE AREA    @G860PXK 37886800
PSALKR11 DC    F'-1' -        IEAVELK REGISTER 11 SAVE AREA    @G860PXK 37930500
PSALKR12 DC    F'-1' -        IEAVELK REGISTER 12 SAVE AREA    @G860PXK 37974200
PSALKR13 DC    F'-1' -        IEAVELK REGISTER 13 SAVE AREA    @G860PXK 38017900
PSALKR14 DC    F'-1' -        IEAVELK REGISTER 14 SAVE AREA    @G860PXK 38061600
PSALKR15 DC    F'-1' -        IEAVELK REGISTER 15 SAVE AREA    @G860PXK 38105300
         DS    0D -           ALIGN PSASLSA TO DOUBLE WORD     @G860PXK 38150000
PSASLSA  DS    XL72 -         SINGLE LEVEL SAVE AREA USED BY DISABLED   38200000
*                             ROUTINES WITH NO DEPENDENCY THAT THE SAVE 38250000
*                             AREA REMAIN INTACT ACROSS A CALL.         38300000
*                             THIS AREA IS NOT MAINTAINED BY RESTART    38337500
*                             PROCESSING THAT RESULTS IN AN ABEND OF    38375000
*                             OF THE INTERRUPTED ROUTINE.      @G860PXK 38412500
         ORG   PSASLSA                                         @ZMC3284 38425000
PSAFF950 DC    (L'PSASLSA)X'FF' INITIALIZE FIELD PSASLSA       @ZMC3284 38437500
PSAJSTSA DC    XL64'00' -     SAVE AREA FOR JOB STEP TIMING        @H1A 38450400
*                             ROUTINE.                                  38463300
*                             OWNERSHIP: SUPERVISOR CONTROL.            38476200
*                             SERIALIZATION: DISABLEMENT.               38489100
         ORG   PSAJSTSA                                            @H1A 38502000
PSAFF998 DC    (L'PSAJSTSA)X'FF' INITIALIZE FIELD PSAJSTSA         @H1A 38514900
PSAUS2ND DS    0D             END SECOND SET OF ASSIGNED           @H1M 38527800
*                             FIELDS SAVED BY ACR.                      38540700
         DS    0D -           ALIGN PSASLKSA TO DOUBLE WORD        @P4A 38541800
PSASLKSA DS    0XL64 -        IEAVESLK REGISTER SAVE AREA          @P4A 38542900
*                             OWNERSHIP: SUPERVISOR CONTROL             38544000
*                             SERIALIZATION: DISABLEMENT                38545100
PSASLKR0 DC    F'-1' -        IEAVESLK REGISTER 0 SAVE AREA        @P4A 38546200
PSASLKR1 DC    F'-1' -        IEAVESLK REGISTER 1 SAVE AREA        @P4A 38547300
PSASLKR2 DC    F'-1' -        IEAVESLK REGISTER 2 SAVE AREA        @P4A 38548400
PSASLKR3 DC    F'-1' -        IEAVESLK REGISTER 3 SAVE AREA        @P4A 38549500
PSASLKR4 DC    F'-1' -        IEAVESLK REGISTER 4 SAVE AREA        @P4A 38550600
PSASLKR5 DC    F'-1' -        IEAVESLK REGISTER 5 SAVE AREA        @P4A 38551700
PSASLKR6 DC    F'-1' -        IEAVESLK REGISTER 6 SAVE AREA        @P4A 38552800
PSASLKR7 DC    F'-1' -        IEAVESLK REGISTER 7 SAVE AREA        @P4A 38553900
PSASLKR8 DC    F'-1' -        IEAVESLK REGISTER 8 SAVE AREA        @P4A 38555000
PSASLKR9 DC    F'-1' -        IEAVESLK REGISTER 9 SAVE AREA        @P4A 38556100
PSASLKRA DC    F'-1' -        IEAVESLK REGISTER 10 SAVE AREA       @P4A 38557200
PSASLKRB DC    F'-1' -        IEAVESLK REGISTER 11 SAVE AREA       @P4A 38558300
PSASLKRC DC    F'-1' -        IEAVESLK REGISTER 12 SAVE AREA       @P4A 38559400
PSASLKRD DC    F'-1' -        IEAVESLK REGISTER 13 SAVE AREA       @P4A 38560500
PSASLKRE DC    F'-1' -        IEAVESLK REGISTER 14 SAVE AREA       @P4A 38561600
PSASLKRF DC    F'-1' -        IEAVESLK REGISTER 15 SAVE AREA       @P4A 38562700
PSARVA18 DC    XL36'00'  -    RESERVED                             @P4A 38563800
PSASCSAV DC    XL64'00'       IEAVESC0 save area                   @P7A 38565900
PSASFLGS DC    XL1'00'        Schedule flags                       @P8A 38568000
*                             Ownership: Supervisor Control             38570100
*                             Serialization: Disablement                38572200
PSASCHDA EQU   X'80'          Schedule is active                   @LPA 38574300
PSAMCHA  EQU   X'40'          Machine Check is active              @06A 38574700
PSARSTA  EQU   X'20'          Restart is active                    @06A 38575100
PSAEGRA  EQU   X'10'          Global Recovery is active            @06A 38575500
PSARTMA  EQU   X'08'          Selected RTM functions are active    @06A 38575900
*                                                                       38576400
PSARVA7D DC    XL3'00'        Reserved for future use - SC1C5      @P8A 38578500
PSARVA80 DC    XL188'00' -    RESERVED                             @P8C 38580600
PSAGSCH7 DC    V(IEAVESC7) -  ENABLED GLOBAL SCHEDULE ENTRY             38583200
*                             POINT                            @G860PXK 38599800
PSAGSCH8 DC    V(IEAVESC8) -  DISABLED GLOBAL SCHEDULE ENTRY            38616400
*                             POINT                            @G860PXK 38633000
PSALSCH1 DC    V(IEAVESC1) -  ENABLED SCHEDULE ENTRY POINT              38650000
*                             (MDC371)                         @G50DP9A 38700000
PSALSCH2 DC    V(IEAVESC2) -  DISABLED SCHEDULE ENTRY POINT             38750000
*                             (MDC372)                         @G50DP9A 38800000
PSASVT   DC    V(IEAVESVT) -  ADDRESS OF SUPERVISOR VECTOR TABLE        38850000
*                             (MDC373)                         @G50DP9A 38900000
PSASVTX  DC    V(IEAVSVTX)    Address of Supervisor Vector Table   @LNC 38914200
*                             extension.                                38928400
*                             SERIALIZATION: None                       38942600
*                             OWNERSHIP: Supervisor Control             38956800
PSARVB54 DC    XL84'00' -     Reserved                             @LNC 38985200
PSAXSTK  DC    F'-1' -        OFFSET TO AND LENGTH OF THE ARRAY OF      39000000
*                             FRR STACK EXTENSION ENTRIES FROM THE      39050000
*                             START OF THE FRR STACK. THIS OFFSET       39100000
*                             FIXED BY ARCHITECTURE.           @G387PXH 39150000
PSARVBAC DC    XL84'00' -     RESERVED                         @G387PXH 39200000
         DS    0D -           ALIGN PSASTAK TO DOUBLE WORD       MDC118 39250000
PSASTAK  DC    856XL1'00' -   NORMAL FRR STACK                     @D5C 39275000
.*                            FRRSTLEN SHOULD CONTAIN THE LENGTH OF     39300000
.*                            THIS FIELD.                               39325000
.*                            WSACACR MAY NEED TO CHANGE IF THIS DOES.  39350000
         DC    168XL1'00' -   RESERVED FOR EXPANSION OF            @D5C 39375000
*                             PSASTAK                                   39400000
PSAEND   DS    0D -           END OF PSA            (MDC612)   @G383P9A 39450000
         ORG   PSA                                                      39457100
         IHAPSAE DSECT=NO,TITLE=NO                                 @LSA 39464200
         ORG   PSA+X'1000'                                              39471300
         POP   PRINT,USING                                     @G860PXK 39478400
         MEND  , -         */                                           39550000
*%PSAL2 : ;                                                             39600000
*  @LISTPUSH;                                              /*@G860PXK*/ 39650000
*  %IF IHALIST='YES'  %THEN                                /*@G860PVB*/ 39700000
*     %GOTO PSA02;                                         /*@G860PVB*/ 39750000
*  @LISTOFF;                                               /*@G860PXK*/ 39800000
*  %PSA02:;                                                /*@G860PVB*/ 39850000
*                                                                       39900000
*                                                                       39950000
*DECLARE                                                                40000000
*%IF PSABASE=''  %THEN                                                  40050000
*    %GOTO PSA0010;                                                     40100000
*  1 PSA      PSABASE BDY(DWORD),                                       40150000
*%GOTO PSA0030;                                                         40200000
*%PSA0010 : ;                                                           40250000
*  1 PSA      LOCATION(0) BDY(DWORD),                                   40300000
*%PSA0030 : ;                                                           40350000
*   2 FLCIPPSW    CHAR(8) BDY(DWORD),    /* IPL PSW          @ZMC1966*/ 40400000
*    3 FLCRNPSW    CHAR(8) BDY(DWORD),   /* RESTART NEW PSW (AFTER      40450000
*                                           IPL)             @ZMC1966*/ 40500000
*   2 FLCICCW1    CHAR(8) BDY(DWORD),    /* IPL CCW1         @ZMC1966*/ 40550000
*    3 FLCROPSW    CHAR(8) BDY(DWORD),   /* RESTART OLD PSW (AFTER      40600000
*                                           IPL)             @ZMC1966*/ 40650000
*   2 FLCICCW2    CHAR(8) BDY(DWORD),    /* IPL CCW2                 */ 40700000
*    3 FLCCVT      PTR(31),              /* ADDRESS OF CVT (AFTER       40750000
*                                           IPL).  THIS OFFSET FIXED    40800000
*                                           BY ARCHITECTURE.            40850000
*                                           (MDC450)         @G50EP9A*/ 40900000
*    3 *           CHAR(4),              /* RESERVED (AFTER IPL)        40950000
*                                           (MDC431)         @ZM48214*/ 41000000
*   2 FLCEOPSW    CHAR(8) BDY(DWORD),    /* EXTERNAL OLD PSW         */ 41050000
*   2 FLCSOPSW    CHAR(8) BDY(DWORD),    /* SVC OLD PSW.  THIS OFFSET   41100000
*                                           FIXED BY ARCHITECTURE.      41150000
*                                           (MDC451)         @G50EP9A*/ 41200000
*   2 FLCPOPSW    CHAR(8) BDY(DWORD),    /* PROGRAM CHECK OLD PSW    */ 41250000
*   2 FLCMOPSW    CHAR(8) BDY(DWORD),    /* MACHINE CHECK OLD PSW    */ 41300000
*   2 FLCIOPSW    CHAR(8) BDY(DWORD),    /* INPUT/OUTPUT OLD PSW     */ 41350000
*   2 *           CHAR(12),              /* RESERVED         @G860PXK*/ 41400000
*   2 FLCCVT2     PTR(31),               /* ADDRESS OF CVT - USED BY    41450000
*                                           DUMP ROUTINES      ICB319*/ 41500000
*   2 *           CHAR(4),               /* RESERVED.        @G860PXH*/ 41550000
*   2 *           CHAR(4),               /* RESERVED - FLCTRACE         41600000
*                                           DELETED DUE TO SYSTEM       41650000
*                                           TRACE REDESIGN.  @G860PXK*/ 41700000
*   2 FLCENPSW    CHAR(8) BDY(DWORD),    /* EXTERNAL NEW PSW         */ 41800000
*   2 FLCSNPSW    CHAR(8) BDY(DWORD),    /* SVC NEW PSW              */ 41850000
*   2 FLCPNPSW    CHAR(8) BDY(DWORD),    /* PROGRAM CHECK NEW PSW    */ 41900000
*   2 FLCMNPSW    CHAR(8) BDY(DWORD),    /* MACHINE CHECK NEW PSW    */ 41950000
*   2 FLCINPSW    CHAR(8) BDY(DWORD),    /* INPUT/OUTPUT NEW PSW     */ 42000000
*   2 PSAEPARM    FIXED(31),             /* EXTERNAL INTERRUPTION       42050000
*                                           PARAMETER FIELD             42100000
*                                                   (MDC473) @G871A9A*/ 42150000
*   2 PSAEEPSW    CHAR(4) BDY(WORD),     /* EXTENDED PSW DATA STORED    42200000
*                                           ON EXTERNAL INTERRUPT       42250000
*                                                              MDC084*/ 42300000
*    3 PSASPAD     FIXED(15),            /* ISSUING PROCESSOR'S         42350000
*                                           PHYSICAL ADDRESS ON MFA,    42400000
*                                           EMS, OR EXTERNAL CALL       42450000
*                                           INTERRUPT          MDC046*/ 42500000
*    3 FLCEICOD    FIXED(15),            /* EXTERNAL INTERRUPTION       42550000
*                                           CODE                     */ 42600000
*   2 PSAESPSW    CHAR(4) BDY(WORD),     /* EXTENDED PSW DATA STORED    42650000
*                                           ON SVC INTERRUPT   MDC085*/ 42700000
*    3 *           CHAR(1),              /* RESERVED - SET TO ZERO   */ 42750000
*    3 FLCSVILC    FIXED(8),             /* SVC INSTRUCTION LENGTH      42800000
*                                           COUNTER - NUMBER OF         42850000
*                                           BYTES.  THIS OFFSET FIXED   42900000
*                                           BY ARCHITECTURE.            42950000
*                                           (MDC454)         @G50EP9A*/ 43000000
*     4 *        BIT(5),                 /* ALWAYS ZERO              */ 43050000
*     4 FLCSILCB BIT(3),                 /* SIGNIFICANT BITS IN ILC     43100000
*                                           FIELD - LAST BIT IS         43150000
*                                           ALWAYS ZERO        MDC080*/ 43200000
*    3 FLCSVCN     FIXED(15),            /* SVC INTERRUPTION CODE -     43250000
*                                           SVC NUMBER.  THIS OFFSET    43300000
*                                           FIXED BY ARCHITECTURE.      43350000
*                                           (MDC455)         @G50EP9A*/ 43400000
*   2 PSAEPPSW    CHAR(8) BDY(WORD),     /* EXTENDED PSW FOR PROGRAM    43450000
*                                           INTERRUPT          MDC086*/ 43500000
*    3 *           CHAR(1),              /* RESERVED - SET TO ZERO   */ 43550000
*    3 FLCPIILC    FIXED(8),             /* PROGRAM INSTRUCTION         43600000
*                                           LENGTH COUNTER - NUMBER     43650000
*                                           OF BYTES IN INSTRUCTION     43700000
*                                           CAUSING PROGRAM             43750000
*                                           INTERRUPTION. THIS OFFSET   43800000
*                                           FIXED BY ARCHITECTURE.      43850000
*                                           (MDC456)         @G50EP9A*/ 43900000
*     4 *        BIT(5),                 /* ALWAYS ZERO              */ 43950000
*     4 FLCPILCB BIT(3),                 /* SIGNIFICANT BITS IN ILC     44000000
*                                           FIELD - LAST BIT IS         44050000
*                                           ALWAYS ZERO        MDC083*/ 44100000
*    3 FLCPICOD    FIXED(15),            /* PROGRAM INTERRUPTION        44150000
*                                           CODE                     */ 44200000
*     4 PSAEECOD    FIXED(8),            /* EXCEPTION-EXTENSION CODE.   44250000
*                                                                @03C*/ 44300000
*     4 PSAPICOD    FIXED(8),            /* 8-BIT INTERRUPT CODE.       44350000
*                                           THIS OFFSET FIXED BY        44400000
*                                           ARCHITECTURE.               44450000
*                                           (MDC457)         @G50EP9A*/ 44500000
*      5 PSAPIPER BIT(1),                /* PER INTERRUPT OCCURRED      44550000
*                                                              MDC089*/ 44600000
*      5 PSAPIMC  BIT(1),                /* MONITOR CALL INTERRUPT      44650000
*                                           OCCURRED           MDC090*/ 44700000
*      5 PSAPIPC  BIT(6),                /* AN UNSOLICITED PROGRAM      44750000
*                                           CHECK HAS OCCURRED IF ANY   44800000
*                                           OF THESE 6 BITS ARE ON      44850000
*                                                              MDC091*/ 44900000
*    3 FLCTEA      PTR(31),              /* TRANSLATION EXCEPTION       44950000
*                                           ADDRESS.  THIS OFFSET       45000000
*                                           FIXED BY ARCHITECTURE.      45050000
*                                                            @G860PXK*/ 45100000
*      4 FLCTEAXM  BIT(1),               /* IF 0 FLCTEA IS RELATIVE TO  45108300
*                                           PRIMARY SEGMENT TABLE,      45116600
*                                           IF 1 FLCTEA IS RELATIVE TO  45124900
*                                           SECONDARY SEGMENT TABLE     45133200
*                                                            @G860PXK*/ 45141500
*      4 *         BIT(23),              /*                      @L8A*/ 45142100
*      4 FLCDXC    FIXED(8),             /* Data exception code,        45142300
*                                           only for PI 7        @LRA*/ 45142500
*        5 FLCTEAB3 BIT(8),              /* LAST BYTE OF TEA     @L8A*/ 45142700
*          6 *       BIT(5),             /*                      @LQC*/ 45142900
*          6 FLCSOPI BIT(1),             /* Suppression on protection   45143100
*                                           indicator            @LQA*/ 45143300
*          6 FLCTSTD BIT(2),             /* STD FIELD - LAST TWO BITS   45143700
*                                           OF FLCTEA:                  45144100
*                                           '00' - PRIMARY STD USED     45144500
*                                           '01' - STD WAS AR QUALIFIED 45144900
*                                           '10' - SECONDARY STD USED   45145300
*                                           '11' - HOME STD USED.       45145700
*                                                                @L8A*/ 45146100
*%FLCTSTDP='''00''B';                    /* THE PRIMARY STD WAS USED.   45146500
*                                                                @L8A*/ 45146900
*%FLCTSTDA='''01''B';                    /* THE STD WAS AR QUALIFIED.   45147300
*                                                                @L8A*/ 45147700
*%FLCTSTDS='''10''B';                    /* THE SECONDARY STD WAS USED. 45148100
*                                                                @L8A*/ 45148500
*%FLCTSTDH='''11''B';                    /* THE HOME STD WAS USED.      45148900
*                                                                @L8A*/ 45149300
*   2 *           CHAR(1),               /* RESERVED - SET TO ZERO   */ 45150000
*   2 FLCMCNUM    FIXED(8),              /* MONITOR CLASS NUMBER     */ 45200000
*   2 FLCPERCD    CHAR(1),               /* PROGRAM EVENT RECORDING     45250000
*                                           CODE                     */ 45300000
*   2 FLCATMID    CHAR(1),               /* ATM ID               @LSA*/ 45316600
*   2 FLCPER      PTR(31),               /* PER ADDRESS (ESA/390)    */ 45333200
*   2 *           CHAR(1),               /* RESERVED - SET TO ZERO   */ 45350000
*   2 FLCMTRCD    CHAR(3),               /* MONITOR CODE (ESA/390)   */ 45400000
*   2 FLCTEARN    FIXED(8),              /* CONTAINS THE ACCESS         45514200
*                                           REGISTER NUMBER INVOLVED    45528400
*                                           IN THE TRANSLATION          45542600
*                                           EXCEPTION IF BITS 30-31 OF  45556800
*                                           THE TEA='01'.        @L8C*/ 45571000
*   2 FLCPERRN    CHAR(1),               /* CONTAINS THE PER STORAGE    45576800
*                                           ACCESS REGISTER NUMBER      45582600
*                                                                @L8A*/ 45588400
*   2 *           CHAR(1),               /* RESERVED             @LSC*/ 45588700
*   2 FLCARCH     CHAR(1),               /* Architecture info    @LSA*/ 45589000
*     4 *        BIT(7),                 /*                      @LSA*/ 45593900
*     4 PSAZARCH BIT(1),                 /* z/Architecture       @LSA*/ 45595900
*       5 PSAESAME BIT(1),               /* z/Architecture       @LSA*/ 45597900
*   2 PSAMPL      PTR(31),               /* MPL ADDRESS.  THIS OFFSET   45600000
*                                           FIXED BY ARCHITECTURE.      45650000
*                                           (MDC418)         @G50NP9A*/ 45700000
*   2 *           CHAR(344) BDY(DWORD),  /* MACHINE CHECK LOGOUT        45750000
*                                           AREA             @G860PVB*/ 45800000
*    3 *           CHAR(16),             /* RESERVED (ESA/390)       */ 45850000
*    3 FLCIOCDP    CHAR(8),              /* I/O INFORMATION CODE        45900000
*                                                            @G860PVB*/ 45950000
*     4 FLCSID      CHAR(4),             /* SUBSYSTEM ID     @G860PVB*/ 46000000
*     4 FLCIOFP     CHAR(4),             /* I/O INTERRUPTION PARAMETER  46050000
*                                                            @G860PVB*/ 46100000
*    3 *           CHAR(8),              /* RESERVED             @LRC*/ 46102000
*    3 FLCFACL     CHAR(4),              /* Facilities List.            46104000
*                          See FlceFacilitiesList in IHAPSAE for        46106000
*                          description                           @LSA*/ 46108000
*    3 *           CHAR(8),              /* RESERVED             @LRC*/ 46110000
*    3 FLCESAR     PTR(31),              /* Absolute address of         46112400
*                                           extended save area   @LRA*/ 46118700
*    3 FLCCTSA     CHAR(8),              /* CPU-TIMER SAVE AREA (FROM   46125000
*                                           STORE-STATUS OR MACHINE-    46137500
*                                           CHECK)  (ESA/390)    @LHA*/ 46150000
*    3 FLCCCSA     CHAR(8),              /* CLOCK-COMPARATOR SAVE AREA  46162500
*                                           (FROM STORE-STATUS OR       46175000
*                                           MACHINE-CHECK)              46183300
*                                           (ESA/390)            @LHA*/ 46191600
*    3 FLCMCIC     CHAR(8),              /* MACHINE-CHECK INTERRUPTION  46200000
*                                           CODE             @G860PVB*/ 46250000
*    3 *           CHAR(8),              /* RESERVED - SET TO ZERO      46300000
*                                                            @ZMC2173*/ 46350000
*    3 FLCFSA      PTR(31),              /* FAILING STORAGE ADDRESS     46450000
*                                           (ESA/390)                */ 46491600
*    3 *           CHAR(4),              /* RESERVED - SET TO ZERO      46533300
*                                           (ESA/390)                */ 46554100
*    3 FLCFLA      CHAR(16) BDY(WORD),   /* FIXED LOGOUT AREA.  SIZE    46574900
*                                           FIXED BY ARCHITECTURE       46583200
*                                                                @L9C*/ 46591500
*    3 FLCRV110    CHAR(16) BDY(WORD),   /* RESERVED.            @L9A*/ 46599800
*    3 FLCARSAV    (16) FIXED(32),       /* ACCESS REGISTER SAVE        46614400
*                                           AREA                 @L9A*/ 46629000
*    3 FLCFPSAV    CHAR(32) BDY(DWORD),  /* FLOATING POINT REGISTER     46650000
*                                           SAVE AREA                */ 46700000
*    3 FLCGRSAV (16) FIXED(31),          /* GENERAL REGISTER SAVE       46750000
*                                           AREA                     */ 46800000
*    3 FLCCRSAV (16) FIXED(31),          /* CONTROL REGISTER SAVE       46850000
*                                           AREA                     */ 46900000
*   2 FLCHDEND    CHAR(0) BDY(DWORD),    /* END OF HARDWARE             46950000
*                                           ASSIGNMENTS              */ 47000000
*   2 PSAPSA      CHAR(4) BDY(WORD),     /* CONTROL BLOCK ACRONYM IN    47050000
*                                           EBCDIC                   */ 47100000
*   2 PSACPUPA    FIXED(15),             /* PHYSICAL CPU ADDRESS        47150000
*                                           (CHANGED DURING ACR) @PCC*/ 47200000
*   2 PSACPULA    FIXED(15),             /* LOGICAL CPU ADDRESS  @PCC*/ 47250000
*   2 PSAPCCAV    PTR(31),               /* VIRTUAL ADDRESS OF PCCA  */ 47350000
*   2 PSAPCCAR    PTR(31),               /* REAL ADDRESS OF PCCA     */ 47400000
*   2 PSALCCAV    PTR(31),               /* VIRTUAL ADDRESS OF LCCA  */ 47450000
*   2 PSALCCAR    PTR(31),               /* REAL ADDRESS OF LCCA     */ 47500000
*   2 PSATNEW     PTR(31),               /* TCB pointer. Field          47528900
*                                           maintained for code         47557800
*                                           compatability with previous 47586700
*                                           MVS releases. DO NOT USE.   47615600
*                                                                @LQC*/ 47644500
*   2 PSATOLD     PTR(31),               /* Pointer to current TCB or   47673400
*                                           zero if in SRB mode. Field  47702300
*                                           offset fixed by             47731200
*                                           architecture.        @LQC*/ 47760100
*   2 PSAANEW     PTR(31),               /* ASCB pointer. Field         47789000
*                                           maintained for code         47817900
*                                           compatability with previous 47846800
*                                           MVS releases. DO NOT USE.   47875700
*                                                                @LQC*/ 47904600
*   2 PSAAOLD     PTR(31),               /* Pointer to home (current)   47933500
*                                           ASCB. Architecture is       47962400
*                                           dependent on the offset of  47991300
*                                           this field.          @LQC*/ 48020200
*   2 PSASUPER    CHAR(4) BDY(WORD),     /* SUPERVISOR CONTROL WORD.    48050000
*                                           THIS OFFSET FIXED BY        48100000
*                                           ARCHITECTURE.               48150000
*                                           (MDC462)         @G50EP9A*/ 48200000
*    3 PSASUP1     BIT(8),               /* FIRST BYTE OF PSASUPER   */ 48250000
*     4 PSAIO    BIT(1),                 /* I/O FLIH                 */ 48300000
*     4 PSASVC   BIT(1),                 /* SVC FLIH                 */ 48350000
*     4 PSAEXT   BIT(1),                 /* EXTERNAL FLIH            */ 48400000
*     4 PSAPI    BIT(1),                 /* PROGRAM CHECK FLIH       */ 48450000
*     4 PSALOCK  BIT(1),                 /* LOCK ROUTINE             */ 48500000
*     4 PSADISP  BIT(1),                 /* DISPATCHER               */ 48550000
*     4 PSATCTL  BIT(1),                 /* TCTL RECOVERY FLAG          48600000
*                                           (MDC310)         @Z40FP9A*/ 48650000
*     4 PSATYPE6 BIT(1),                 /* TYPE 6 SVC IN CONTROL       48700000
*                                           (MDC311)         @Z40FP9A*/ 48750000
*    3 PSASUP2     BIT(8),               /* SECOND BYTE OF PSASUPER  */ 48800000
*     4 PSAIPCRI BIT(1),                 /* REMOTE IMMEDIATE SIGNAL     48850000
*                                           SERVICE ROUTINE. (IEAVERI)  48900000
*                                                            @G860PXK*/ 48950000
*     4 PSASVCR  BIT(1),                 /* SUPER FRR USES FOR          49000000
*                                           SVC FLIH RECURSION          49050000
*                                           TRACKING         @ZMC3227*/ 49100000
*     4 PSASVCRR BIT(1),                 /* SVC RECOVERY RECURSION      49128500
*                                           INDICATOR.                  49157000
*                                           OWNER: SUPERVISOR CONTROL.  49185500
*                                           SERIALIZATION: DISABLEMENT. 49214000
*                                                                @L6A*/ 49242500
*     4 *        BIT(2),                 /* RESERVED             @L6C*/ 49271000
*     4 PSAACR   BIT(1),                 /* AUTOMATIC CPU               49300000
*                                           RECONFIGURATION (ACR) IN    49350000
*                                           CONTROL            MDC119*/ 49400000
*     4 PSARTM   BIT(1),                 /* RECOVERY TERMINATION        49450000
*                                           MONITOR (RTM) IN CONTROL    49500000
*                                                              MDC120*/ 49550000
*     4 PSALCR   BIT(1),                 /* USED BY RTM TO SERIALIZE    49587500
*                                           CALLS OF THE SUPERVISOR     49625000
*                                           ANALYSIS ROUTER      @L5C*/ 49662500
*    3 PSASUP3     BIT(8),               /* THIRD BYTE OF PSASUPER   */ 49700000
*     4 PSAIOSUP BIT(1),                 /* IF ON, A MAINLINE IOS       49750000
*                                           COMPONENT SUCH AS CHANNEL   49800000
*                                           SCHEDULER HAS ENTERED A     49850000
*                                           PHYSICALLY DISABLED STATE   49900000
*                                           WITHOUT REGARD TO LOCKING   49950000
*                                           REQUIREMENTS       MDC127*/ 50000000
*     4 *        BIT(2),                 /* RESERVED         @G860PXK*/ 50050000
*     4 PSASPR   BIT(1),                 /* SUPER FRR IS ACTIVE         50100000
*                                           (MDC305)         @ZA02995*/ 50150000
*     4 PSAESTA  BIT(1),                 /* SVC 60 RECOVERY ROUTINE     50200000
*                                           ACTIVE  (MDC312) @G50DP9A*/ 50250000
*     4 PSARSM   BIT(1),                 /* REAL STORAGE MANAGER        50300000
*                                           (RSM) ENTERED FOR PAGE      50350000
*                                           FIX  (MDC321)    @G50DP9A*/ 50400000
*     4 PSAULCMS BIT(1),                 /* LOCK MANAGER                50450000
*                                           UNCONDITIONAL LOCAL OR      50500000
*                                           CMS LOCK ROUTINES           50550000
*                                           (MDC469)         @ZA28594*/ 50600000
*     4 PSASLIP BIT(1),                  /* IEAVTSLP RECURSION          50650000
*                                           CONTROL BIT                 50700000
*                                           (MDC471)         @G65RP9A*/ 50750000
*    3 PSASUP4     BIT(8),               /* FOURTH BYTE OF PSASUPER  */ 50800000
*     4 PSALDWT  BIT(1),                 /* BLWLDWT IS IN CONTROL TO    50850000
*                                           LOAD A RESTARTABLE OR NON-  50900000
*                                           RESTARTABLE WAIT STATE CODE 50950000
*                                           OWNERSHIP: LDWT      @LHC*/ 51000000
*     4 PSASMF   BIT(1),                 /* SMF SUSPEND/RESET           51050000
*                                           (MDC599)         @G743PBB*/ 51100000
*     4 PSAESAR  BIT(1),                 /* SUPERVISOR ANALYSIS ROUTER  51150000
*                                           IS ACTIVE            @L5C*/ 51200000
*     4 *        BIT(5),                 /* RESERVED             @P2C*/ 51350000
*   2 PSARV22C    CHAR(16),              /* RESERVED             @H1C*/ 51353100
*   2 PSAPTYPE    CHAR(1),               /* PROCESSOR TYPE INDICATOR.   51356200
*                                           OWNERSHIP: SUPERVISOR       51359300
*                                           CONTROL.                    51362400
*                                           SERIALIZATION:              51365500
*                                             READ = NONE               51368600
*                                             WRITE = DISABLEMENT       51371700
*                                                                @H1A*/ 51374800
*     3 PSAAXP     BIT(1),               /* INDICATES AXP.       @H1A*/ 51377900
*     3 *          BIT(7),               /* RESERVED             @H1A*/ 51381000
*   2 PSAILS      CHAR(1),               /* INTERRUPT HANDLER LINKAGE   51381400
*                                           STACK INDICATORS.    @L9C*/ 51381800
*     3 PSAILSIO   BIT(1),               /* THE I/O FLIH IS USING       51382200
*                                           THE INTERRUPT HANDLER       51382600
*                                           LINKAGE STACK.       @L9A*/ 51383000
*     3 PSAILSEX   BIT(1),               /* THE EXTERNAL FLIH IS USING  51383400
*                                           THE INTERRUPT HANDLER       51383800
*                                           LINKAGE STACK.       @L9A*/ 51384200
*     3 PSAILSPC   BIT(1),               /* THE PROGRAM FLIH IS USING   51384600
*                                           THE INTERRUPT HANDLER       51385000
*                                           LINKAGE STACK.       @L9A*/ 51385400
*     3 PSAILSDS   BIT(1),               /* THE DISPATCHER IS USING     51385800
*                                           THE INTERRUPT HANDLER       51386200
*                                           LINKAGE STACK.       @L9A*/ 51386600
*     3 PSAILSRS   BIT(1),               /* THE RESTART FLIH IS USING   51386700
*                                           THE INTERRUPT HANDLER       51386800
*                                           LINKAGE STACK.       @L9A*/ 51386900
*     3 PSAILSOR   BIT(1),               /* EXIT IS USING THE INTERRUPT 51387000
*                                           HANDLER LINKAGE STACK@LAA*/ 51387100
*     3 PSAILST6   BIT(1),               /* TYPE 6 SVC IS USING THE     51389200
*                                           INTERRUPT HANDLER LINKAGE   51391300
*                                           STACK                @D2A*/ 51393400
*     3 PSAILSLK   BIT(1),               /* THE INTERRUPT HANDLER       51394100
*                                           LINKAGE STACK IS ACTIVE     51394800
*                                           BECAUSE THE RSM LOCK OR     51395500
*                                           A LOCK HIGHER THAN THE      51396200
*                                           RSM LOCK IS HELD.    @D4A*/ 51396900
*   2 PSALSVCI    FIXED(15),             /* LAST SVC ISSUED ON          51397600
*                                           THIS PROCESSOR PRIOR TO     51400000
*                                           ENABLEMENT BY THE SVC       51412500
*                                           FLIH                 @L6A*/ 51425000
*   2 PSAFLAGS    CHAR(1),               /* SYSTEM FLAGS                51425600
*                                           OWNERSHIP: SUPERVISOR       51426200
*                                           CONTROL.                    51426800
*                                           SERIALIZATION: DISABLEMENT  51427400
*                                                                @LOA*/ 51428000
*     3 PSAAEIT    BIT(1),               /* ADDRESSING ENVIRONMENT IS   51428600
*                                           IN TRANSITION. INDICATES    51429200
*                                           THAT THE SPACE TYPE         51429400
*                                           (ADDRESS SPACE OR SUBSPACE) 51429600
*                                           ASSOCIATED WITH PASN OR     51429800
*                                           SASN IS UNKNOWN.     @LOA*/ 51430000
*     3 PSAFPAC   BIT(1),                /* FP simulation is active     51430200
*                                           on this CPU.         @08A*/ 51430400
*     3 PSAFPPE   BIT(1),                /* Program-interrupt expected  51430600
*                                           (i.e., accessing user       51430800
*                                           data).               @08A*/ 51431000
*   2 PSARV241    CHAR(10),              /* RESERVED FOR SC1C5   @LOC*/ 51432000
*   2 PSASCAFF    CHAR(1),               /* $$SCAFFOLD                  51432400
*                                           copy of FLCARCH          */ 51432800
*     3 PSAEMEMA  BIT(1),                /* $$SCAFFOLD                  51432900
*                                           z/Architecture machine   */ 51433000
*   2 PSALKCRF    PTR(31),               /* LINKAGE STACK POINTER       51433200
*                                           SAVE AREA. USED WHEN THE    51437300
*                                           RSM OR ANY LOCK ABOVE THE   51441400
*                                           RSM LOCK IS HELD.    @D4A*/ 51445500
*   2 PSAMPSW     CHAR(8) BDY(DWORD),    /* SETLOCK MODEL PSW        */ 51450000
*     3 *         BIT(6),                /* RESERVED         @G860PXK*/ 51500000
*     3 PSAPIOM   BIT(1),                /* INPUT/OUTPUT INTERRUPT      51550000
*                                           MASK             @G860PXK*/ 51600000
*     3 PSAPEXM   BIT(1),                /* EXTERNAL INTERRUPT          51650000
*                                           MASK             @G860PXK*/ 51700000
*   2 PSAMCHEX    CHAR(8) BDY(DWORD),    /* MCH EXIT PSW             */ 51750000
*   2 PSATCLIN    CHAR(4) BDY(WORD),     /* STOSM INSTRUCTION used by:  51782600
*                                           IEAVETCL and IEAVSCHA.      51815200
*                                           OWNERSHIP: SUPERVISOR CNTL. 51847800
*                                           SERIALIZATION: DISABLEMENT. 51880400
*                                                            @G860PXK*/ 51913000
*   2 PSAINTIN    CHAR(4) BDY(WORD),     /* STOSM INSTRUCTION USED BY   51945600
*                                           IEAVEINT.                   51978200
*                                           OWNERSHIP: SUPERVISOR CNTL. 52010800
*                                           SERIALIZATION: DISABLEMENT. 52043400
*                                                            @G860PXK*/ 52076000
*   2 PSAIPCIN    CHAR(4) BDY(WORD),     /* STOSM INSTRUCTION USED BY   52108600
*                                           IPC ROUTINES.               52141200
*                                           OWNERSHIP: SUPERVISOR CNTL. 52173800
*                                           SERIALIZATION: DISABLEMENT. 52206400
*                                                            @G860PXK*/ 52239000
*     3 *         CHAR(1),               /* RESERVED         @G860PXK*/ 52271600
*     3 PSAIPCSM  CHAR(1),               /* LABEL FOR SYSTEM MASK USED  52304200
*                                           IN ABOVE INSTRUCTION.       52336800
*                                           OWNERSHIP: SUPERVISOR CNTL. 52369400
*                                                            @G860PXK*/ 52402000
*     3 *         CHAR(2),               /* RESERVED         @G860PXK*/ 52434600
*   2 PSAEMS2S    CHAR(4),               /* STOSM INSTRUCTION USED BY   52436800
*                                           IEAVEMS0.                   52439000
*                                           OWNERSHIP: SUPERVISOR CNTL. 52441200
*                                           SERIALIZATION: DISABLEMENT. 52443400
*                                                            @G860PXK*/ 52445600
*     3 *         CHAR(1),               /* RESERVED         @G860PXK*/ 52447800
*     3 PSAEMS2M  CHAR(1),               /* LABEL FOR SYSTEM MASK USED  52450000
*                                           IN ABOVE INSTRUCTION.       52452200
*                                           OWNERSHIP: SUPERVISOR CNTL. 52454400
*                                                            @G860PXK*/ 52456600
*     3 *         CHAR(2),               /* RESERVED         @G860PXK*/ 52458800
*   2 PSASTOSM    CHAR(4) BDY(WORD),     /* STOSM INSTRUCTION. IN ORDER 52461000
*                                           TO USE THIS FIELD, MOVE THE 52463200
*                                           SYSTEM MASK TO PSASTSSM AND 52465400
*                                           IMMEDIATELY ISSUE           52467600
*                                           EX 0,PSASTOSM. THE SYSTEM   52469800
*                                           MASK FIELD (PSASTSSM) IS    52472000
*                                           NOT PRESERVED ACROSS CALLS  52474200
*                                           AND SHOULD NOT BE USED TO   52476400
*                                           SAVE THE SYSTEM MASK.       52478600
*                                           OWNERSHIP: NA.              52480800
*                                           SERIALIZATION: DISABLEMENT. 52483000
*                                                            @G860PXK*/ 52485200
*     3 *         CHAR(1),               /* RESERVED         @G860PXK*/ 52487400
*     3 PSASTSSM  CHAR(1),               /* LABEL FOR SYSTEM MASK USED  52489600
*                                           IN ABOVE INSTRUCTION.       52491800
*                                           OWNERSHIP: NA.   @G860PXK*/ 52494000
*     3 *         CHAR(2),               /* RESERVED         @G860PXK*/ 52496200
*   2 PSAHLHIS    FIXED(31),             /* SAVE AREA FOR PSAHLHI       52500000
*                                                              MDC050*/ 52550000
*   2 PSARECUR    CHAR(1),               /* RESTART FLIH RECURSION      52600000
*                                           INDICATOR.  IF X'00',       52650000
*                                           FLIH NOT IN CONTROL.  IF    52700000
*                                           X'FF', FLIH IN CONTROL,     52750000
*                                           ENTRY IS RECURSIVE MDC093*/ 52800000
*   2 PSARSSM     CHAR(1),               /* STNSM AREA FOR IEAVERES     52833300
*                                                                @L5C*/ 52866600
*   2 PSASNSM2    CHAR(1),               /* STNSM AREA FOR IEAVTRT1     52900000
*                                           (MDC470)         @G65RP9A*/ 52950000
*   2 PSARTM1S    CHAR(1),               /* BITS 0-7 OF THE CURRENT     53000000
*                                           PSW ARE STORED HERE         53050000
*                                           WHENEVER PSARTM1R IS        53100000
*                                           EXECUTED IN RTM.            53150000
*                                                   (MDC603) @G383P9A*/ 53200000
*   2 PSALWTSA    PTR(31),               /* REAL ADDRESS OF SAVE AREA   53240000
*                                           USED WHEN A RESTARTABLE     53280000
*                                           WAIT STATE IS LOADED.       53320000
*                                           OWNERSHIP: LDWT      @LHC*/ 53360000
*   2 PSACLHT     CHAR(116) BDY(WORD),   /* CPU LOCKS TABLE  @G50DP9A*/ 53400000
*    3 PSACLHT1    CHAR(80) BDY(WORD),   /* SPIN LOCKS TABLE @G860PXH*/ 53450000
*      4 PSADISPL    PTR(31),            /* GLOBAL DISPATCHER LOCK   */ 53500000
*      4 PSAASML     PTR(31),            /* AUXILIARY STORAGE           53550000
*                                           MANAGEMENT (ASM) LOCK       53600000
*                                                              MDC002*/ 53650000
*      4 PSASALCL    PTR(31),            /* SPACE ALLOCATION LOCK       53700000
*                                                              MDC003*/ 53750000
*      4 PSAIOSSL    PTR(31),            /* IOS SYNCHRONIZATION LOCK    53800000
*                                                              MDC010*/ 53850000
*      4 PSARSMDL    PTR(31),            /* ADDRESS OF THE RSM DATA     53900000
*                                           SPACE LOCK           @LBC*/ 53950000
*      4 PSAIOSUL    PTR(31),            /* IOS UNIT CONTROL BLOCK      54000000
*                                           LOCK               MDC005*/ 54050000
*      4 PSARVLK1    PTR(31),            /* RESERVED LOCK    @G860PXK*/ 54100000
*      4 PSARV29C    PTR(31),            /* RESERVED FOR LOCK EXPANSION 54140000
*                                                                @LDA*/ 54180000
*      4 PSARV2A0    PTR(31),            /* RESERVED FOR LOCK EXPANSION 54220000
*                                                                @LDA*/ 54260000
*      4 PSATPACL    PTR(31),            /* TCAM'S TPACBDEB LOCK        54300000
*                                                              MDC009*/ 54350000
*      4 PSAOPTL     PTR(31),            /* OPTIMIZER LOCK           */ 54400000
*      4 PSARSMGL    PTR(31),            /* RSM GLOBAL LOCK  @G860PXH*/ 54450000
*      4 PSAVFIXL    PTR(31),            /* VSM FIXED SUBPOOLS LOCK     54500000
*                                                            @G860PXH*/ 54550000
*      4 PSAASMGL    PTR(31),            /* ASM GLOBAL LOCK  @G860PXH*/ 54600000
*      4 PSARSMSL    PTR(31),            /* RSM STEAL LOCK   @G860PXH*/ 54650000
*      4 PSARSMXL    PTR(31),            /* RSM CROSS MEMORY LOCK       54700000
*                                                            @G860PXH*/ 54750000
*      4 PSARSMAL    PTR(31),            /* RSM ADDRESS SPACE LOCK      54800000
*                                                            @G860PXH*/ 54850000
*      4 PSAVPAGL    PTR(31),            /* VSM PAGEABLE SUBPOOLS LOCK  54900000
*                                                            @G860PXH*/ 54950000
*      4 PSARSMCL    PTR(31),            /* RSM COMMON LOCK  @G860PXK*/ 55000000
*%PSALKS1='19';                          /* COUNT OF LOCKS IN CLHT1     55050000
*                                                            @G860PXK*/ 55100000
*      4 PSARVLK2    PTR(31),            /* RESERVED LOCK    @G860PXH*/ 55150000
*     3 PSACLHT2     CHAR(16) BDY(WORD), /* SHARED EXCLUSIVE LOCKS      55200000
*                                           TABLE            @G860PXH*/ 55250000
*      4 PSARSML     PTR(31),            /* RSM GLOBAL FUNCTION/        55300000
*                                           RECOVERY LOCK    @G860PXH*/ 55350000
*        5 PSARSMEX  BIT(1),             /* BIT 0 OF PSARSML. IF ON,    55400000
*                                           THE RSM LOCK IS HELD        55450000
*                                           EXCLUSIVE.       @G860PXH*/ 55500000
*      4 PSATRCEL    PTR(31),            /* TRACE BUFFER MANAGEMENT     55550000
*                                           LOCK             @G860PXH*/ 55600000
*        5 PSATRCEX  BIT(1),             /* BIT 0 OF PSATRCEL. IF ON,   55650000
*                                           THE TRACE LOCK IS HELD      55700000
*                                           EXCLUSIVE.       @G860PXH*/ 55750000
*      4 PSAIOSL     PTR(31),            /* IOS LOCK             @D3C*/ 55835500
*        5 PSAIOSEX  BIT(1),             /* BIT 0 OF PSAIOSL. IF ON,    55864000
*                                           THE IOS LOCK IS HELD        55892500
*                                           EXCLUSIVE.           @D3A*/ 55921000
*%PSALKS2='3';                           /* COUNT OF LOCKS IN CLHT2     55930600
*                                                                @D3C*/ 55940200
*      4 PSARVLK4    PTR(31),            /* RESERVED LOCK    @G860PXH*/ 55950000
*     3 PSACLHT3     CHAR(8) BDY(WORD),  /* SPECIAL LOCKS TABLE         56000000
*                                                            @G860PXH*/ 56050000
*      4 PSACPUL     PTR(31),            /* CPU LOCK         @G860PXH*/ 56100000
*%PSALKS3='1';                           /* COUNT OF LOCKS IN CLHT3     56150000
*                                                            @G860PXH*/ 56200000
*      4 PSARVLK5    PTR(31),            /* RESERVED LOCK    @G860PXH*/ 56250000
*     3 PSACLHT4     CHAR(12) BDY(WORD), /* SUSPEND LOCKS TABLE         56300000
*                                                            @G860PXH*/ 56350000
*      4 PSACMSL     PTR(31),            /* CROSS MEMORY SERVICES       56400000
*                                           LOCK  (MDC463)   @ZM45800*/ 56450000
*      4 PSALOCAL    PTR(31),            /* LOCAL LOCK               */ 56500000
*%PSALKS4='2';                           /* COUNT OF LOCKS IN CLHT4     56550000
*                                                            @G860PXH*/ 56600000
*      4 PSARVLK6    PTR(31),            /* RESERVED LOCK    @G860PXH*/ 56650000
*   2 PSALCPUA    PTR(31),               /* LOGICAL CPU ADDRESS FOR     56700000
*                                           LOCK INSTRUCTION.  THIS     56750000
*                                           OFFSET FIXED BY             56800000
*                                           ARCHITECTURE.               56850000
*                                           (MDC421)         @G50NP9A*/ 56900000
*   2 PSAHLHI     CHAR(4) BDY(WORD),     /* HIGHEST LOCK HELD           56950000
*                                           INDICATOR.  THIS OFFSET     57000000
*                                           FIXED BY ARCHITECTURE.      57050000
*                                           (MDC464)         @G50EP9A*/ 57100000
*    3 PSACLHS     BIT(32) BDY(WORD),    /* CPU LOCKS HELD STRING       57150000
*                                                              MDC122*/ 57200000
*     4 PSACLHS1    BIT(8),              /* FIRST BYTE OF PSACLHS.      57250000
*                                           (MDC384)         @G860PXH*/ 57300000
*       5 PSACPULI  BIT(1),              /* CPU LOCK INDICATOR          57350000
*                                                            @G860PXH*/ 57400000
*       5 *        BIT(2),               /* RESERVED             @LDC*/ 57414200
*       5 PSASUM   BIT(1),               /* LOCK SUMMARY BIT. IF ON,    57428400
*                                           AT LEAST ONE LOCK IN        57442600
*                                           THE CURRENT LOCK HELD       57456800
*                                           STRING EXTENSION IS HELD    57471000
*                                           ON THIS PROCESSOR.   @LDA*/ 57485200
*       5 PSARSMLI BIT(1),               /* RSM GLOBAL LOCK             57500000
*                                           INDICATOR        @G860PXH*/ 57550000
*       5 PSATRCEI BIT(1),               /* TRACE LOCK INDICATOR        57600000
*                                                            @G860PXH*/ 57650000
*       5 PSAIOSI  BIT(1),               /* IOS LOCK INDICATOR   @D3C*/ 57683300
*       5 *        BIT(1),               /* RESERVED             @D3C*/ 57716600
*     4 PSACLHS2    BIT(8),              /* SECOND BYTE OF PSACLHS.     57750000
*                                           (MDC385)         @G860PXH*/ 57800000
*       5 *        BIT(3),               /* RESERVED         @G860PXK*/ 57850000
*       5 PSARSMCI BIT(1),               /* RSM COMMON LOCK             57900000
*                                           INDICATOR        @G860PXK*/ 57950000
*       5 PSARSMGI BIT(1),               /* RSM GLOBAL LOCK             58000000
*                                           INDICATOR        @G860PXH*/ 58050000
*       5 PSAVFIXI BIT(1),               /* VSM FIXED SUBPOOLS LOCK     58100000
*                                           INDICATOR        @G860PXH*/ 58150000
*       5 PSAASMGI BIT(1),               /* ASM GLOBAL LOCK             58200000
*                                           INDICATOR        @G860PXH*/ 58250000
*       5 PSARSMSI BIT(1),               /* RSM STEAL LOCK              58300000
*                                           INDICATOR        @G860PXH*/ 58350000
*     4 PSACLHS3    BIT(8),              /* THIRD BYTE OF PSACLHS       58400000
*                                           (MDC386)         @G50EP9A*/ 58450000
*       5 PSARSMXI BIT(1),               /* RSM CROSS MEMORY LOCK       58500000
*                                           INDICATOR        @G860PXH*/ 58550000
*       5 PSARSMAI BIT(1),               /* RSM ADDRESS SPACE LOCK      58600000
*                                           INDICATOR        @G860PXH*/ 58650000
*       5 PSAVPAGI BIT(1),               /* VSM PAGEABLE SUBPOOLS LOCK  58700000
*                                           INDICATOR        @G860PXH*/ 58750000
*       5 PSADSPLI BIT(1),               /* DISPATCHER LOCK INDICATOR   58800000
*                                           (MDC387)         @G50EP9A*/ 58850000
*       5 PSAASMLI BIT(1),               /* ASM LOCK INDICATOR          58900000
*                                           (MDC388)         @G50EP9A*/ 58950000
*       5 PSASALLI BIT(1),               /* SPACE ALLOCATION LOCK       59000000
*                                           INDICATOR                   59050000
*                                           (MDC389)         @G50EP9A*/ 59100000
*       5 PSAIOSLI BIT(1),               /* IOS SYNCHRONIZATION LOCK    59150000
*                                           INDICATOR                   59200000
*                                           (MDC390)         @G50EP9A*/ 59250000
*       5 PSARSMDI BIT(1),               /* RSM DATA SPACE LOCK         59300000
*                                           INDICATOR            @LBC*/ 59350000
*     4 PSACLHS4    BIT(8),              /* FOURTH BYTE OF PSACLHS      59450000
*                                           (MDC392)         @G50EP9A*/ 59500000
*      5 PSAIOULI BIT(1),                /* IOS UCB LOCK INDICATOR      59550000
*                                           (MDC393)         @G50EP9A*/ 59600000
*      5 *        BIT(3),                /* RESERVED         @G860PXK*/ 59650000
*      5 PSATPALI BIT(1),                /* TPACBDEB LOCK INDICATOR     60000000
*                                           (MDC397)         @G50EP9A*/ 60050000
*      5 PSASRMLI BIT(1),                /* SYSTEM RESOURCE MANAGER     60100000
*                                           (SRM) LOCK INDICATOR        60150000
*                                           (MDC398)         @G50EP9A*/ 60200000
*      5 PSACMSLI BIT(1),                /* CROSS MEMORY SERVICES       60250000
*                                           LOCK INDICATOR              60300000
*                                           (CMS, CMSSMF, CMSEQDQ,      60325000
*                                           CMSLATCH)                   60350000
*                                           (MDC399)             @LUC*/ 60375000
*      5 PSALCLLI BIT(1),                /* LOCAL LOCK INDICATOR        60400000
*                                           (MDC400)         @G50EP9A*/ 60450000
*   2 PSALITA     PTR(31),               /* ADDRESS OF LOCK INTERFACE   60500000
*                                           TABLE.  THIS OFFSET FIXED   60550000
*                                           BY ARCHITECTURE.            60600000
*                                           (MDC465)         @G50EP9A*/ 60650000
*   2 PSASTOR8    CHAR(8),               /* 8-byte area for             60700000
*                                           master's STO         @LSA*/ 60750000
*   2 PSACR0      FIXED(31),             /* SAVE AREA FOR CONTROL       60800000
*                                           REGISTER 0               */ 60850000
*   2 PSAMCHFL    BIT(8),                /* MCH RECURSION FLAGS      */ 60900000
*   2 PSASYMSK    CHAR(1),               /* THIS FIELD WILL BE USED     60950000
*                                           IN CONJUNCTION WITH THE     61000000
*                                           STNSM INSTRUCTION TO        61050000
*                                           PLACE IOS CHANNEL           61100000
*                                           SCHEDULER INTO A DISABLED   61150000
*                                           STATE AND SIMULTANEOUSLY    61200000
*                                           SAVE THE SYSTEM MASK OF     61250000
*                                           THE CALLER         MDC022*/ 61300000
*   2 PSAACTCD    CHAR(1),               /* ACTION CODE SUPPLIED BY     61350000
*                                           OPERATOR AFTER SYSTEM HAS   61400000
*                                           LOADED RESTARTABLE WAIT     61450000
*                                           STATE AND BEFORE THE        61500000
*                                           RESTART KEY IS DEPRESSED.   61550000
*                                           VALUE DEPENDS ON            61600000
*                                           RESTARTABLE WAIT STATE      61650000
*                                           CODE.  UNPREDICTABLE        61700000
*                                           DURING NORMAL SYSTEM        61750000
*                                           OPERATION.                  61800000
*                                           OWNERSHIP: LDWT      @LHC*/ 61850000
*   2 PSAMCHIC    CHAR(1),               /* MCH INITIALIZATION          61900000
*                                           COMPLETE FLAGS     MDC098*/ 61950000
*   2 PSAWKRAP    PTR(31),               /* REAL ADDRESS OF VARY CPU    62000000
*                                           PARAMETER LIST     MDC106*/ 62050000
*   2 PSAWKVAP    PTR(31),               /* VIRTUAL ADDRESS OF VARY     62100000
*                                           CPU PARAMETER LIST MDC107*/ 62150000
*   2 PSAVSTAP    FIXED(15),             /* WORK AREA FOR VARY CPU      62200000
*                                                              MDC108*/ 62250000
*   2 PSACPUSA    FIXED(15),             /* PHYSICAL CPU ADDRESS        62300000
*                                           (STATIC)             @PCC*/ 62350000
*   2 PSASTOR     FIXED(31),             /* MASTER MEMORY'S SEGMENT     62400000
*                                           TABLE ORIGIN REGISTER       62450000
*                                           (STOR) VALUE             */ 62500000
*   2 PSAIDAWK    CHAR(90),              /* WORK SAVE AREA FOR INTERNAL 62550000
*                                           DEBUG TOOL.      @G860PXK*/ 62600000
*   2 PSARET      CHAR(2) BDY(HWORD),    /* BRANCH RETURN TO CALLER     62650000
*                                           (VIA BSM) USED BY ROUTINES  62700000
*                                           INVOKED BY IOS.             62750000
*                                                  (MDC607)  @ZA38630*/ 62800000
*   2 PSARETCD    CHAR(2) BDY(HWORD),    /* BRANCH RETURN TO CALLER     62850000
*                                           (VIA BSM) WITH RETURN CODE  62900000
*                                           IN REGISTER 15, USED BY     62950000
*                                           ROUTINES INVOKED BY         63050000
*                                           IOS.   (MDC607)  @ZA38630*/ 63100000
*   2 *           CHAR(2),               /* RESERVED         @G860PVB*/ 63150000
*   2 PSARSVT  (16) PTR(31),             /* RECOVERY STACK VECTOR       63200000
*                                           TABLE (EACH ELEMENT         63250000
*                                           MAPPED BELOW)      MDC064*/ 63300000
*   2 PSALWPSW    CHAR(8) BDY(DWORD),    /* PSW OF WORK INTERRUPTED     63350000
*                                           WHEN A RESTARTABLE WAIT     63400000
*                                           STATE IS LOADED.            63450000
*                                           OWNERSHIP: LDWT      @LHC*/ 63500000
*   2 PSARSPSW    CHAR(8) BDY(DWORD),    /* RESUME PSW FIELD FOR        66000000
*                                           RESTART INTERRUPT HANDLER   66050000
*                                                              MDC097*/ 66100000
*   2 PSATSTK     PTR(31),               /* ADDRESS OF RTM RECOVERY     66111100
*                                           STACK.                      66122200
*                                           SERIALIZATION: NONE.  THE   66133300
*                                           FIELD IS INITIALIZED AT     66144400
*                                           IPL/VARY CPU ONLINE TIME    66155500
*                                           ONLY.                       66166600
*                                           OWNER: RTM.          @L6A*/ 66177700
*   2 PSATSAV     PTR(31),               /* ADDRESS OF ERROR STACK      66179100
*                                           SAVED BY RTM WHEN           66180500
*                                           SWITCHING TO RTM            66181900
*                                           RECOVERY STACK.             66183300
*                                           OWNERSHIP: RTM       @L7A*/ 66184700
*   2 PSAASTK     PTR(31),               /* ADDRESS OF ACR FRR STACK.   66186100
*                                           OWNERSHIP: ACR       @L7A*/ 66187500
*   2 PSAASAV     PTR(31),               /* ADDRESS OF INTERRUPT        66188900
*                                           STACK SAVED BY ACR.         66190300
*                                           OWNERSHIP: ACR       @L7A*/ 66191700
*   2 PSARTPSW    CHAR(8) BDY(DWORD),    /* RESUME PSW FOR RTM          66193100
*                                           SETRP RETRY OPTION          66194500
*                                           OWNERSHIP: RTM       @L7A*/ 66195900
*   2 PSARV3E8    CHAR(8),               /* RESERVED             @L7C*/ 66197300
*   2 PSASFACC    CHAR(4) BDY(WORD),     /* SETFRR ABEND COMPLETION     66200000
*                                           CODE USED WHEN A SETFRR     66250000
*                                           ADD IS ISSUED AGAINST A     66300000
*                                           FULL FRR STACK     MDC123*/ 66350000
*   2 PSALSFCC    CHAR(4) BDY(WORD),     /* A LOAD INSTRUCTION TO       66400000
*                                           PRIME REGISTER 1 WITH THE   66450000
*                                           SETFRR ABEND COMPLETION     66500000
*                                           CODE IN PSASFACC   MDC124*/ 66550000
*   2 PSASVC13    CHAR(2),               /* AN SVC 13 INSTRUCTION       66600000
*                                                              MDC125*/ 66650000
*   2 *           CHAR(1),               /* RESERVED         @G860PXK*/ 66700000
*   2 PSAINTE     BIT(8),                /* FLAGS FOR CPU TIMER         67100000
*                                           (MDC466)         @ZM48078*/ 67150000
*    3 PSANUIN  BIT(1),                  /* CPU TIMER CANNOT BE USED    67200000
*                                           (MDC467)         @ZM48078*/ 67250000
*    3 *        BIT(7),                  /* RESERVED         @G860PXK*/ 67300000
*   2 PSARTM1R CHAR(4),                  /* THIS IS A STOSM INSTRUCTION 67350000
*                                           EXECUTED BEFORE RTM         67400000
*                                           GOES TO THE RETRY ROUTINE   67450000
*                                           FOR THE FRRS.               67500000
*                                                   (MDC602) @G383P9A*/ 67550000
*    3 * CHAR(1),                        /* OPERATION CODE X'AD'.       67600000
*                                                   (MDC602) @G383P9A*/ 67650000
*    3 PSARTM1M CHAR(1),                 /* MASK FILLED IN BY RTM.      67700000
*                                                   (MDC602) @G383P9A*/ 67750000
*    3 * CHAR(2),                        /* ADDRESS OF PSARTM1S.        67800000
*                                                   (MDC602) @G383P9A*/ 67850000
*   2 PSAPCPSW    CHAR(8) BDY(DWORD),    /* TEMPORARY OLD PSW STORAGE   67900000
*                                           FOR PROGRAM FLIH            67950000
*                                           (MDC129)           YM0943*/ 68000000
*   2 PSAATCVT    PTR(31),               /* ADDRESS OF VTAM ATCVT.      68050000
*                                           INITIALIZED BY VTAM.        68100000
*                                           (MDC300)         @Z30AP9A*/ 68150000
*   2 PSAWTCOD    PTR(31),               /* WAIT STATE CODE LOADED.     68200000
*                                           OWNERSHIP: LDWT      @LHC*/ 68250000
*   2 PSASCWA     PTR(31),               /* ADDRESS OF SUPERVISOR       68400000
*                                           CONTROL CPU RELATED WORK    68450000
*                                           SAVE AREA        @G860PXH*/ 68500000
*   2 PSARSMSA    PTR(31),               /* ADDRESS OF RSM CPU RELATED  68550000
*                                           WORK SAVE AREA   @G860PXH*/ 68600000
*   2 PSASCPSW    CHAR(8) BDY(DWORD),    /* MODEL PSW                   68650000
*                                           OWNERSHIP: SUPERVISOR       68700000
*                                                      CONTROL.         68750000
*                                           SERIALIZATION: DISABLED.    68800000
*                                                            @G860PXK*/ 68850000
*   2 PSASMPSW    CHAR(8) BDY(DWORD),    /* SRB DISPATCH PSW            68900000
*                                           (MDC326)         @G50DP9A*/ 68950000
*   2 PSARV428    CHAR(64),              /* RESERVED         @G860PXK*/ 69000000
*   2 PSAPSWSV    CHAR(8) BDY(DWORD),    /* PSW SAVE AREA FOR           69050000
*                                           DISPATCHER AND ACR          69100000
*                                           (MDC319)         @G50DP9A*/ 69150000
*   2 PSACPUT     CHAR(8) BDY(DWORD),    /* SUPERVISOR CPU TIMER SAVE   69200000
*                                           AREA  (MDC328)   @G50DP9A*/ 69250000
*   2 PSAPCFUN    CHAR(4) BDY(WORD),     /* PROGRAM FLIH RECURSION      69300000
*                                           FLAGS                       69350000
*                                           (MDC613)         @G383P9A*/ 69400000
*    3 PSAPCFB1    CHAR(1),              /* FUNCTION VALUE              69450000
*                                           (MDC484)         @G383P9A*/ 69500000
*%PSAPCMC='''01''X';                     /* MC INTERRUPT                69550000
*                                           (MDC605)         @G383P9A*/ 69600000
*%PSAPCPF='''02''X';                     /* PAGE FAULT                  69650000
*                                           (MDC486)         @G383P9A*/ 69700000
*%PSAPCPS='''03''X';                     /* PER/SPACE SWITCH            69750000
*                                           INTERRUPT        @G383PXU*/ 69800000
*%PSAPCAD='''04''X';                     /* ADDRESSING EXCEPTION        69850000
*                                           (MDC488)         @G383P9A*/ 69900000
*%PSAPCTR='''05''X';                     /* TRANSLATION EXCEPTION       69950000
*                                           (MDC489)         @G383P9A*/ 70000000
*%PSAPCPC='''06''X';                     /* PROGRAM CHECK               70050000
*                                           (MDC490)         @G383P9A*/ 70100000
*%PSAPCTRC='''07''X';                    /* TRACE INTERRUPT             70150000
*                                                            @G860PXK*/ 70200000
*%PSAPCAF='''08''X';                     /* NEW VALUE FOR PROGRAM       70214000
*                                           INTERRUPT FLAG.  ASYMMETRIC 70228000
*                                           FEATURE OPERATION           70242000
*                                           EXCEPTION.           @03A*/ 70256000
*%PSAPCLS='''09''X';                     /* LINKAGE STACK INTERRUPT     70270000
*                                           FUNCTION VALUE FOR PROGRAM  70280000
*                                           FLIH                 @L8A*/ 70290000
*%PSAPCART='''0A''X';                    /* ACCESS REGISTER TRANSLATION 70300000
*                                           INTERRUPT VALUE FOR PROGRAM 70310000
*                                           FLIH                 @L8A*/ 70320000
*%PSAPCDPF='''0B''X';                    /* DISABLED PAGE/SEGMENT FAULT 70323700
*                                                                @LCA*/ 70327400
*%PSAPCDAR='''0C''X';                    /* DISABLED ART PIC X'2B'      70331100
*                                           FUNCTION VALUE FOR PROGRAM  70334800
*                                           FLIH                 @LCA*/ 70338500
*%PSAPCPRT='''0D''X';                    /* Protection exception        70340800
*                                           function value       @LQA*/ 70343100
*%PSAPCMAX='''0D''X';                    /* MAXIMUM VALID FUNCTION      70345400
*                                           VALUE                @LQC*/ 70347700
*    3 PSAPCFB2    BIT(8),               /* FUNCTION FLAGS              70350000
*                                           (MDC491)         @G383P9A*/ 70400000
*     4 PSAPCTRR BIT(1),                 /* TRACE INTERRUPT RECURSION   70450000
*                                           HANDLER FLAG.    @YA01102*/ 70500000
*     4 PSAPCMT  BIT(1),                 /* TRACE RECURSION FLAG        70550000
*                                           (MDC493)         @G383P9A*/ 70600000
*     4 *        BIT(6),                 /* RESERVED         @G860PXK*/ 70650000
*    3 PSAPCFB3    BIT(8),               /* RECURSION FLAGS             70700000
*                                           (MDC494)         @G383P9A*/ 70750000
*     4 PSAPCP1  BIT(1),                 /* FIRST LEVEL PROGRAM CHECK   70800000
*                                           (MDC495)         @G383P9A*/ 70850000
*     4 PSAPCP2  BIT(1),                 /* SECOND LEVEL PROGRAM        70900000
*                                           CHECK  (MDC496)  @G383P9A*/ 70950000
*     4 PSAPCDE  BIT(1),                 /* DAT ERROR CONDITION         71000000
*                                           (MDC497)         @G383P9A*/ 71050000
*     4 PSAPCLV  BIT(1),                 /* 0=REGISTERS IN LCCA,        71100000
*                                           1=REGISTERS NOT IN LCCA     71150000
*                                           (MDC498)         @G383P9A*/ 71200000
*     4 PSAPCP3  BIT(1),                 /* THIRD LEVEL PROGRAM CHECK   71250000
*                                                   (MDC604) @G383P9A*/ 71300000
*     4 PSAPCP4  BIT(1),                 /* FOURTH LEVEL PROGRAM CHECK  71350000
*                                                   (MDC604) @G383P9A*/ 71400000
*     4 PSAPCPFR BIT(1),                 /* RECURSIVE PAGE FAULT        71425000
*                                           INDICATOR            @LAA*/ 71450000
*     4 PSAPCAVR BIT(1),                 /* RECURSIVE ASTE VALIDITY     71466600
*                                           INDICATOR            @LCC*/ 71483200
*    3 PSAPCFB4    BIT(8),               /* RECURSION FLAGS      @PBC*/ 71506500
*     4 PSAPCDNV BIT(1),                 /* DUCT validity indicator     71529800
*                                                                @PBA*/ 71553100
*     4 PSAPCLSR BIT(1),                 /* IEAVLSIH has invoked        71560900
*                                           IARPTEPR and recursion into 71568700
*                                           RSM is not permitted.       71576500
*                                                                @PEA*/ 71584300
*     4 *        BIT(6),                 /* RESERVED             @PEC*/ 71592100
*   2 PSAPCPS2    FIXED(16),             /* PASID AT TIME OF SECOND     71600000
*                                           LEVEL INTERRUPT             71650000
*                                                   (MDC604) @G383P9A*/ 71700000
*   2 PSARV47E    CHAR(2),               /* RESERVED         @G860PXK*/ 71712500
*   2 PSAPCWKA    CHAR(24) BDY(DWORD),   /* Used by PC FLIH. Must be    71725000
*                                           qword-aligned        @LSA*/ 71737500
*   2 PSAPCPS3    FIXED(16),             /* PASID AT TIME OF THIRD      71750000
*                                           LEVEL INTERRUPT             71800000
*                                                   (MDC604) @G383P9A*/ 71850000
*   2 PSAPCPS4    FIXED(16),             /* PASID AT TIME OF FOURTH     71900000
*                                           LEVEL INTERRUPT  @G860PXK*/ 71950000
*   2 PSAMODEW    FIXED(31),             /* Word label to address       72100000
*                                           PSAMODE.                    72150000
*                                                                @LPC*/ 72200000
*    3 *        CHAR(1),                 /* RESERVED -                  72300000
*                                           FIRST BYTE OF PSAMODEW      72350000
*                                                            @G860PXK*/ 72400000
*    3 PSAMFLGS BIT(8),                  /* SECOND BYTE OF PSAMODEW     72450000
*                                                   (MDC605) @G383P9A*/ 72500000
*     4 PSANSS  BIT(1),                  /* ENABLED UNLOCKED TASK       72550000
*                                           WITH FRR                    72600000
*                                                   (MDC605) @G383P9A*/ 72650000
*     4 PSAPRSRB BIT(1),                 /* Preemptable-classSRB @LPA*/ 72683300
*     4 *       BIT(6),                  /*RESERVED              @LPA*/ 72716600
*    3 PSAMODEH    FIXED(15),            /* SECOND HALFWORD OF          72750000
*                                           PSAMODEW. FIRST BYTE MUST   72800000
*                                           BE ZERO FOR I/O AND         72850000
*                                           EXTERNAL FLIHS.             72900000
*                                                   (MDC613) @G383P9A*/ 72950000
*     4 * CHAR(1),                       /* THIRD BYTE  OF PSAMODEW     73000000
*                                                   (MDC604) @G383P9A*/ 73050000
*     4 PSAMODE    BIT(8),               /* SYSTEM MODE INDICATOR AND   73100000
*                                           DISPLACEMENT INTO EXTERNAL  73150000
*                                           AND I/O FLIHS TABLES        73200000
*                                                            @G860PXH*/ 73250000
*%PSATASKM='''00''X';                    /* TASK MODE VALUE             73300000
*                                           (MDC338)         @G50DP9A*/ 73350000
*%PSASRBM='''04''X';                     /* SRB MODE VALUE              73400000
*                                           (MDC339)         @G50DP9A*/ 73450000
*%PSAWAITM='''08''X';                    /* WAIT MODE VALUE             73500000
*                                           (MDC340)         @G50DP9A*/ 73550000
*%PSADISPM='''10''X';                    /* DISPATCHER MODE VALUE       73600000
*                                           (MDC342)         @G50DP9A*/ 73650000
*     5 *        BIT(2),                 /* ZERO             @G50DP9A*/ 73700000
*     5 PSAPSRBM BIT(1),                 /* PSEUDO SRB MODE FLAG BIT.   73750000
*                                           THIS BIT MAY BE ON WITH     73800000
*                                           ANY OF THE MODE VALUES.     73850000
*                                           (MDC343)         @G50DP9A*/ 73900000
*     5 *        BIT(5),                 /* MODE VALUES      @G50DP9A*/ 73950000
*   2 *           CHAR(3),               /* RESERVED         @G860PXK*/ 74000000
*   2 PSASTNSM    CHAR(1),               /* STNSM TARGET USED BY        74200000
*                                           EXIT PROLOGUE               74250000
*                                           (MDC346)         @G50DP9A*/ 74300000
*   2 PSALKJW     FIXED(31),             /* LOCAL LOCK RELEASE SRB      74350000
*                                           JOURNAL WORD                74400000
*                                           (MDC612)         @G383P9A*/ 74450000
*   2 PSADZERO    CHAR(8) BDY(DWORD),    /* DOUBLE WORD OF ZERO         74500000
*                                           (MDC612)         @G383P9A*/ 74550000
*    3 PSAFZERO FIXED(32),               /* FULLWORD OF ZERO            74600000
*                                           (MDC612)         @G383P9A*/ 74650000
*    3 *        FIXED(32),               /* FULLWORD OF ZERO            74700000
*                                           (MDC612)         @G383P9A*/ 74750000
*   2 PSALKJW2    FIXED(31),             /* CMS LOCK RELEASE JOURNAL    74800000
*                                           WORD.                       74850000
*                                           (MDC613)         @G383P9A*/ 74900000
*   2 PSALKPT     PTR(31),               /* SETLOCK TEST,TYPE=HIER      74950000
*                                           PARAMETER LIST TABLE.       75000000
*                                           OWNERSHIP: LOCK MANAGER.    75050000
*                                           SERIALIZATION: NONE.        75100000
*                                                            @G860PXK*/ 75150000
*   2 PSARV4B8    CHAR(4),               /* RESERVED.            @LDC*/ 75152500
*   2 PSALIT2     PTR(31),               /* POINTER TO THE EXTENDED     75155000
*                                           LOCK INTERFACE TABLE @LDA*/ 75157500
*   2 PSAECLTP    PTR(31),               /* POINTER TO THE EXTENDED     75160000
*                                           CURRENT LOCKS HELD TABLE.   75162500
*                                                                @LDA*/ 75165000
*   2 PSACLHSE    BIT(32) BDY(WORD),     /* CURRENT LOCKS HELD STRING   75167500
*                                           EXTENSION.           @LDA*/ 75170000
*     3 PSALHEB0  CHAR(1),               /* BYTE 0 OF THE CURRENT LOCK  75172500
*                                           HELD STRING EXTENSION.      75175000
*                                                                @LDA*/ 75177500
*       4 PSABLSDI  BIT(1),              /* BMFLSD LOCK INDICATOR.      75180000
*                                                                @LGA*/ 75182500
*       4 PSAXDSI   BIT(1),              /* XCFDS LOCK INDICATOR.       75185000
*                                                                @LEA*/ 75187500
*       4 PSAXRESI  BIT(1),              /* XCFRES LOCK INDICATOR.      75190000
*                                                                @LEA*/ 75192500
*       4 PSAXQI    BIT(1),              /* XCFQ LOCK INDICATOR.        75195000
*                                                                @LEA*/ 75197500
*       4 PSAESETI  BIT(1),              /* ETRSET LOCK INDICATOR.      75200000
*                                                                @LFA*/ 75202500
*       4 PSAIXSCI  BIT(1),              /* IXLSCH LOCK INDICATOR.      75203200
*                                                                @LMC*/ 75203900
*       4 PSAIXSHI  BIT(1),              /* IXLSHR LOCK INDICATOR.      75204600
*                                                                @LMC*/ 75205300
*       4 PSAIXDSI  BIT(1),              /* IXLDS LOCK INDICATOR.       75206000
*                                                                @LLA*/ 75206700
*     3 PSALHEB1  CHAR(1),               /* BYTE 1 OF THE CURRENT LOCK  75207500
*                                           HELD STRING EXTENSION.      75210000
*                                                                @LDA*/ 75212500
*       4 PSAIXLLI  BIT(1),              /* IXLSHELL LOCK INDICATOR.    75214100
*                                                                @LMC*/ 75215700
*       4 PSAULUTI  BIT(1),              /* IOSULUT LOCK INDICATOR.     75217500
*                                                                @LJA*/ 75220000
*       4 PSAIXLRI  BIT(1),              /* IXLREQST LOCK INDICATOR.    75221200
*                                                                @05A*/ 75222400
*       4 PSAWLMRI  BIT(1),              /* WLMRES LOCK INDICATOR.      75222800
*                                                                @LRA*/ 75223200
*       4 PSAWLMQI  BIT(1),              /* WLMQ LOCK INDICATOR.        75223600
*                                                                @LRA*/ 75224000
*       4 PSACNTXI  BIT(1),              /* CONTEXT LOCK INDICATOR.     75224100
*                                                                @LRA*/ 75224200
*       4 PSAREGSI  BIT(1),              /* REGSRV LOCK INDICATOR.      75224300
*                                                                @LRA*/ 75224400
*       4 PSASSDLI  BIT(1),              /* SSD LOCK INDICATOR.  @LTC*/ 75224700
*     3 PSALHEB2  CHAR(1),               /* BYTE 2 OF THE CURRENT LOCK  75225000
*                                           HELD STRING EXTENSION.      75227500
*                                                                @LDA*/ 75230000
*     3 PSALHEB3  CHAR(1),               /* BYTE 3 OF THE CURRENT LOCK  75232500
*                                           HELD STRING EXTENSION.      75235000
*                                                                @LDA*/ 75237500
*   2 PSARV4C8    CHAR(8),               /* RESERVED FOR FUTURE LOCK    75240000
*                                           EXPANSION.           @LDA*/ 75242500
*   2 PSARV4D0    CHAR(184),             /* RESERVED.            @LDA*/ 75245000
*   2 PSAHWFB     CHAR(1),               /* HARDWARE FLAG BYTE.  @L3A*/ 75250000
*   2 PSACR0CB    CHAR(1),               /* CR0 CONTROL BYTE USED BY    75600000
*                                           PROTPSA MACRO               75650000
*                                           (MDC425)         @G50NP9A*/ 75700000
*   2 *           CHAR(2),               /* RESERVED         @G50NP9A*/ 75750000
*   2 PSACR0SV    FIXED(31),             /* CR0 SAVE AREA USED BY       75800000
*                                           PROTPSA MACRO               75850000
*                                           (MDC426)         @G50NP9A*/ 75900000
*    3 *        BIT(3),                  /* FIRST THREE BITS OF         75950000
*                                           PSACR0SV         @G50NP9A*/ 76000000
*    3 PSACR0EN BIT(1),                  /* IF 0, PSA PROTECT           76050000
*                                           DISABLED.  IF 1, PSA        76100000
*                                           PROTECT ENABLED.            76150000
*                                           (MDC432)         @G50NP9A*/ 76200000
*    3 *        BIT(9),                  /* Next 9 bits          @LRA*/ 76207100
*    3 PSACR0FP BIT(1),                  /* IF 1, extended floating     76214200
*                                           point is enabled.    @LRA*/ 76221300
*    3 PSACR0VI BIT(1),                  /* IF 1, vector instructions   76228400
*                                           are enabled.         @LRA*/ 76235600
*    3 *        BIT(17),                 /* Last bits            @LRA*/ 76242800
*   2 PSAPCCR0    FIXED(31),             /* PROGRAM CHECK FLIH CR0      76250000
*                                           SAVE AREA                   76300000
*                                           (MDC427)         @G50NP9A*/ 76350000
*   2 PSARCR0     FIXED(31),             /* RESTART FLIH CR0 SAVE       76400000
*                                           AREA  (MDC434)   @G50NP9A*/ 76450000
*    3 *        BIT(3),                  /* FIRST THREE BITS OF         76500000
*                                           PSARCR0          @G50NP9A*/ 76550000
*    3 PSARPEN  BIT(1),                  /* IF 0, PSA PROTECT           76600000
*                                           DISABLED.  IF 1, PSA        76650000
*                                           PROTECT ENABLED.            76700000
*                                           (MDC435)         @G50NP9A*/ 76750000
*   2 PSASTKE CHAR(8) BDY(DWORD),        /* CURRENT STACK CONTROL WORD  76787500
*                                           FOR SRB'S AND TYPE 6 SVC'S  76825000
*                                                                    */ 76862500
*    3 PSATKN   FIXED(16),               /* CURRENT SPACE TOKEN         76900000
*                                                   (MDC604) @G383P9A*/ 76950000
*    3 PSAASD   FIXED(16),               /* CURRENT STACK ADDRESS       77000000
*                                           SPACE DESIGNATOR            77050000
*                                                   (MDC604) @G383P9A*/ 77100000
*    3 PSASEL   PTR(31),                 /* CURRENT STACK ELEMENT       77150000
*                                           ADDRESS (MDC604) @G383P9A*/ 77200000
*   2 PSASKPSW    CHAR(4),               /* PCLINK STACK/UNSTACK        77250000
*                                           MODEL PSW                   77300000
*                                                   (MDC604) @G383P9A*/ 77350000
*   2 PSASKPS2    PTR(31),               /* PCLINK PSW ADDRESS          77400000
*                                                   (MDC604) @G383P9A*/ 77450000
*   2 PSACPCLS    PTR(31),               /* PCLINK WORKAREA - CURRENT   77464200
*                                           STACK HEADER ADDRESS @L9C*/ 77478400
*   2 PSARV5AC    CHAR(4),               /* RESERVED.            @L9A*/ 77492600
*   2 PSASCFS     PTR(31),               /* ADDRESS OF THE SUPERVISOR   77507000
*                                           CONTROL FLIH                77535500
*                                           SAVEAREA.            @L8C*/ 77564000
*   2 PSAPAWA     PTR(31),               /* ADDRESS OF PC/AUTH WORK     77592500
*                                           AREA.                @L8A*/ 77621000
*   2 PSASCFB     FIXED(8),              /* SUPERVISOR CONTROL FLAG     77650000
*                                           BYTE.                @L1A*/ 77700000
*     3 PSAIOPR  BIT(1),                 /* INDICATES IF INTERRUPTED    77750000
*                                           TASK SHOULD BE PREEMPTED.   77800000
*                                           USED BY THE I/O FLIH.       77850000
*                                                                @L1A*/ 77900000
*     3 PSAIORTY BIT(1),                 /* I/O FLIH RECOVERY FLAG. IF  77910000
*                                           1, CONTINUE RETRY           77920000
*                                           PROCESSING INSTEAD          77930000
*                                           OF ABENDING.         @L5A*/ 77940000
*   2 *           CHAR(3),               /* RESERVED         @G860PXK*/ 77950000
*   2 PSACR0M1    CHAR(4),               /* MASK OF CR0 WITH EXTERNAL   77962500
*                                           MASK BITS OFF - USED BY     77975000
*                                           WINDOW.              @03A*/ 77987500
*   2 PSACR0M2    CHAR(4),               /* MASK OF CR0 WITH ONLY       78000000
*                                           EXTERNAL MASK BITS ON -     78012500
*                                           USED BY WINDOW.      @03A*/ 78025000
*   2 PSARV5C4    CHAR(148),             /* RESERVED             @03A*/ 78037500
*   2 PSATIME     CHAR(8)  BDY(DWORD),   /* CURRENT SRB'S ACCUMULATED   78050000
*                                           CPU TIME             @01C*/ 78100000
*   2 PSASRSAV    CHAR(4),               /* ADDRESS OF CURRENT FRR      78200000
*                                           STACK SAVED BY STOP/RESET   78250000
*                                                  (MDC605)  @G383P9A*/ 78300000
*   2 PSAESC8     CHAR(12),              /* Save area for IEAVESC8      78350000
*                                                                @LPA*/ 78400000
*   2 PSADXMSI    CHAR(8) BDY(DWORD),    /* DISPATCHER CONTROL          78900000
*                                           REGISTER 3 AND 4            78950000
*                                           IMAGE            @G387PXH*/ 79000000
*     3 PSADCR3I  FIXED(32) BDY(WORD),   /* DISPATCHER CONTROL          79050000
*                                           REGISTER 3 IMAGE @G387PXH*/ 79100000
*       4 PSADPKMI  FIXED(16),           /* PKM IMAGE        @G387PXH*/ 79150000
*       4 PSADSASI  FIXED(16),           /* SECONDARY ASID   @G387PXH*/ 79200000
*     3 PSADCR4I    FIXED(32) BDY(WORD), /* DISPATCHER CONTROL          79250000
*                                           REGISTER 4 IMAGE @G387PXH*/ 79300000
*       4 PSADAXI   FIXED(16),           /* AUTHORIZATION INDEX         79350000
*                                                            @G387PXH*/ 79400000
*       4 PSADPASI  FIXED(16),           /* PRIMARY ASID     @G387PXH*/ 79450000
*   2 PSADSARS    CHAR(64) BDY(WORD),    /* DISPATCHER ACCESS REGISTER  79483300
*                                           SAVEAREA             @L9C*/ 79516600
*   2 PSADXMSV    CHAR(8) BDY(DWORD),    /* DISPATCHER CONTROL REGISTER 79550000
*                                           3 AND 4 SAVE AREA           79600000
*                                                   (MDC610) @G383P9A*/ 79650000
*    3 PSADCR3    CHAR(4) BDY(WORD),     /* DISPATCHER CONTROL REGISTER 79700000
*                                           3 SAVE AREA                 79750000
*                                                   (MDC610) @G383P9A*/ 79800000
*     4 PSADPKM   CHAR(2),               /* DISPATCHER PROGRAM KEY MASK 79850000
*                                           SAVE AREA                   79900000
*                                                   (MDC610) @G383P9A*/ 79950000
*     4 PSADSAS   CHAR(2),               /* DISPATCHER SECONDARY ASID   80000000
*                                           SAVE AREA                   80050000
*                                                   (MDC610) @G383P9A*/ 80100000
*    3 PSADCR4    CHAR(4) BDY(WORD),     /* DISPATCHER CONTROL REGISTER 80150000
*                                           4 SAVE AREA                 80200000
*                                                   (MDC610) @G383P9A*/ 80250000
*     4 PSADAX    CHAR(2),               /* DISPATCHER AUTHORIZATION    80300000
*                                           INDEX SAVE AREA.            80350000
*                                                   (MDC613) @G383P9A*/ 80400000
*     4 PSADPAS   CHAR(2),               /* DISPATCHER PRIMARY ASID     80450000
*                                           SAVE AREA                   80500000
*                                                   (MDC610) @G383P9A*/ 80550000
*   2 PSADTSAV    CHAR(8) BDY(DWORD),    /* CPU TIMER VALUE AT LAST     80575000
*                                           DISPATCH, SRBTIMER REQUEST, 80600000
*                                           CPUTIMER EXPIRATION, OR     80625000
*                                           STATUS SAVE OR RESTORE      80650000
*                                                                @01C*/ 80675000
*   2 PSAUSEND    CHAR(0) BDY(DWORD),    /* END FIRST SET OF ASSIGNED   80700000
*                                           FIELDS SAVED BY ACR.        80750000
*                                                            @G383PXU*/ 80800000
*   2 PSARV6C8    CHAR(232),             /* RESERVED.        @G860PXK*/ 80850000
*   2 PSADATLK    CHAR(48) BDY(DWORD),   /* AREA FOR DAT-OFF ASSIST     80900000
*                                           LINKAGE          @G860PXK*/ 80950000
*   2 PSADATOF    PTR(31),               /* REAL STORAGE ADDRESS OF THE 81000000
*                                           DAT-OFF LINKAGE TABLE WHICH 81050000
*                                           IS INITIALIZED BY NIP FOR   81100000
*                                           DAT-ON/DAT-OFF LINKAGE.     81150000
*                                                            @G860PXK*/ 81200000
*   2 PSADATLN    FIXED(31),             /* LENGTH OF THE DAT-OFF INDEX 81250000
*                                           TABLE (IEAVEDFT) @G860PXK*/ 81300000
*   2 PSARV7E8    CHAR(4),               /* RESERVED FOR SYSTEM TRACE.  81304800
*                                                            @G860PXK*/ 81309600
*   2 PSATRACE    BIT(8),                /* SYSTEM TRACE FLAGS.         81311200
*                                                            @G860PXK*/ 81312800
*     3 PSATROFF  BIT(1),                /* IF ON, SYSTEM TRACE         81314400
*                                           SUSPENDED ON THIS PROCESSOR 81316000
*                                           BECAUSE WAIT TASK           81317600
*                                           DISPATCHED.      @G860PXK*/ 81319200
*   2 *           CHAR(3),               /* RESERVED FOR SYSTEM TRACE.  81320800
*                                                            @G860PXK*/ 81322400
*   2 PSATBVTR    PTR(31),               /* REAL ADDRESS OF SYSTEM      81324000
*                                           TRACE BUFFER VECTOR TABLE   81325600
*                                           (TBVT) REPRESENTING THE     81327200
*                                           CURRENT SYSTEM TRACE        81328800
*                                           BUFFER FOR THIS PROCESSOR.  81330400
*                                           OWNERSHIP: SYSTEM TRACE.    81332000
*                                           SERIALIZATION: DISABLEMENT  81333600
*                                           FOR EXTERNAL INTERRUPTS     81335200
*                                           ON THIS PROCESSOR OR THE    81336800
*                                           TRACE SPIN LOCK. @G860PXK*/ 81338400
*   2 PSATBVTV    PTR(31),               /* VIRTUAL ADDRESS             81340000
*                                           CORRESPONDING TO PSATBVTR.  81341600
*                                                            @G860PXK*/ 81346400
*   2 PSATRVT     PTR(31),               /* ADDRESS OF SYSTEM TRACE     81350000
*                                           VECTOR TABLE.    @G860PXH*/ 81400000
*   2 PSATOT      PTR(31),               /* ADDRESS OF SYSTEM TRACE     81450000
*                                           OPERAND TABLE.   @G860PXK*/ 81483300
*/*                                                                  */ 81516600
*/********************************************************************/ 81550000
*/*            FETCH PROTECTED KEY 0 AREA                            */ 81600000
*/*                            LOCATIONS 800 TO FFF HEX              */ 81650000
*/********************************************************************/ 81700000
*/*                                                                  */ 81750000
*   2 PSAUS2ST    CHAR(0) BDY(DWORD),    /* START SECOND SET OF         81900000
*                                           ASSIGNED FIELDS SAVED BY    81950000
*                                           ACR.             @G383PXU*/ 82000000
*   2 PSACDSAV    CHAR(16),              /* CALLDISP REGISTER SAVE      82050000
*                                           AREA FOR REGISTERS 14-1     82100000
*                                                            @G383PXU*/ 82150000
*    3 PSACDSAE   CHAR(4),               /* CALLDISP REGISTER 14 SAVE   82200000
*                                           AREA             @G383PXU*/ 82250000
*    3 PSACDSAF   CHAR(4),               /* CALLDISP REGISTER 15 SAVE   82300000
*                                           AREA             @G383PXU*/ 82350000
*    3 PSACDSA0   CHAR(4),               /* CALLDISP REGISTER 0  SAVE   82400000
*                                           AREA             @G383PXU*/ 82450000
*    3 PSACDSA1   CHAR(4),               /* CALLDISP REGISTER 1  SAVE   82500000
*                                           AREA             @G383PXU*/ 82550000
*   2 PSAGSPSW    CHAR(4),               /* GLOBAL SCHEDULE SYSTEM MASK 82571400
*                                           SAVE AREA.                  82592800
*                                           OWNERSHIP: SUPERVISOR       82614200
*                                           CONTROL.                    82635600
*                                           SERIALIZATION: DISABLED.    82657000
*                                                            @ZA63674*/ 82678400
*   2 PSAGSRGS    FIXED(31),             /* GLOBAL SCHEDULE REGISTER    82699800
*                                           SAVE AREA.                  82721200
*                                           OWNERSHIP: SUPERVISOR       82742600
*                                           CONTROL.                    82764000
*                                           SERIALIZATION: DISABLED.    82785400
*                                                            @ZA63674*/ 82806800
*   2 PSARV818    CHAR(4),               /* RESERVED             @PAC*/ 82814000
*   2 PSASV01R    FIXED(31),             /* IEAVTRG1 register 1         82821200
*                                           save area.           @PAA*/ 82828400
*   2 PSASV14R    FIXED(31),             /* IEAVTRG1 register 14        82835600
*                                           save area.           @PAA*/ 82842800
*   2 PSAEMS2R    FIXED(31),             /* REGISTER SAVE AREA          82850000
*                                           OWNERSHIP: MEMORY SWITCH.   82900000
*                                           SERIALIZATION: DISABLED.    82950000
*                                                            @G860PXK*/ 83000000
*   2 PSATRSAV    CHAR(64) BDY(WORD),    /* TRACE REGISTER              83050000
*                                           SAVE AREA        @G860PXH*/ 83100000
*     3 PSATRGR0  FIXED(31),             /* TRACE REGISTER 0            83150000
*                                           SAVE AREA        @G860PXH*/ 83200000
*     3 PSATRGR1  FIXED(31),             /* TRACE REGISTER 1            83250000
*                                           SAVE AREA        @G860PXH*/ 83300000
*     3 PSATRGR2  FIXED(31),             /* TRACE REGISTER 2            83350000
*                                           SAVE AREA        @G860PXH*/ 83400000
*     3 PSATRGR3  FIXED(31),             /* TRACE REGISTER 3            83450000
*                                           SAVE AREA        @G860PXH*/ 83500000
*     3 PSATRGR4  FIXED(31),             /* TRACE REGISTER 4            83550000
*                                           SAVE AREA        @G860PXH*/ 83600000
*     3 PSATRGR5  FIXED(31),             /* TRACE REGISTER 5            83650000
*                                           SAVE AREA        @G860PXH*/ 83700000
*     3 PSATRGR6  FIXED(31),             /* TRACE REGISTER 6            83750000
*                                           SAVE AREA        @G860PXH*/ 83800000
*     3 PSATRGR7  FIXED(31),             /* TRACE REGISTER 7            83850000
*                                           SAVE AREA        @G860PXH*/ 83900000
*     3 PSATRGR8  FIXED(31),             /* TRACE REGISTER 8            83950000
*                                           SAVE AREA        @G860PXH*/ 84000000
*     3 PSATRGR9  FIXED(31),             /* TRACE REGISTER 9            84050000
*                                           SAVE AREA        @G860PXH*/ 84100000
*     3 PSATRGRA  FIXED(31),             /* TRACE REGISTER 10           84150000
*                                           SAVE AREA        @G860PXH*/ 84200000
*     3 PSATRGRB  FIXED(31),             /* TRACE REGISTER 11           84250000
*                                           SAVE AREA        @G860PXH*/ 84300000
*     3 PSATRGRC  FIXED(31),             /* TRACE REGISTER 12           84350000
*                                           SAVE AREA        @G860PXH*/ 84400000
*     3 PSATRGRD  FIXED(31),             /* TRACE REGISTER 13           84450000
*                                           SAVE AREA        @G860PXH*/ 84500000
*     3 PSATRGRE  FIXED(31),             /* TRACE REGISTER 14           84550000
*                                           SAVE AREA        @G860PXH*/ 84600000
*     3 PSATRGRF  FIXED(31),             /* TRACE REGISTER 15           84650000
*                                           SAVE AREA        @G860PXH*/ 84700000
*   2 PSARV868    CHAR(64) BDY(WORD),    /* RESERVED.            @L8C*/ 84750000
*   2 PSAGSAV     CHAR(64) BDY(DWORD),   /* REGISTER SAVE AREA USED     84850000
*                                           BY DISPATCHER AND SCHEDULE  84900000
*                                                            @G860PXK*/ 84950000
*   2 PSASCRG1    FIXED(31),             /* GLOBAL SCHEDULE REGISTER    85000000
*                                           SAVE AREA        @G860PXK*/ 85050000
*   2 PSASCRG2    FIXED(31),             /* GLOBAL SCHEDULE REGISTER    85100000
*                                           SAVE AREA        @G860PXK*/ 85150000
*   2 PSAGPREG  (3) FIXED(31),           /* REGISTER SAVE AREA FOR      85200000
*                                           SVC FLIH AND                85250000
*                                           SCHEDULE.        @G860PXK*/ 85300000
*   2 PSARSREG    FIXED(31),             /* RESTART FLIH REGISTER       85350000
*                                           SAVE             @G860PXK*/ 85400000
*   2 PSAPCGR8    FIXED(31),             /* PROGRAM FLIH REGISTER 8     85450000
*                                           SAVE AREA        @G860PXK*/ 85500000
*   2 PSAPCGR9    FIXED(31),             /* PROGRAM FLIH REGISTER 9     85550000
*                                           SAVE AREA        @G860PXK*/ 85600000
*   2 PSAPCGAB    CHAR(8) BDY(DWORD),    /* PROGRAM FLIH REGISTER       85625000
*                                           10-11 SAVE AREA      @LSA*/ 85650000
*     3 PSAPCGRA  FIXED(31),             /* PROGRAM FLIH REGISTER 10    85675000
*                                           SAVE AREA        @G860PXK*/ 85700000
*     3 PSAPCGRB  FIXED(31),             /* PROGRAM FLIH REGISTER 11    85750000
*                                           SAVE AREA        @G860PXK*/ 85800000
*   2 PSALKSA     CHAR(64) BDY(DWORD),   /* IEAVELK REGISTER SAVE       85816600
*                                           AREA. OWNERSHIP: SUPERVISOR 85833200
*                                           CONTROL. SERIALIZATION:     85849800
*                                           DISABLEMENT.     @G860PXK*/ 85866400
*    3 PSALKR0     FIXED(31),            /* IEAVELK REGISTER 0 SAVE     85883000
*                                           AREA             @G860PXK*/ 85900000
*    3 PSALKR1     FIXED(31),            /* IEAVELK REGISTER 1 SAVE     85950000
*                                           AREA             @G860PXK*/ 86000000
*    3 PSALKR2     FIXED(31),            /* IEAVELK REGISTER 2 SAVE     86050000
*                                           AREA             @G860PXK*/ 86100000
*    3 PSALKR3     FIXED(31),            /* IEAVELK REGISTER 3 SAVE     86150000
*                                           AREA             @G860PXK*/ 86200000
*    3 PSALKR4     FIXED(31),            /* IEAVELK REGISTER 4 SAVE     86250000
*                                           AREA             @G860PXK*/ 86300000
*    3 PSALKR5     FIXED(31),            /* IEAVELK REGISTER 5 SAVE     86350000
*                                           AREA             @G860PXK*/ 86400000
*    3 PSALKR6     FIXED(31),            /* IEAVELK REGISTER 6 SAVE     86450000
*                                           AREA             @G860PXK*/ 86500000
*    3 PSALKR7     FIXED(31),            /* IEAVELK REGISTER 7 SAVE     86550000
*                                           AREA             @G860PXK*/ 86600000
*    3 PSALKR8     FIXED(31),            /* IEAVELK REGISTER 8 SAVE     86650000
*                                           AREA             @G860PXK*/ 86700000
*    3 PSALKR9     FIXED(31),            /* IEAVELK REGISTER 9 SAVE     86750000
*                                           AREA             @G860PXK*/ 86800000
*    3 PSALKR10    FIXED(31),            /* IEAVELK REGISTER 10 SAVE    86850000
*                                           AREA             @G860PXK*/ 86900000
*    3 PSALKR11    FIXED(31),            /* IEAVELK REGISTER 11 SAVE    86950000
*                                           AREA             @G860PXK*/ 87000000
*    3 PSALKR12    FIXED(31),            /* IEAVELK REGISTER 12 SAVE    87050000
*                                           AREA             @G860PXK*/ 87100000
*    3 PSALKR13    FIXED(31),            /* IEAVELK REGISTER 13 SAVE    87150000
*                                           AREA             @G860PXK*/ 87200000
*    3 PSALKR14    FIXED(31),            /* IEAVELK REGISTER 14 SAVE    87250000
*                                           AREA             @G860PXK*/ 87300000
*    3 PSALKR15    FIXED(31),            /* IEAVELK REGISTER 15 SAVE    87350000
*                                           AREA             @G860PXK*/ 87400000
*   2 PSASLSA     CHAR(72) BDY(DWORD),   /* SINGLE LEVEL SAVE AREA      87550000
*                                           USED BY DISABLED ROUTINES   87600000
*                                           WITH NO DEPENDENCY THAT     87650000
*                                           THE SAVE AREA REMAIN        87700000
*                                           INTACT ACROSS A CALL.       87750000
*                                           THIS AREA IS NOT MAINTAINED 87800000
*                                           BY RESTART PROCESSING THAT  87837500
*                                           RESULTS IN AN ABEND OF THE  87875000
*                                           INTERRUPTED RTN. @G860PXK*/ 87912500
*   2 PSAJSTSA    CHAR(64),              /* JOB STEP TIMING SAVE AREA.  87918700
*                                           OWNERSHIP: SUPERVISOR       87924900
*                                           CONTROL.                    87931100
*                                           SERIALIZATION: DISABLEMENT. 87937300
*                                                                @H1A*/ 87943500
*   2 PSAUS2ND    CHAR(0) BDY(DWORD),    /* END SECOND SET OF           87950000
*                                           ASSIGNED FIELDS SAVED BY    88000000
*                                           ACR.                 @H1M*/ 88050000
*   2 PSASLKSA    CHAR(64) BDY(DWORD),   /* IEAVESLK REGISTER SAVE AREA 88051700
*                                           OWNERSHIP: SUPERVISOR       88053400
*                                           CONTROL. SERIALIZATION:     88055100
*                                           DISABLEMENT.         @P4A*/ 88056800
*    3 PSASLKR0    FIXED(31),            /* IEAVESLK REGISTER 0 SAVE    88058500
*                                           AREA                 @P4A*/ 88060200
*    3 PSASLKR1    FIXED(31),            /* IEAVESLK REGISTER 1 SAVE    88061900
*                                           AREA                 @P4A*/ 88063600
*    3 PSASLKR2    FIXED(31),            /* IEAVESLK REGISTER 2 SAVE    88065300
*                                           AREA                 @P4A*/ 88067000
*    3 PSASLKR3    FIXED(31),            /* IEAVESLK REGISTER 3 SAVE    88068700
*                                           AREA                 @P4A*/ 88070400
*    3 PSASLKR4    FIXED(31),            /* IEAVESLK REGISTER 4 SAVE    88072100
*                                           AREA                 @P4A*/ 88073800
*    3 PSASLKR5    FIXED(31),            /* IEAVESLK REGISTER 5 SAVE    88075500
*                                           AREA                 @P4A*/ 88077200
*    3 PSASLKR6    FIXED(31),            /* IEAVESLK REGISTER 6 SAVE    88078900
*                                           AREA                 @P4A*/ 88080600
*    3 PSASLKR7    FIXED(31),            /* IEAVESLK REGISTER 7 SAVE    88082300
*                                           AREA                 @P4A*/ 88084000
*    3 PSASLKR8    FIXED(31),            /* IEAVESLK REGISTER 8 SAVE    88085700
*                                           AREA                 @P4A*/ 88087400
*    3 PSASLKR9    FIXED(31),            /* IEAVESLK REGISTER 9 SAVE    88089100
*                                           AREA                 @P4A*/ 88090800
*    3 PSASLKRA    FIXED(31),            /* IEAVESLK REGISTER 10 SAVE   88092500
*                                           AREA                 @P4A*/ 88094200
*    3 PSASLKRB    FIXED(31),            /* IEAVESLK REGISTER 11 SAVE   88095900
*                                           AREA                 @P4A*/ 88097600
*    3 PSASLKRC    FIXED(31),            /* IEAVESLK REGISTER 12 SAVE   88099300
*                                           AREA                 @P4A*/ 88101000
*    3 PSASLKRD    FIXED(31),            /* IEAVESLK REGISTER 13 SAVE   88102700
*                                           AREA                 @P4A*/ 88104400
*    3 PSASLKRE    FIXED(31),            /* IEAVESLK REGISTER 14 SAVE   88106100
*                                           AREA                 @P4A*/ 88107800
*    3 PSASLKRF    FIXED(31),            /* IEAVESLK REGISTER 15 SAVE   88109500
*                                           AREA                 @P4A*/ 88111200
*   2 PSARVA18    CHAR(36),              /* RESERVED.            @P4A*/ 88112900
*   2 PSASCSAV    CHAR(64),              /* IEAVESC0 save area   @P7A*/ 88114700
*   2 PSASFLGS    CHAR(1),               /* Schedule flags              88116500
*                                           Ownership: Supervisor       88118300
*                                           Control                     88120100
*                                           Serialization: Disablement  88121900
*                                                                @P8A*/ 88123700
*     3 PSASCHDA   BIT(1),               /* Schedule is active   @LPA*/ 88125500
*     3 PSAMCHA    BIT(1),               /* Machine Check is active     88125800
*                                                                @06A*/ 88126100
*     3 PSARSTA    BIT(1),               /* Restart is active           88126400
*                                                                @06A*/ 88126700
*     3 PSAEGRA    BIT(1),               /* Global Recovery is active   88127000
*                                                                @06A*/ 88127300
*     3 PSARTMA    BIT(1),               /* Selected RTM functions      88127600
*                                           are active           @06A*/ 88127900
*     3 *          BIT(3),               /* Reserved for SC1C5   @06C*/ 88128200
*   2 PSARVA7D    CHAR(3),               /* Reserved for SC1C5   @P8A*/ 88129100
*   2 PSARVA80    CHAR(188),             /* RESERVED.            @P8C*/ 88130900
*   2 PSAGSCH7    PTR(31),               /* ENABLED GLOBAL SCHEDULE     88133200
*                                           ENTRY POINT      @G860PXK*/ 88149800
*   2 PSAGSCH8    PTR(31),               /* DISABLED GLOBAL SCHEDULE    88166400
*                                           ENTRY POINT      @G860PXK*/ 88183000
*   2 PSALSCH1    PTR(31),               /* ENABLED SCHEDULE ENTRY      88200000
*                                           POINT  (MDC371)  @G50DP9A*/ 88250000
*   2 PSALSCH2    PTR(31),               /* DISABLED SCHEDULE ENTRY     88300000
*                                           POINT  (MDC372)  @G50DP9A*/ 88350000
*   2 PSASVT      PTR(31),               /* ADDRESS OF SUPERVISOR       88400000
*                                           VECTOR TABLE                88450000
*                                           (MDC373)         @G50DP9A*/ 88500000
*   2 PSASVTX     PTR(31),          /* Address of Supervisor Vector     88512500
*                                   Table extension.                    88525000
*                                   SERIALIZATION: None                 88537500
*                                   OWNERSHIP: Supervisor Control       88550000
*                                                                @LNA*/ 88575000
*   2 PSARVB54    CHAR(84),              /* Reserved             @LNC*/ 88587500
*   2 PSAXSTK     FIXED(32) BDY(WORD),   /* OFFSET TO AND LENGTH OF     88600000
*                                           THE ARRAY OF FRR STACK      88650000
*                                           EXTENSION ENTRIES FROM      88700000
*                                           THE START OF THE FRR STACK. 88750000
*                                           THIS OFFSET FIXED BY        88800000
*                                           ARCHITECTURE.    @G387PXH*/ 88850000
*   2 PSARVBAC    CHAR(84)  BDY(WORD),   /* RESERVED         @G387PXH*/ 88900000
*   2 PSASTAK     CHAR(856) BDY(DWORD),  /* NORMAL FRR STACK.    @D5C*/ 88950000
*   2 *           CHAR(168),             /* RESERVED FOR EXPANSION OF   89000000
*                                           PSASTAK              @D5C*/ 89050000
*   2 PSAEND CHAR(0) BDY(DWORD);         /* END OF PSA.      @G383PXU*/ 89150000
*                                                                       89200000
*                                                                       89250000
*DECLARE FLC DEF(PSA) CHAR(LENGTH(PSA)) BDY(DWORD);                     89300000
*                                                                       89350000
*                                                                       89400000
*DECLARE                                                                89400900
*%IF PSAQUALIF='' % THEN                 /* MAP THE RECOVERY STACK   */ 89401000
*    %GOTO PSA0040;                      /* VECTOR TABLE ON PSARSVT  */ 89401100
*                                        /* ELSE                 @LIA*/ 89401200
*  1 PSARSVTE CHAR(64) DEF(PSAQUALIF.PSARSVT) BDY(WORD), /*      @LIA*/ 89401300
*%GOTO PSA0050;                          /* ON WHAT IS DEFINED   @LIA*/ 89401400
*%PSA0040:;                              /* BY STANDALONE DUMP   @LIA*/ 89401500
*  1 PSARSVTE CHAR(64) DEF(PSARSVT) BDY(WORD),                          89401800
*%PSA0050:;                              /*                      @LIA*/ 89402200
*                                        /* RECOVERY STACK VECTOR       89402700
*                                           TABLE              MDC065*/ 89403600
*   2 PSACSTK     PTR(31),               /* ADDRESS OF CURRENTLY USED   89404500
*                                           FUNCTIONAL RECOVERY         89405400
*                                           ROUTINE (FRR) STACK         89406300
*                                                              MDC061*/ 89407200
*   2 PSANSTK     PTR(31),               /* ADDRESS OF NORMAL FRR       89408100
*                                           STACK              MDC062*/ 89409000
*   2 PSASSTK     PTR(31),               /* ADDRESS OF SVC-I/O-         89409900
*                                           DISPATCHER FRR STACK        89410800
*                                                              MDC063*/ 89411700
*   2 PSASSAV     PTR(31),               /* ADDRESS OF INTERRUPTED      89412600
*                                           STACK SAVED BY SVC, I/O,    89413500
*                                           DISPATCHER         MDC066*/ 89414400
*   2 PSAMSTK     PTR(31),               /* ADDRESS OF MCH FRR STACK    89415300
*                                                              MDC067*/ 89416200
*   2 PSAMSAV     PTR(31),               /* ADDRESS OF INTERRUPTED      89417100
*                                           STACK SAVED BY MCH MDC068*/ 89418000
*   2 PSAPSTK     PTR(31),               /* ADDRESS OF PROGRAM CHECK    89418900
*                                           FLIH FRR STACK     MDC069*/ 89419800
*   2 PSAPSAV     PTR(31),               /* ADDRESS OF INTERRUPTED      89420700
*                                           STACK SAVED BY PROGRAM      89421600
*                                           CHECK FLIH         MDC070*/ 89422500
*   2 PSAESTK1    PTR(31),               /* ADDRESS OF EXTERNAL FLIH    89423400
*                                           FRR STACK FOR NON-          89424300
*                                           RECURSIVE ENTRIES  MDC071*/ 89425200
*   2 PSAESAV1    PTR(31),               /* ADDRESS OF INTERRUPTED      89426100
*                                           STACK SAVED BY EXTERNAL     89427000
*                                           FLIH FOR NON-RECURSIVE      89427900
*                                           ENTRIES          @G860PXK*/ 89428800
*   2 PSAESTK2    PTR(31),               /* ADDRESS OF EXTERNAL FLIH    89429700
*                                           FRR STACK FOR FIRST LEVEL   89430600
*                                           RECURSIONS         MDC073*/ 89431500
*   2 PSAESAV2    PTR(31),               /* ADDRESS OF INTERRUPTED      89432400
*                                           STACK SAVED BY EXTERNAL     89433300
*                                           FLIH FOR FIRST LEVEL        89434200
*                                           RECURSIONS         MDC074*/ 89435100
*   2 PSAESTK3    PTR(31),               /* ADDRESS OF EXTERNAL FLIH    89436000
*                                           FRR STACK FOR SECOND        89436900
*                                           LEVEL RECURSIONS AND        89437800
*                                           ACR                MDC075*/ 89438700
*   2 PSAESAV3    PTR(31),               /* ADDRESS OF INTERRUPTED      89439600
*                                           STACK SAVED BY EXTERNAL     89440500
*                                           FLIH FOR SECOND LEVEL       89441400
*                                           RECURSIONS         MDC076*/ 89442300
*   2 PSARSTK     PTR(31),               /* ADDRESS OF RESTART FLIH     89443200
*                                           FRR STACK          MDC077*/ 89444100
*   2 PSARSAV     PTR(31);               /* ADDRESS OF INTERRUPTED      89445000
*                                           STACK SAVED BY RESTART      89445900
*                                           FLIH               MDC078*/ 89446800
*                                                                       89447700
*                                                                       89448600
*DECLARE                                 /*                  @G50NP9A*/ 89450000
*   PSAENABL BIT(8) CONSTANT('10'X),     /* VALUE FOR PSACR0CB TO       89500000
*                                           ENABLE PSA PROTECTION       89550000
*                                           (MDC428)         @G50NP9A*/ 89600000
*   PSADSABL BIT(8) CONSTANT('00'X);     /* VALUE FOR PSACR0CB TO       89650000
*                                           DISABLE PSA PROTECTION      89700000
*                                           (MDC429)         @G50NP9A*/ 89750000
* %IF SYSVERSION = '' %THEN %GOTO PSAPLS1;                 /*    @LSA*/ 89755500
* %IF SYSRULESMOD='PL/S-III ' %THEN %GOTO PSAPLS1;         /*    @LSA*/ 89761000
* ?ASAXMAC ISITPLX(1,2,0);                                 /*    @LSA*/ 89766500
* %DCL ASAXMAC_ISITPLX CHAR EXT;                           /*    @LSA*/ 89772000
* %IF ASAXMAC_ISITPLX ^= 'YES' %THEN %GOTO PSAPLS1;        /*    @LSA*/ 89777500
* %INCLUDE SYSLIB(IHAPSAE);                                /*    @LSA*/ 89783000
* %INCLUDE SYSLIB(IHAPSAX);                                /*    @LSA*/ 89788500
*%PSAPLS1:;                                                             89794000
*  @LISTPOP;                                               /*@G860PXK*/ 89800000
